// Code generated by pigeon; DO NOT EDIT.

package nosql

import (
	"bytes"
	"errors"
	"fmt"
	"io"
	"math"
	"os"
	"sort"
	"strconv"
	"strings"
	"sync"
	"unicode"
	"unicode/utf8"

	"github.com/pikami/cosmium/parsers"
)

func makeSelectStmt(
	columns, fromClause, joinItems,
	whereClause interface{}, distinctClause interface{},
	count interface{}, groupByClause interface{}, orderList interface{},
	offsetClause interface{},
) (parsers.SelectStmt, error) {
	selectStmt := parsers.SelectStmt{
		SelectItems: columns.([]parsers.SelectItem),
	}

	if fromTable, ok := fromClause.(parsers.Table); ok {
		selectStmt.Table = fromTable
	}

	if joinItemsArray, ok := joinItems.([]interface{}); ok && len(joinItemsArray) > 0 {
		selectStmt.JoinItems = make([]parsers.JoinItem, len(joinItemsArray))
		for i, joinItem := range joinItemsArray {
			selectStmt.JoinItems[i] = joinItem.(parsers.JoinItem)
		}
	}

	switch v := whereClause.(type) {
	case parsers.ComparisonExpression, parsers.LogicalExpression, parsers.Constant, parsers.SelectItem:
		selectStmt.Filters = v
	}

	if distinctClause != nil {
		selectStmt.Distinct = true
	}

	if n, ok := count.(int); ok {
		selectStmt.Count = n
	}

	if offsetArr, ok := offsetClause.([]interface{}); ok && len(offsetArr) == 2 {
		if n, ok := offsetArr[0].(int); ok {
			selectStmt.Offset = n
		}

		if n, ok := offsetArr[1].(int); ok {
			selectStmt.Count = n
		}
	}

	if orderExpressions, ok := orderList.([]parsers.OrderExpression); ok {
		selectStmt.OrderExpressions = orderExpressions
	}

	if groupByClause != nil {
		selectStmt.GroupBy = groupByClause.([]parsers.SelectItem)
	}

	return selectStmt, nil
}

func makeJoin(table interface{}, column interface{}) (parsers.JoinItem, error) {
	joinItem := parsers.JoinItem{}

	if selectItem, isSelectItem := column.(parsers.SelectItem); isSelectItem {
		joinItem.SelectItem = selectItem
		joinItem.Table.Value = selectItem.Alias
	}

	if tableTyped, isTable := table.(parsers.Table); isTable {
		joinItem.Table = tableTyped
	}

	return joinItem, nil
}

func makeSelectItem(name interface{}, path interface{}, selectItemType parsers.SelectItemType) (parsers.SelectItem, error) {
	ps := path.([]interface{})

	paths := make([]string, 1)
	paths[0] = name.(string)
	for _, p := range ps {
		paths = append(paths, p.(string))
	}

	return parsers.SelectItem{Path: paths, Type: selectItemType}, nil
}

func makeColumnList(column interface{}, other_columns interface{}) ([]parsers.SelectItem, error) {
	collsAsArray := other_columns.([]interface{})
	columnList := make([]parsers.SelectItem, len(collsAsArray)+1)
	columnList[0] = column.(parsers.SelectItem)

	for i, v := range collsAsArray {
		if col, ok := v.(parsers.SelectItem); ok {
			columnList[i+1] = col
		}
	}

	return columnList, nil
}

func makeSelectArray(columns interface{}) (parsers.SelectItem, error) {
	return parsers.SelectItem{
		SelectItems: columns.([]parsers.SelectItem),
		Type:        parsers.SelectItemTypeArray,
	}, nil
}

func makeSelectObject(field interface{}, other_fields interface{}) (parsers.SelectItem, error) {
	fieldsAsArray := other_fields.([]interface{})
	fieldsList := make([]parsers.SelectItem, len(fieldsAsArray)+1)
	fieldsList[0] = field.(parsers.SelectItem)

	for i, v := range fieldsAsArray {
		if col, ok := v.(parsers.SelectItem); ok {
			fieldsList[i+1] = col
		}
	}

	return parsers.SelectItem{
		SelectItems: fieldsList,
		Type:        parsers.SelectItemTypeObject,
	}, nil
}

func makeOrderByClause(ex1 interface{}, others interface{}) ([]parsers.OrderExpression, error) {
	othersArray := others.([]interface{})
	orderList := make([]parsers.OrderExpression, len(othersArray)+1)
	orderList[0] = ex1.(parsers.OrderExpression)

	for i, v := range othersArray {
		if col, ok := v.(parsers.OrderExpression); ok {
			orderList[i+1] = col
		}
	}

	return orderList, nil
}

func makeOrderExpression(field interface{}, order interface{}) (parsers.OrderExpression, error) {
	value := parsers.OrderExpression{
		SelectItem: field.(parsers.SelectItem),
		Direction:  parsers.OrderDirectionAsc,
	}

	if orderValue, ok := order.(parsers.OrderDirection); ok {
		value.Direction = orderValue
	}

	return value, nil
}

func createFunctionCall(functionType parsers.FunctionCallType, arguments []interface{}) (parsers.FunctionCall, error) {
	return parsers.FunctionCall{Type: functionType, Arguments: arguments}, nil
}

func joinStrings(array []interface{}) string {
	var stringsArray []string
	for _, elem := range array {
		str, ok := elem.(string)
		if !ok {
			continue
		}
		stringsArray = append(stringsArray, str)
	}

	return strings.Join(stringsArray, "")
}

func combineExpressions(ex1 interface{}, exs interface{}, operation parsers.LogicalExpressionType) (interface{}, error) {
	if exs == nil || len(exs.([]interface{})) < 1 {
		return ex1, nil
	}

	return parsers.LogicalExpression{
		Expressions: append([]interface{}{ex1}, exs.([]interface{})...),
		Operation:   operation,
	}, nil
}

func makeMathExpression(left interface{}, operations interface{}) (interface{}, error) {
	if operations == nil || len(operations.([]interface{})) == 0 {
		return left, nil
	}

	result := left.(parsers.SelectItem)
	ops := operations.([]interface{})

	for _, op := range ops {
		opData := op.([]interface{})
		operation := opData[0].(string)
		right := opData[1].(parsers.SelectItem)

		result = parsers.SelectItem{
			Type: parsers.SelectItemTypeBinaryExpression,
			Value: parsers.BinaryExpression{
				Left:      result,
				Right:     right,
				Operation: operation,
			},
		}
	}

	return result, nil
}

var g = &grammar{
	rules: []*rule{
		{
			name: "Input",
			pos:  position{line: 209, col: 1, offset: 5961},
			expr: &actionExpr{
				pos: position{line: 209, col: 10, offset: 5970},
				run: (*parser).callonInput1,
				expr: &labeledExpr{
					pos:   position{line: 209, col: 10, offset: 5970},
					label: "selectStmt",
					expr: &ruleRefExpr{
						pos:  position{line: 209, col: 21, offset: 5981},
						name: "SelectStmt",
					},
				},
			},
		},
		{
			name: "SelectStmt",
			pos:  position{line: 213, col: 1, offset: 6024},
			expr: &actionExpr{
				pos: position{line: 213, col: 15, offset: 6038},
				run: (*parser).callonSelectStmt1,
				expr: &seqExpr{
					pos: position{line: 213, col: 15, offset: 6038},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 213, col: 15, offset: 6038},
							name: "Select",
						},
						&ruleRefExpr{
							pos:  position{line: 213, col: 22, offset: 6045},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 214, col: 5, offset: 6052},
							label: "distinctClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 214, col: 20, offset: 6067},
								expr: &ruleRefExpr{
									pos:  position{line: 214, col: 20, offset: 6067},
									name: "DistinctClause",
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 214, col: 36, offset: 6083},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 215, col: 5, offset: 6090},
							label: "topClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 215, col: 15, offset: 6100},
								expr: &ruleRefExpr{
									pos:  position{line: 215, col: 15, offset: 6100},
									name: "TopClause",
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 215, col: 26, offset: 6111},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 216, col: 5, offset: 6118},
							label: "columns",
							expr: &ruleRefExpr{
								pos:  position{line: 216, col: 13, offset: 6126},
								name: "Selection",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 216, col: 23, offset: 6136},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 217, col: 5, offset: 6143},
							label: "fromClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 217, col: 16, offset: 6154},
								expr: &ruleRefExpr{
									pos:  position{line: 217, col: 16, offset: 6154},
									name: "FromClause",
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 217, col: 28, offset: 6166},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 218, col: 5, offset: 6173},
							label: "joinClauses",
							expr: &zeroOrMoreExpr{
								pos: position{line: 218, col: 17, offset: 6185},
								expr: &actionExpr{
									pos: position{line: 218, col: 18, offset: 6186},
									run: (*parser).callonSelectStmt22,
									expr: &seqExpr{
										pos: position{line: 218, col: 18, offset: 6186},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 218, col: 18, offset: 6186},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 218, col: 21, offset: 6189},
												label: "join",
												expr: &ruleRefExpr{
													pos:  position{line: 218, col: 26, offset: 6194},
													name: "JoinClause",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 218, col: 60, offset: 6228},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 219, col: 5, offset: 6235},
							label: "whereClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 219, col: 17, offset: 6247},
								expr: &actionExpr{
									pos: position{line: 219, col: 18, offset: 6248},
									run: (*parser).callonSelectStmt30,
									expr: &seqExpr{
										pos: position{line: 219, col: 18, offset: 6248},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 219, col: 18, offset: 6248},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 219, col: 21, offset: 6251},
												name: "Where",
											},
											&ruleRefExpr{
												pos:  position{line: 219, col: 27, offset: 6257},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 219, col: 30, offset: 6260},
												label: "condition",
												expr: &ruleRefExpr{
													pos:  position{line: 219, col: 40, offset: 6270},
													name: "Condition",
												},
											},
										},
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 220, col: 5, offset: 6312},
							label: "groupByClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 220, col: 19, offset: 6326},
								expr: &actionExpr{
									pos: position{line: 220, col: 20, offset: 6327},
									run: (*parser).callonSelectStmt39,
									expr: &seqExpr{
										pos: position{line: 220, col: 20, offset: 6327},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 220, col: 20, offset: 6327},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 220, col: 23, offset: 6330},
												name: "GroupBy",
											},
											&ruleRefExpr{
												pos:  position{line: 220, col: 31, offset: 6338},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 220, col: 34, offset: 6341},
												label: "columns",
												expr: &ruleRefExpr{
													pos:  position{line: 220, col: 42, offset: 6349},
													name: "ColumnList",
												},
											},
										},
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 221, col: 5, offset: 6390},
							label: "orderByClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 221, col: 19, offset: 6404},
								expr: &actionExpr{
									pos: position{line: 221, col: 20, offset: 6405},
									run: (*parser).callonSelectStmt48,
									expr: &seqExpr{
										pos: position{line: 221, col: 20, offset: 6405},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 221, col: 20, offset: 6405},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 221, col: 23, offset: 6408},
												label: "order",
												expr: &ruleRefExpr{
													pos:  position{line: 221, col: 29, offset: 6414},
													name: "OrderByClause",
												},
											},
										},
									},
								},
							},
						},
						&labeledExpr{
							pos:   position{line: 222, col: 5, offset: 6456},
							label: "offsetClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 222, col: 18, offset: 6469},
								expr: &actionExpr{
									pos: position{line: 222, col: 19, offset: 6470},
									run: (*parser).callonSelectStmt55,
									expr: &seqExpr{
										pos: position{line: 222, col: 19, offset: 6470},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 222, col: 19, offset: 6470},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 222, col: 22, offset: 6473},
												label: "offset",
												expr: &ruleRefExpr{
													pos:  position{line: 222, col: 29, offset: 6480},
													name: "OffsetClause",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "DistinctClause",
			pos:  position{line: 227, col: 1, offset: 6675},
			expr: &litMatcher{
				pos:        position{line: 227, col: 19, offset: 6693},
				val:        "distinct",
				ignoreCase: true,
				want:       "\"DISTINCT\"i",
			},
		},
		{
			name: "TopClause",
			pos:  position{line: 229, col: 1, offset: 6706},
			expr: &actionExpr{
				pos: position{line: 229, col: 14, offset: 6719},
				run: (*parser).callonTopClause1,
				expr: &seqExpr{
					pos: position{line: 229, col: 14, offset: 6719},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 229, col: 14, offset: 6719},
							name: "Top",
						},
						&ruleRefExpr{
							pos:  position{line: 229, col: 18, offset: 6723},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 229, col: 21, offset: 6726},
							label: "count",
							expr: &ruleRefExpr{
								pos:  position{line: 229, col: 27, offset: 6732},
								name: "Integer",
							},
						},
					},
				},
			},
		},
		{
			name: "FromClause",
			pos:  position{line: 233, col: 1, offset: 6767},
			expr: &choiceExpr{
				pos: position{line: 233, col: 15, offset: 6781},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 233, col: 15, offset: 6781},
						run: (*parser).callonFromClause2,
						expr: &seqExpr{
							pos: position{line: 233, col: 15, offset: 6781},
							exprs: []any{
								&ruleRefExpr{
									pos:  position{line: 233, col: 15, offset: 6781},
									name: "From",
								},
								&ruleRefExpr{
									pos:  position{line: 233, col: 20, offset: 6786},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 233, col: 23, offset: 6789},
									label: "table",
									expr: &ruleRefExpr{
										pos:  position{line: 233, col: 29, offset: 6795},
										name: "TableName",
									},
								},
								&labeledExpr{
									pos:   position{line: 233, col: 39, offset: 6805},
									label: "selectItem",
									expr: &actionExpr{
										pos: position{line: 233, col: 51, offset: 6817},
										run: (*parser).callonFromClause9,
										expr: &seqExpr{
											pos: position{line: 233, col: 51, offset: 6817},
											exprs: []any{
												&ruleRefExpr{
													pos:  position{line: 233, col: 51, offset: 6817},
													name: "ws",
												},
												&ruleRefExpr{
													pos:  position{line: 233, col: 54, offset: 6820},
													name: "In",
												},
												&ruleRefExpr{
													pos:  position{line: 233, col: 57, offset: 6823},
													name: "ws",
												},
												&labeledExpr{
													pos:   position{line: 233, col: 60, offset: 6826},
													label: "column",
													expr: &ruleRefExpr{
														pos:  position{line: 233, col: 67, offset: 6833},
														name: "SelectItemWithAlias",
													},
												},
											},
										},
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 242, col: 5, offset: 7086},
						run: (*parser).callonFromClause16,
						expr: &seqExpr{
							pos: position{line: 242, col: 5, offset: 7086},
							exprs: []any{
								&ruleRefExpr{
									pos:  position{line: 242, col: 5, offset: 7086},
									name: "From",
								},
								&ruleRefExpr{
									pos:  position{line: 242, col: 10, offset: 7091},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 242, col: 13, offset: 7094},
									label: "column",
									expr: &ruleRefExpr{
										pos:  position{line: 242, col: 20, offset: 7101},
										name: "SelectItemWithAlias",
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 249, col: 5, offset: 7309},
						run: (*parser).callonFromClause22,
						expr: &seqExpr{
							pos: position{line: 249, col: 5, offset: 7309},
							exprs: []any{
								&ruleRefExpr{
									pos:  position{line: 249, col: 5, offset: 7309},
									name: "From",
								},
								&ruleRefExpr{
									pos:  position{line: 249, col: 10, offset: 7314},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 249, col: 13, offset: 7317},
									label: "subQuery",
									expr: &ruleRefExpr{
										pos:  position{line: 249, col: 22, offset: 7326},
										name: "SubQuerySelectItem",
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SubQuery",
			pos:  position{line: 258, col: 1, offset: 7528},
			expr: &actionExpr{
				pos: position{line: 258, col: 13, offset: 7540},
				run: (*parser).callonSubQuery1,
				expr: &seqExpr{
					pos: position{line: 258, col: 13, offset: 7540},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 258, col: 13, offset: 7540},
							label: "exists",
							expr: &zeroOrOneExpr{
								pos: position{line: 258, col: 20, offset: 7547},
								expr: &actionExpr{
									pos: position{line: 258, col: 21, offset: 7548},
									run: (*parser).callonSubQuery5,
									expr: &seqExpr{
										pos: position{line: 258, col: 21, offset: 7548},
										exprs: []any{
											&labeledExpr{
												pos:   position{line: 258, col: 21, offset: 7548},
												label: "exists",
												expr: &ruleRefExpr{
													pos:  position{line: 258, col: 28, offset: 7555},
													name: "Exists",
												},
											},
											&ruleRefExpr{
												pos:  position{line: 258, col: 35, offset: 7562},
												name: "ws",
											},
										},
									},
								},
							},
						},
						&litMatcher{
							pos:        position{line: 258, col: 63, offset: 7590},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 258, col: 67, offset: 7594},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 258, col: 70, offset: 7597},
							label: "selectStmt",
							expr: &ruleRefExpr{
								pos:  position{line: 258, col: 81, offset: 7608},
								name: "SelectStmt",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 258, col: 92, offset: 7619},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 258, col: 95, offset: 7622},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SubQuerySelectItem",
			pos:  position{line: 267, col: 1, offset: 7834},
			expr: &actionExpr{
				pos: position{line: 267, col: 23, offset: 7856},
				run: (*parser).callonSubQuerySelectItem1,
				expr: &seqExpr{
					pos: position{line: 267, col: 23, offset: 7856},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 267, col: 23, offset: 7856},
							label: "subQuery",
							expr: &ruleRefExpr{
								pos:  position{line: 267, col: 32, offset: 7865},
								name: "SubQuery",
							},
						},
						&labeledExpr{
							pos:   position{line: 267, col: 41, offset: 7874},
							label: "asClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 267, col: 50, offset: 7883},
								expr: &actionExpr{
									pos: position{line: 267, col: 51, offset: 7884},
									run: (*parser).callonSubQuerySelectItem7,
									expr: &seqExpr{
										pos: position{line: 267, col: 51, offset: 7884},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 267, col: 51, offset: 7884},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 267, col: 54, offset: 7887},
												label: "alias",
												expr: &ruleRefExpr{
													pos:  position{line: 267, col: 60, offset: 7893},
													name: "AsClause",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "JoinClause",
			pos:  position{line: 280, col: 1, offset: 8178},
			expr: &choiceExpr{
				pos: position{line: 280, col: 15, offset: 8192},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 280, col: 15, offset: 8192},
						run: (*parser).callonJoinClause2,
						expr: &seqExpr{
							pos: position{line: 280, col: 15, offset: 8192},
							exprs: []any{
								&ruleRefExpr{
									pos:  position{line: 280, col: 15, offset: 8192},
									name: "Join",
								},
								&ruleRefExpr{
									pos:  position{line: 280, col: 20, offset: 8197},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 280, col: 23, offset: 8200},
									label: "table",
									expr: &ruleRefExpr{
										pos:  position{line: 280, col: 29, offset: 8206},
										name: "TableName",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 280, col: 39, offset: 8216},
									name: "ws",
								},
								&ruleRefExpr{
									pos:  position{line: 280, col: 42, offset: 8219},
									name: "In",
								},
								&ruleRefExpr{
									pos:  position{line: 280, col: 45, offset: 8222},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 280, col: 48, offset: 8225},
									label: "column",
									expr: &ruleRefExpr{
										pos:  position{line: 280, col: 55, offset: 8232},
										name: "SelectItemWithAlias",
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 282, col: 5, offset: 8293},
						run: (*parser).callonJoinClause13,
						expr: &seqExpr{
							pos: position{line: 282, col: 5, offset: 8293},
							exprs: []any{
								&ruleRefExpr{
									pos:  position{line: 282, col: 5, offset: 8293},
									name: "Join",
								},
								&ruleRefExpr{
									pos:  position{line: 282, col: 10, offset: 8298},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 282, col: 13, offset: 8301},
									label: "subQuery",
									expr: &ruleRefExpr{
										pos:  position{line: 282, col: 22, offset: 8310},
										name: "SubQuerySelectItem",
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "OffsetClause",
			pos:  position{line: 286, col: 1, offset: 8369},
			expr: &actionExpr{
				pos: position{line: 286, col: 17, offset: 8385},
				run: (*parser).callonOffsetClause1,
				expr: &seqExpr{
					pos: position{line: 286, col: 17, offset: 8385},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 286, col: 17, offset: 8385},
							name: "Offset",
						},
						&ruleRefExpr{
							pos:  position{line: 286, col: 24, offset: 8392},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 286, col: 27, offset: 8395},
							label: "offset",
							expr: &ruleRefExpr{
								pos:  position{line: 286, col: 34, offset: 8402},
								name: "IntegerLiteral",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 286, col: 49, offset: 8417},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 286, col: 52, offset: 8420},
							val:        "limit",
							ignoreCase: true,
							want:       "\"LIMIT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 286, col: 61, offset: 8429},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 286, col: 64, offset: 8432},
							label: "limit",
							expr: &ruleRefExpr{
								pos:  position{line: 286, col: 70, offset: 8438},
								name: "IntegerLiteral",
							},
						},
					},
				},
			},
		},
		{
			name: "Selection",
			pos:  position{line: 290, col: 1, offset: 8553},
			expr: &choiceExpr{
				pos: position{line: 290, col: 14, offset: 8566},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 290, col: 14, offset: 8566},
						name: "SelectValueSpec",
					},
					&ruleRefExpr{
						pos:  position{line: 290, col: 32, offset: 8584},
						name: "ColumnList",
					},
					&ruleRefExpr{
						pos:  position{line: 290, col: 45, offset: 8597},
						name: "SelectAsterisk",
					},
				},
			},
		},
		{
			name: "SelectAsterisk",
			pos:  position{line: 292, col: 1, offset: 8613},
			expr: &actionExpr{
				pos: position{line: 292, col: 19, offset: 8631},
				run: (*parser).callonSelectAsterisk1,
				expr: &litMatcher{
					pos:        position{line: 292, col: 19, offset: 8631},
					val:        "*",
					ignoreCase: false,
					want:       "\"*\"",
				},
			},
		},
		{
			name: "ColumnList",
			pos:  position{line: 298, col: 1, offset: 8829},
			expr: &actionExpr{
				pos: position{line: 298, col: 15, offset: 8843},
				run: (*parser).callonColumnList1,
				expr: &seqExpr{
					pos: position{line: 298, col: 15, offset: 8843},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 298, col: 15, offset: 8843},
							label: "column",
							expr: &ruleRefExpr{
								pos:  position{line: 298, col: 22, offset: 8850},
								name: "ExpressionOrSelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 298, col: 45, offset: 8873},
							label: "other_columns",
							expr: &zeroOrMoreExpr{
								pos: position{line: 298, col: 59, offset: 8887},
								expr: &actionExpr{
									pos: position{line: 298, col: 60, offset: 8888},
									run: (*parser).callonColumnList7,
									expr: &seqExpr{
										pos: position{line: 298, col: 60, offset: 8888},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 298, col: 60, offset: 8888},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 298, col: 63, offset: 8891},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 298, col: 67, offset: 8895},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 298, col: 70, offset: 8898},
												label: "coll",
												expr: &ruleRefExpr{
													pos:  position{line: 298, col: 75, offset: 8903},
													name: "ExpressionOrSelectItem",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "ExpressionOrSelectItem",
			pos:  position{line: 302, col: 1, offset: 9002},
			expr: &choiceExpr{
				pos: position{line: 302, col: 27, offset: 9028},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 302, col: 27, offset: 9028},
						run: (*parser).callonExpressionOrSelectItem2,
						expr: &seqExpr{
							pos: position{line: 302, col: 27, offset: 9028},
							exprs: []any{
								&labeledExpr{
									pos:   position{line: 302, col: 27, offset: 9028},
									label: "expression",
									expr: &ruleRefExpr{
										pos:  position{line: 302, col: 38, offset: 9039},
										name: "OrExpression",
									},
								},
								&labeledExpr{
									pos:   position{line: 302, col: 51, offset: 9052},
									label: "asClause",
									expr: &zeroOrOneExpr{
										pos: position{line: 302, col: 60, offset: 9061},
										expr: &ruleRefExpr{
											pos:  position{line: 302, col: 60, offset: 9061},
											name: "AsClause",
										},
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 323, col: 5, offset: 9676},
						run: (*parser).callonExpressionOrSelectItem9,
						expr: &labeledExpr{
							pos:   position{line: 323, col: 5, offset: 9676},
							label: "item",
							expr: &ruleRefExpr{
								pos:  position{line: 323, col: 10, offset: 9681},
								name: "SelectItemWithAlias",
							},
						},
					},
				},
			},
		},
		{
			name: "SelectValueSpec",
			pos:  position{line: 325, col: 1, offset: 9723},
			expr: &actionExpr{
				pos: position{line: 325, col: 20, offset: 9742},
				run: (*parser).callonSelectValueSpec1,
				expr: &seqExpr{
					pos: position{line: 325, col: 20, offset: 9742},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 325, col: 20, offset: 9742},
							val:        "value",
							ignoreCase: true,
							want:       "\"VALUE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 325, col: 29, offset: 9751},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 325, col: 32, offset: 9754},
							label: "column",
							expr: &ruleRefExpr{
								pos:  position{line: 325, col: 39, offset: 9761},
								name: "SelectItemWithAlias",
							},
						},
					},
				},
			},
		},
		{
			name: "TableName",
			pos:  position{line: 331, col: 1, offset: 9927},
			expr: &actionExpr{
				pos: position{line: 331, col: 14, offset: 9940},
				run: (*parser).callonTableName1,
				expr: &labeledExpr{
					pos:   position{line: 331, col: 14, offset: 9940},
					label: "key",
					expr: &ruleRefExpr{
						pos:  position{line: 331, col: 18, offset: 9944},
						name: "Identifier",
					},
				},
			},
		},
		{
			name: "SelectArray",
			pos:  position{line: 335, col: 1, offset: 10011},
			expr: &actionExpr{
				pos: position{line: 335, col: 16, offset: 10026},
				run: (*parser).callonSelectArray1,
				expr: &seqExpr{
					pos: position{line: 335, col: 16, offset: 10026},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 335, col: 16, offset: 10026},
							val:        "[",
							ignoreCase: false,
							want:       "\"[\"",
						},
						&ruleRefExpr{
							pos:  position{line: 335, col: 20, offset: 10030},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 335, col: 23, offset: 10033},
							label: "columns",
							expr: &ruleRefExpr{
								pos:  position{line: 335, col: 31, offset: 10041},
								name: "ColumnList",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 335, col: 42, offset: 10052},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 335, col: 45, offset: 10055},
							val:        "]",
							ignoreCase: false,
							want:       "\"]\"",
						},
					},
				},
			},
		},
		{
			name: "SelectObject",
			pos:  position{line: 339, col: 1, offset: 10100},
			expr: &choiceExpr{
				pos: position{line: 339, col: 17, offset: 10116},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 339, col: 17, offset: 10116},
						run: (*parser).callonSelectObject2,
						expr: &seqExpr{
							pos: position{line: 339, col: 17, offset: 10116},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 339, col: 17, offset: 10116},
									val:        "{",
									ignoreCase: false,
									want:       "\"{\"",
								},
								&ruleRefExpr{
									pos:  position{line: 339, col: 21, offset: 10120},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 339, col: 24, offset: 10123},
									label: "field",
									expr: &ruleRefExpr{
										pos:  position{line: 339, col: 30, offset: 10129},
										name: "SelectObjectField",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 339, col: 48, offset: 10147},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 339, col: 51, offset: 10150},
									label: "other_fields",
									expr: &zeroOrMoreExpr{
										pos: position{line: 339, col: 64, offset: 10163},
										expr: &actionExpr{
											pos: position{line: 339, col: 65, offset: 10164},
											run: (*parser).callonSelectObject11,
											expr: &seqExpr{
												pos: position{line: 339, col: 65, offset: 10164},
												exprs: []any{
													&ruleRefExpr{
														pos:  position{line: 339, col: 65, offset: 10164},
														name: "ws",
													},
													&litMatcher{
														pos:        position{line: 339, col: 68, offset: 10167},
														val:        ",",
														ignoreCase: false,
														want:       "\",\"",
													},
													&ruleRefExpr{
														pos:  position{line: 339, col: 72, offset: 10171},
														name: "ws",
													},
													&labeledExpr{
														pos:   position{line: 339, col: 75, offset: 10174},
														label: "coll",
														expr: &ruleRefExpr{
															pos:  position{line: 339, col: 80, offset: 10179},
															name: "SelectObjectField",
														},
													},
												},
											},
										},
									},
								},
								&ruleRefExpr{
									pos:  position{line: 339, col: 120, offset: 10219},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 339, col: 123, offset: 10222},
									val:        "}",
									ignoreCase: false,
									want:       "\"}\"",
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 341, col: 5, offset: 10281},
						run: (*parser).callonSelectObject20,
						expr: &seqExpr{
							pos: position{line: 341, col: 5, offset: 10281},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 341, col: 5, offset: 10281},
									val:        "{",
									ignoreCase: false,
									want:       "\"{\"",
								},
								&ruleRefExpr{
									pos:  position{line: 341, col: 9, offset: 10285},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 341, col: 12, offset: 10288},
									val:        "}",
									ignoreCase: false,
									want:       "\"}\"",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SelectObjectField",
			pos:  position{line: 348, col: 1, offset: 10435},
			expr: &actionExpr{
				pos: position{line: 348, col: 22, offset: 10456},
				run: (*parser).callonSelectObjectField1,
				expr: &seqExpr{
					pos: position{line: 348, col: 22, offset: 10456},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 348, col: 22, offset: 10456},
							label: "name",
							expr: &choiceExpr{
								pos: position{line: 348, col: 28, offset: 10462},
								alternatives: []any{
									&ruleRefExpr{
										pos:  position{line: 348, col: 28, offset: 10462},
										name: "Identifier",
									},
									&actionExpr{
										pos: position{line: 348, col: 41, offset: 10475},
										run: (*parser).callonSelectObjectField6,
										expr: &seqExpr{
											pos: position{line: 348, col: 41, offset: 10475},
											exprs: []any{
												&litMatcher{
													pos:        position{line: 348, col: 41, offset: 10475},
													val:        "\"",
													ignoreCase: false,
													want:       "\"\\\"\"",
												},
												&labeledExpr{
													pos:   position{line: 348, col: 46, offset: 10480},
													label: "key",
													expr: &ruleRefExpr{
														pos:  position{line: 348, col: 50, offset: 10484},
														name: "Identifier",
													},
												},
												&litMatcher{
													pos:        position{line: 348, col: 61, offset: 10495},
													val:        "\"",
													ignoreCase: false,
													want:       "\"\\\"\"",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 348, col: 87, offset: 10521},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 348, col: 90, offset: 10524},
							val:        ":",
							ignoreCase: false,
							want:       "\":\"",
						},
						&ruleRefExpr{
							pos:  position{line: 348, col: 94, offset: 10528},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 348, col: 97, offset: 10531},
							label: "selectItem",
							expr: &ruleRefExpr{
								pos:  position{line: 348, col: 108, offset: 10542},
								name: "SelectItem",
							},
						},
					},
				},
			},
		},
		{
			name: "SelectProperty",
			pos:  position{line: 354, col: 1, offset: 10654},
			expr: &actionExpr{
				pos: position{line: 354, col: 19, offset: 10672},
				run: (*parser).callonSelectProperty1,
				expr: &seqExpr{
					pos: position{line: 354, col: 19, offset: 10672},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 354, col: 19, offset: 10672},
							label: "name",
							expr: &ruleRefExpr{
								pos:  position{line: 354, col: 24, offset: 10677},
								name: "Identifier",
							},
						},
						&labeledExpr{
							pos:   position{line: 354, col: 35, offset: 10688},
							label: "path",
							expr: &zeroOrMoreExpr{
								pos: position{line: 354, col: 40, offset: 10693},
								expr: &choiceExpr{
									pos: position{line: 354, col: 41, offset: 10694},
									alternatives: []any{
										&ruleRefExpr{
											pos:  position{line: 354, col: 41, offset: 10694},
											name: "DotFieldAccess",
										},
										&ruleRefExpr{
											pos:  position{line: 354, col: 58, offset: 10711},
											name: "ArrayFieldAccess",
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SelectItemWithAlias",
			pos:  position{line: 358, col: 1, offset: 10802},
			expr: &actionExpr{
				pos: position{line: 358, col: 24, offset: 10825},
				run: (*parser).callonSelectItemWithAlias1,
				expr: &seqExpr{
					pos: position{line: 358, col: 24, offset: 10825},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 358, col: 24, offset: 10825},
							label: "selectItem",
							expr: &ruleRefExpr{
								pos:  position{line: 358, col: 35, offset: 10836},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 358, col: 46, offset: 10847},
							label: "asClause",
							expr: &zeroOrOneExpr{
								pos: position{line: 358, col: 55, offset: 10856},
								expr: &ruleRefExpr{
									pos:  position{line: 358, col: 55, offset: 10856},
									name: "AsClause",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SelectItem",
			pos:  position{line: 366, col: 1, offset: 11023},
			expr: &actionExpr{
				pos: position{line: 366, col: 15, offset: 11037},
				run: (*parser).callonSelectItem1,
				expr: &labeledExpr{
					pos:   position{line: 366, col: 15, offset: 11037},
					label: "selectItem",
					expr: &choiceExpr{
						pos: position{line: 366, col: 27, offset: 11049},
						alternatives: []any{
							&ruleRefExpr{
								pos:  position{line: 366, col: 27, offset: 11049},
								name: "SubQuerySelectItem",
							},
							&ruleRefExpr{
								pos:  position{line: 366, col: 48, offset: 11070},
								name: "Literal",
							},
							&ruleRefExpr{
								pos:  position{line: 366, col: 58, offset: 11080},
								name: "FunctionCall",
							},
							&ruleRefExpr{
								pos:  position{line: 366, col: 73, offset: 11095},
								name: "SelectArray",
							},
							&ruleRefExpr{
								pos:  position{line: 366, col: 87, offset: 11109},
								name: "SelectObject",
							},
							&ruleRefExpr{
								pos:  position{line: 366, col: 102, offset: 11124},
								name: "SelectProperty",
							},
						},
					},
				},
			},
		},
		{
			name: "AsClause",
			pos:  position{line: 386, col: 1, offset: 11649},
			expr: &actionExpr{
				pos: position{line: 386, col: 13, offset: 11661},
				run: (*parser).callonAsClause1,
				expr: &seqExpr{
					pos: position{line: 386, col: 13, offset: 11661},
					exprs: []any{
						&zeroOrOneExpr{
							pos: position{line: 386, col: 13, offset: 11661},
							expr: &seqExpr{
								pos: position{line: 386, col: 14, offset: 11662},
								exprs: []any{
									&ruleRefExpr{
										pos:  position{line: 386, col: 14, offset: 11662},
										name: "ws",
									},
									&ruleRefExpr{
										pos:  position{line: 386, col: 17, offset: 11665},
										name: "As",
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 386, col: 22, offset: 11670},
							name: "ws",
						},
						&notExpr{
							pos: position{line: 386, col: 25, offset: 11673},
							expr: &ruleRefExpr{
								pos:  position{line: 386, col: 26, offset: 11674},
								name: "ExcludedKeywords",
							},
						},
						&labeledExpr{
							pos:   position{line: 386, col: 43, offset: 11691},
							label: "alias",
							expr: &ruleRefExpr{
								pos:  position{line: 386, col: 49, offset: 11697},
								name: "Identifier",
							},
						},
					},
				},
			},
		},
		{
			name: "ExcludedKeywords",
			pos:  position{line: 390, col: 1, offset: 11735},
			expr: &choiceExpr{
				pos: position{line: 390, col: 21, offset: 11755},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 390, col: 21, offset: 11755},
						name: "Select",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 30, offset: 11764},
						name: "Top",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 36, offset: 11770},
						name: "As",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 41, offset: 11775},
						name: "From",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 48, offset: 11782},
						name: "In",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 53, offset: 11787},
						name: "Join",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 60, offset: 11794},
						name: "Exists",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 69, offset: 11803},
						name: "Where",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 77, offset: 11811},
						name: "And",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 83, offset: 11817},
						name: "Or",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 88, offset: 11822},
						name: "Not",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 94, offset: 11828},
						name: "GroupBy",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 104, offset: 11838},
						name: "OrderBy",
					},
					&ruleRefExpr{
						pos:  position{line: 390, col: 114, offset: 11848},
						name: "Offset",
					},
				},
			},
		},
		{
			name: "DotFieldAccess",
			pos:  position{line: 392, col: 1, offset: 11856},
			expr: &actionExpr{
				pos: position{line: 392, col: 19, offset: 11874},
				run: (*parser).callonDotFieldAccess1,
				expr: &seqExpr{
					pos: position{line: 392, col: 19, offset: 11874},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 392, col: 19, offset: 11874},
							val:        ".",
							ignoreCase: false,
							want:       "\".\"",
						},
						&labeledExpr{
							pos:   position{line: 392, col: 23, offset: 11878},
							label: "id",
							expr: &ruleRefExpr{
								pos:  position{line: 392, col: 26, offset: 11881},
								name: "Identifier",
							},
						},
					},
				},
			},
		},
		{
			name: "ArrayFieldAccess",
			pos:  position{line: 396, col: 1, offset: 11916},
			expr: &choiceExpr{
				pos: position{line: 396, col: 21, offset: 11936},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 396, col: 21, offset: 11936},
						run: (*parser).callonArrayFieldAccess2,
						expr: &seqExpr{
							pos: position{line: 396, col: 21, offset: 11936},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 396, col: 21, offset: 11936},
									val:        "[\"",
									ignoreCase: false,
									want:       "\"[\\\"\"",
								},
								&labeledExpr{
									pos:   position{line: 396, col: 27, offset: 11942},
									label: "id",
									expr: &ruleRefExpr{
										pos:  position{line: 396, col: 30, offset: 11945},
										name: "Identifier",
									},
								},
								&litMatcher{
									pos:        position{line: 396, col: 41, offset: 11956},
									val:        "\"]",
									ignoreCase: false,
									want:       "\"\\\"]\"",
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 397, col: 5, offset: 11985},
						run: (*parser).callonArrayFieldAccess8,
						expr: &seqExpr{
							pos: position{line: 397, col: 5, offset: 11985},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 397, col: 5, offset: 11985},
									val:        "[",
									ignoreCase: false,
									want:       "\"[\"",
								},
								&labeledExpr{
									pos:   position{line: 397, col: 9, offset: 11989},
									label: "id",
									expr: &ruleRefExpr{
										pos:  position{line: 397, col: 12, offset: 11992},
										name: "Integer",
									},
								},
								&litMatcher{
									pos:        position{line: 397, col: 20, offset: 12000},
									val:        "]",
									ignoreCase: false,
									want:       "\"]\"",
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 398, col: 5, offset: 12047},
						run: (*parser).callonArrayFieldAccess14,
						expr: &seqExpr{
							pos: position{line: 398, col: 5, offset: 12047},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 398, col: 5, offset: 12047},
									val:        "[",
									ignoreCase: false,
									want:       "\"[\"",
								},
								&labeledExpr{
									pos:   position{line: 398, col: 9, offset: 12051},
									label: "id",
									expr: &ruleRefExpr{
										pos:  position{line: 398, col: 12, offset: 12054},
										name: "ParameterConstant",
									},
								},
								&litMatcher{
									pos:        position{line: 398, col: 30, offset: 12072},
									val:        "]",
									ignoreCase: false,
									want:       "\"]\"",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "Identifier",
			pos:  position{line: 400, col: 1, offset: 12130},
			expr: &actionExpr{
				pos: position{line: 400, col: 15, offset: 12144},
				run: (*parser).callonIdentifier1,
				expr: &seqExpr{
					pos: position{line: 400, col: 15, offset: 12144},
					exprs: []any{
						&charClassMatcher{
							pos:        position{line: 400, col: 15, offset: 12144},
							val:        "[a-zA-Z_]",
							chars:      []rune{'_'},
							ranges:     []rune{'a', 'z', 'A', 'Z'},
							ignoreCase: false,
							inverted:   false,
						},
						&zeroOrMoreExpr{
							pos: position{line: 400, col: 24, offset: 12153},
							expr: &charClassMatcher{
								pos:        position{line: 400, col: 24, offset: 12153},
								val:        "[a-zA-Z0-9_]",
								chars:      []rune{'_'},
								ranges:     []rune{'a', 'z', 'A', 'Z', '0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
					},
				},
			},
		},
		{
			name: "Condition",
			pos:  position{line: 404, col: 1, offset: 12203},
			expr: &actionExpr{
				pos: position{line: 404, col: 14, offset: 12216},
				run: (*parser).callonCondition1,
				expr: &labeledExpr{
					pos:   position{line: 404, col: 14, offset: 12216},
					label: "expression",
					expr: &ruleRefExpr{
						pos:  position{line: 404, col: 25, offset: 12227},
						name: "OrExpression",
					},
				},
			},
		},
		{
			name: "OrExpression",
			pos:  position{line: 408, col: 1, offset: 12272},
			expr: &actionExpr{
				pos: position{line: 408, col: 17, offset: 12288},
				run: (*parser).callonOrExpression1,
				expr: &seqExpr{
					pos: position{line: 408, col: 17, offset: 12288},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 408, col: 17, offset: 12288},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 408, col: 21, offset: 12292},
								name: "AndExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 408, col: 35, offset: 12306},
							label: "ex2",
							expr: &zeroOrMoreExpr{
								pos: position{line: 408, col: 39, offset: 12310},
								expr: &actionExpr{
									pos: position{line: 408, col: 40, offset: 12311},
									run: (*parser).callonOrExpression7,
									expr: &seqExpr{
										pos: position{line: 408, col: 40, offset: 12311},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 408, col: 40, offset: 12311},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 408, col: 43, offset: 12314},
												name: "Or",
											},
											&ruleRefExpr{
												pos:  position{line: 408, col: 46, offset: 12317},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 408, col: 49, offset: 12320},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 408, col: 52, offset: 12323},
													name: "AndExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "AndExpression",
			pos:  position{line: 412, col: 1, offset: 12436},
			expr: &actionExpr{
				pos: position{line: 412, col: 18, offset: 12453},
				run: (*parser).callonAndExpression1,
				expr: &seqExpr{
					pos: position{line: 412, col: 18, offset: 12453},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 412, col: 18, offset: 12453},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 412, col: 22, offset: 12457},
								name: "ComparisonExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 412, col: 43, offset: 12478},
							label: "ex2",
							expr: &zeroOrMoreExpr{
								pos: position{line: 412, col: 47, offset: 12482},
								expr: &actionExpr{
									pos: position{line: 412, col: 48, offset: 12483},
									run: (*parser).callonAndExpression7,
									expr: &seqExpr{
										pos: position{line: 412, col: 48, offset: 12483},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 412, col: 48, offset: 12483},
												name: "ws",
											},
											&ruleRefExpr{
												pos:  position{line: 412, col: 51, offset: 12486},
												name: "And",
											},
											&ruleRefExpr{
												pos:  position{line: 412, col: 55, offset: 12490},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 412, col: 58, offset: 12493},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 412, col: 61, offset: 12496},
													name: "ComparisonExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "ComparisonExpression",
			pos:  position{line: 416, col: 1, offset: 12617},
			expr: &choiceExpr{
				pos: position{line: 416, col: 25, offset: 12641},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 416, col: 25, offset: 12641},
						run: (*parser).callonComparisonExpression2,
						expr: &seqExpr{
							pos: position{line: 416, col: 25, offset: 12641},
							exprs: []any{
								&labeledExpr{
									pos:   position{line: 416, col: 25, offset: 12641},
									label: "left",
									expr: &ruleRefExpr{
										pos:  position{line: 416, col: 30, offset: 12646},
										name: "AddSubExpression",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 416, col: 47, offset: 12663},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 416, col: 50, offset: 12666},
									label: "op",
									expr: &ruleRefExpr{
										pos:  position{line: 416, col: 53, offset: 12669},
										name: "ComparisonOperator",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 416, col: 72, offset: 12688},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 416, col: 75, offset: 12691},
									label: "right",
									expr: &ruleRefExpr{
										pos:  position{line: 416, col: 81, offset: 12697},
										name: "AddSubExpression",
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 418, col: 5, offset: 12810},
						run: (*parser).callonComparisonExpression12,
						expr: &labeledExpr{
							pos:   position{line: 418, col: 5, offset: 12810},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 418, col: 8, offset: 12813},
								name: "AddSubExpression",
							},
						},
					},
				},
			},
		},
		{
			name: "AddSubExpression",
			pos:  position{line: 420, col: 1, offset: 12850},
			expr: &actionExpr{
				pos: position{line: 420, col: 21, offset: 12870},
				run: (*parser).callonAddSubExpression1,
				expr: &seqExpr{
					pos: position{line: 420, col: 21, offset: 12870},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 420, col: 21, offset: 12870},
							label: "left",
							expr: &ruleRefExpr{
								pos:  position{line: 420, col: 26, offset: 12875},
								name: "MulDivExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 420, col: 43, offset: 12892},
							label: "operations",
							expr: &zeroOrMoreExpr{
								pos: position{line: 420, col: 54, offset: 12903},
								expr: &actionExpr{
									pos: position{line: 420, col: 55, offset: 12904},
									run: (*parser).callonAddSubExpression7,
									expr: &seqExpr{
										pos: position{line: 420, col: 55, offset: 12904},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 420, col: 55, offset: 12904},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 420, col: 58, offset: 12907},
												label: "op",
												expr: &ruleRefExpr{
													pos:  position{line: 420, col: 61, offset: 12910},
													name: "AddOrSubtractOperation",
												},
											},
											&ruleRefExpr{
												pos:  position{line: 420, col: 84, offset: 12933},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 420, col: 87, offset: 12936},
												label: "right",
												expr: &ruleRefExpr{
													pos:  position{line: 420, col: 93, offset: 12942},
													name: "MulDivExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "MulDivExpression",
			pos:  position{line: 424, col: 1, offset: 13055},
			expr: &actionExpr{
				pos: position{line: 424, col: 21, offset: 13075},
				run: (*parser).callonMulDivExpression1,
				expr: &seqExpr{
					pos: position{line: 424, col: 21, offset: 13075},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 424, col: 21, offset: 13075},
							label: "left",
							expr: &ruleRefExpr{
								pos:  position{line: 424, col: 26, offset: 13080},
								name: "SelectItemWithParentheses",
							},
						},
						&labeledExpr{
							pos:   position{line: 424, col: 52, offset: 13106},
							label: "operations",
							expr: &zeroOrMoreExpr{
								pos: position{line: 424, col: 63, offset: 13117},
								expr: &actionExpr{
									pos: position{line: 424, col: 64, offset: 13118},
									run: (*parser).callonMulDivExpression7,
									expr: &seqExpr{
										pos: position{line: 424, col: 64, offset: 13118},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 424, col: 64, offset: 13118},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 424, col: 67, offset: 13121},
												label: "op",
												expr: &ruleRefExpr{
													pos:  position{line: 424, col: 70, offset: 13124},
													name: "MultiplyOrDivideOperation",
												},
											},
											&ruleRefExpr{
												pos:  position{line: 424, col: 96, offset: 13150},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 424, col: 99, offset: 13153},
												label: "right",
												expr: &ruleRefExpr{
													pos:  position{line: 424, col: 105, offset: 13159},
													name: "SelectItemWithParentheses",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "SelectItemWithParentheses",
			pos:  position{line: 428, col: 1, offset: 13281},
			expr: &choiceExpr{
				pos: position{line: 428, col: 30, offset: 13310},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 428, col: 30, offset: 13310},
						run: (*parser).callonSelectItemWithParentheses2,
						expr: &seqExpr{
							pos: position{line: 428, col: 30, offset: 13310},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 428, col: 30, offset: 13310},
									val:        "(",
									ignoreCase: false,
									want:       "\"(\"",
								},
								&ruleRefExpr{
									pos:  position{line: 428, col: 34, offset: 13314},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 428, col: 37, offset: 13317},
									label: "ex",
									expr: &ruleRefExpr{
										pos:  position{line: 428, col: 40, offset: 13320},
										name: "OrExpression",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 428, col: 53, offset: 13333},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 428, col: 56, offset: 13336},
									val:        ")",
									ignoreCase: false,
									want:       "\")\"",
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 429, col: 7, offset: 13365},
						run: (*parser).callonSelectItemWithParentheses10,
						expr: &seqExpr{
							pos: position{line: 429, col: 7, offset: 13365},
							exprs: []any{
								&labeledExpr{
									pos:   position{line: 429, col: 7, offset: 13365},
									label: "inv",
									expr: &zeroOrOneExpr{
										pos: position{line: 429, col: 11, offset: 13369},
										expr: &seqExpr{
											pos: position{line: 429, col: 12, offset: 13370},
											exprs: []any{
												&ruleRefExpr{
													pos:  position{line: 429, col: 12, offset: 13370},
													name: "Not",
												},
												&ruleRefExpr{
													pos:  position{line: 429, col: 16, offset: 13374},
													name: "ws",
												},
											},
										},
									},
								},
								&labeledExpr{
									pos:   position{line: 429, col: 21, offset: 13379},
									label: "ex",
									expr: &ruleRefExpr{
										pos:  position{line: 429, col: 24, offset: 13382},
										name: "SelectItem",
									},
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 436, col: 5, offset: 13533},
						run: (*parser).callonSelectItemWithParentheses19,
						expr: &labeledExpr{
							pos:   position{line: 436, col: 5, offset: 13533},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 436, col: 8, offset: 13536},
								name: "BooleanLiteral",
							},
						},
					},
				},
			},
		},
		{
			name: "OrderByClause",
			pos:  position{line: 438, col: 1, offset: 13571},
			expr: &actionExpr{
				pos: position{line: 438, col: 18, offset: 13588},
				run: (*parser).callonOrderByClause1,
				expr: &seqExpr{
					pos: position{line: 438, col: 18, offset: 13588},
					exprs: []any{
						&ruleRefExpr{
							pos:  position{line: 438, col: 18, offset: 13588},
							name: "OrderBy",
						},
						&ruleRefExpr{
							pos:  position{line: 438, col: 26, offset: 13596},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 438, col: 29, offset: 13599},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 438, col: 33, offset: 13603},
								name: "OrderExpression",
							},
						},
						&labeledExpr{
							pos:   position{line: 438, col: 49, offset: 13619},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 438, col: 56, offset: 13626},
								expr: &actionExpr{
									pos: position{line: 438, col: 57, offset: 13627},
									run: (*parser).callonOrderByClause9,
									expr: &seqExpr{
										pos: position{line: 438, col: 57, offset: 13627},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 438, col: 57, offset: 13627},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 438, col: 60, offset: 13630},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 438, col: 64, offset: 13634},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 438, col: 67, offset: 13637},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 438, col: 70, offset: 13640},
													name: "OrderExpression",
												},
											},
										},
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "OrderExpression",
			pos:  position{line: 442, col: 1, offset: 13724},
			expr: &actionExpr{
				pos: position{line: 442, col: 20, offset: 13743},
				run: (*parser).callonOrderExpression1,
				expr: &seqExpr{
					pos: position{line: 442, col: 20, offset: 13743},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 442, col: 20, offset: 13743},
							label: "field",
							expr: &ruleRefExpr{
								pos:  position{line: 442, col: 26, offset: 13749},
								name: "SelectProperty",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 442, col: 41, offset: 13764},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 442, col: 44, offset: 13767},
							label: "order",
							expr: &zeroOrOneExpr{
								pos: position{line: 442, col: 50, offset: 13773},
								expr: &ruleRefExpr{
									pos:  position{line: 442, col: 50, offset: 13773},
									name: "OrderDirection",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "OrderDirection",
			pos:  position{line: 446, col: 1, offset: 13839},
			expr: &actionExpr{
				pos: position{line: 446, col: 19, offset: 13857},
				run: (*parser).callonOrderDirection1,
				expr: &choiceExpr{
					pos: position{line: 446, col: 20, offset: 13858},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 446, col: 20, offset: 13858},
							val:        "asc",
							ignoreCase: true,
							want:       "\"ASC\"i",
						},
						&litMatcher{
							pos:        position{line: 446, col: 29, offset: 13867},
							val:        "desc",
							ignoreCase: true,
							want:       "\"DESC\"i",
						},
					},
				},
			},
		},
		{
			name: "Select",
			pos:  position{line: 454, col: 1, offset: 14028},
			expr: &litMatcher{
				pos:        position{line: 454, col: 11, offset: 14038},
				val:        "select",
				ignoreCase: true,
				want:       "\"SELECT\"i",
			},
		},
		{
			name: "Top",
			pos:  position{line: 456, col: 1, offset: 14049},
			expr: &litMatcher{
				pos:        position{line: 456, col: 8, offset: 14056},
				val:        "top",
				ignoreCase: true,
				want:       "\"TOP\"i",
			},
		},
		{
			name: "As",
			pos:  position{line: 458, col: 1, offset: 14064},
			expr: &litMatcher{
				pos:        position{line: 458, col: 7, offset: 14070},
				val:        "as",
				ignoreCase: true,
				want:       "\"AS\"i",
			},
		},
		{
			name: "From",
			pos:  position{line: 460, col: 1, offset: 14077},
			expr: &litMatcher{
				pos:        position{line: 460, col: 9, offset: 14085},
				val:        "from",
				ignoreCase: true,
				want:       "\"FROM\"i",
			},
		},
		{
			name: "In",
			pos:  position{line: 462, col: 1, offset: 14094},
			expr: &litMatcher{
				pos:        position{line: 462, col: 7, offset: 14100},
				val:        "in",
				ignoreCase: true,
				want:       "\"IN\"i",
			},
		},
		{
			name: "Join",
			pos:  position{line: 464, col: 1, offset: 14107},
			expr: &litMatcher{
				pos:        position{line: 464, col: 9, offset: 14115},
				val:        "join",
				ignoreCase: true,
				want:       "\"JOIN\"i",
			},
		},
		{
			name: "Exists",
			pos:  position{line: 466, col: 1, offset: 14124},
			expr: &litMatcher{
				pos:        position{line: 466, col: 11, offset: 14134},
				val:        "exists",
				ignoreCase: true,
				want:       "\"EXISTS\"i",
			},
		},
		{
			name: "Where",
			pos:  position{line: 468, col: 1, offset: 14145},
			expr: &litMatcher{
				pos:        position{line: 468, col: 10, offset: 14154},
				val:        "where",
				ignoreCase: true,
				want:       "\"WHERE\"i",
			},
		},
		{
			name: "And",
			pos:  position{line: 470, col: 1, offset: 14164},
			expr: &litMatcher{
				pos:        position{line: 470, col: 8, offset: 14171},
				val:        "and",
				ignoreCase: true,
				want:       "\"AND\"i",
			},
		},
		{
			name: "Or",
			pos:  position{line: 472, col: 1, offset: 14179},
			expr: &seqExpr{
				pos: position{line: 472, col: 7, offset: 14185},
				exprs: []any{
					&litMatcher{
						pos:        position{line: 472, col: 7, offset: 14185},
						val:        "or",
						ignoreCase: true,
						want:       "\"OR\"i",
					},
					&ruleRefExpr{
						pos:  position{line: 472, col: 13, offset: 14191},
						name: "wss",
					},
				},
			},
		},
		{
			name: "Not",
			pos:  position{line: 474, col: 1, offset: 14196},
			expr: &litMatcher{
				pos:        position{line: 474, col: 8, offset: 14203},
				val:        "not",
				ignoreCase: true,
				want:       "\"NOT\"i",
			},
		},
		{
			name: "GroupBy",
			pos:  position{line: 476, col: 1, offset: 14211},
			expr: &seqExpr{
				pos: position{line: 476, col: 12, offset: 14222},
				exprs: []any{
					&litMatcher{
						pos:        position{line: 476, col: 12, offset: 14222},
						val:        "group",
						ignoreCase: true,
						want:       "\"GROUP\"i",
					},
					&ruleRefExpr{
						pos:  position{line: 476, col: 21, offset: 14231},
						name: "ws",
					},
					&litMatcher{
						pos:        position{line: 476, col: 24, offset: 14234},
						val:        "by",
						ignoreCase: true,
						want:       "\"BY\"i",
					},
				},
			},
		},
		{
			name: "OrderBy",
			pos:  position{line: 478, col: 1, offset: 14241},
			expr: &seqExpr{
				pos: position{line: 478, col: 12, offset: 14252},
				exprs: []any{
					&litMatcher{
						pos:        position{line: 478, col: 12, offset: 14252},
						val:        "order",
						ignoreCase: true,
						want:       "\"ORDER\"i",
					},
					&ruleRefExpr{
						pos:  position{line: 478, col: 21, offset: 14261},
						name: "ws",
					},
					&litMatcher{
						pos:        position{line: 478, col: 24, offset: 14264},
						val:        "by",
						ignoreCase: true,
						want:       "\"BY\"i",
					},
				},
			},
		},
		{
			name: "Offset",
			pos:  position{line: 480, col: 1, offset: 14271},
			expr: &litMatcher{
				pos:        position{line: 480, col: 11, offset: 14281},
				val:        "offset",
				ignoreCase: true,
				want:       "\"OFFSET\"i",
			},
		},
		{
			name: "ComparisonOperator",
			pos:  position{line: 482, col: 1, offset: 14292},
			expr: &actionExpr{
				pos: position{line: 482, col: 23, offset: 14314},
				run: (*parser).callonComparisonOperator1,
				expr: &choiceExpr{
					pos: position{line: 482, col: 24, offset: 14315},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 482, col: 24, offset: 14315},
							val:        "<=",
							ignoreCase: false,
							want:       "\"<=\"",
						},
						&litMatcher{
							pos:        position{line: 482, col: 31, offset: 14322},
							val:        ">=",
							ignoreCase: false,
							want:       "\">=\"",
						},
						&litMatcher{
							pos:        position{line: 482, col: 38, offset: 14329},
							val:        "=",
							ignoreCase: false,
							want:       "\"=\"",
						},
						&litMatcher{
							pos:        position{line: 482, col: 44, offset: 14335},
							val:        "!=",
							ignoreCase: false,
							want:       "\"!=\"",
						},
						&litMatcher{
							pos:        position{line: 482, col: 51, offset: 14342},
							val:        "<",
							ignoreCase: false,
							want:       "\"<\"",
						},
						&litMatcher{
							pos:        position{line: 482, col: 57, offset: 14348},
							val:        ">",
							ignoreCase: false,
							want:       "\">\"",
						},
					},
				},
			},
		},
		{
			name: "AddOrSubtractOperation",
			pos:  position{line: 486, col: 1, offset: 14389},
			expr: &actionExpr{
				pos: position{line: 486, col: 27, offset: 14415},
				run: (*parser).callonAddOrSubtractOperation1,
				expr: &choiceExpr{
					pos: position{line: 486, col: 28, offset: 14416},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 486, col: 28, offset: 14416},
							val:        "+",
							ignoreCase: false,
							want:       "\"+\"",
						},
						&litMatcher{
							pos:        position{line: 486, col: 34, offset: 14422},
							val:        "-",
							ignoreCase: false,
							want:       "\"-\"",
						},
					},
				},
			},
		},
		{
			name: "MultiplyOrDivideOperation",
			pos:  position{line: 488, col: 1, offset: 14459},
			expr: &actionExpr{
				pos: position{line: 488, col: 30, offset: 14488},
				run: (*parser).callonMultiplyOrDivideOperation1,
				expr: &choiceExpr{
					pos: position{line: 488, col: 31, offset: 14489},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 488, col: 31, offset: 14489},
							val:        "*",
							ignoreCase: false,
							want:       "\"*\"",
						},
						&litMatcher{
							pos:        position{line: 488, col: 37, offset: 14495},
							val:        "/",
							ignoreCase: false,
							want:       "\"/\"",
						},
					},
				},
			},
		},
		{
			name: "Literal",
			pos:  position{line: 490, col: 1, offset: 14532},
			expr: &choiceExpr{
				pos: position{line: 490, col: 12, offset: 14543},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 490, col: 12, offset: 14543},
						name: "FloatLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 490, col: 27, offset: 14558},
						name: "IntegerLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 490, col: 44, offset: 14575},
						name: "StringLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 490, col: 60, offset: 14591},
						name: "BooleanLiteral",
					},
					&ruleRefExpr{
						pos:  position{line: 490, col: 77, offset: 14608},
						name: "ParameterConstant",
					},
					&ruleRefExpr{
						pos:  position{line: 490, col: 97, offset: 14628},
						name: "NullConstant",
					},
				},
			},
		},
		{
			name: "ParameterConstant",
			pos:  position{line: 492, col: 1, offset: 14642},
			expr: &actionExpr{
				pos: position{line: 492, col: 22, offset: 14663},
				run: (*parser).callonParameterConstant1,
				expr: &seqExpr{
					pos: position{line: 492, col: 22, offset: 14663},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 492, col: 22, offset: 14663},
							val:        "@",
							ignoreCase: false,
							want:       "\"@\"",
						},
						&ruleRefExpr{
							pos:  position{line: 492, col: 26, offset: 14667},
							name: "Identifier",
						},
					},
				},
			},
		},
		{
			name: "NullConstant",
			pos:  position{line: 495, col: 1, offset: 14783},
			expr: &actionExpr{
				pos: position{line: 495, col: 17, offset: 14799},
				run: (*parser).callonNullConstant1,
				expr: &litMatcher{
					pos:        position{line: 495, col: 17, offset: 14799},
					val:        "null",
					ignoreCase: true,
					want:       "\"null\"i",
				},
			},
		},
		{
			name: "IntegerLiteral",
			pos:  position{line: 499, col: 1, offset: 14857},
			expr: &actionExpr{
				pos: position{line: 499, col: 19, offset: 14875},
				run: (*parser).callonIntegerLiteral1,
				expr: &labeledExpr{
					pos:   position{line: 499, col: 19, offset: 14875},
					label: "number",
					expr: &ruleRefExpr{
						pos:  position{line: 499, col: 26, offset: 14882},
						name: "Integer",
					},
				},
			},
		},
		{
			name: "StringLiteral",
			pos:  position{line: 502, col: 1, offset: 14983},
			expr: &actionExpr{
				pos: position{line: 502, col: 18, offset: 15000},
				run: (*parser).callonStringLiteral1,
				expr: &seqExpr{
					pos: position{line: 502, col: 18, offset: 15000},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 502, col: 18, offset: 15000},
							val:        "\"",
							ignoreCase: false,
							want:       "\"\\\"\"",
						},
						&labeledExpr{
							pos:   position{line: 502, col: 23, offset: 15005},
							label: "chars",
							expr: &zeroOrMoreExpr{
								pos: position{line: 502, col: 29, offset: 15011},
								expr: &ruleRefExpr{
									pos:  position{line: 502, col: 29, offset: 15011},
									name: "StringCharacter",
								},
							},
						},
						&litMatcher{
							pos:        position{line: 502, col: 46, offset: 15028},
							val:        "\"",
							ignoreCase: false,
							want:       "\"\\\"\"",
						},
					},
				},
			},
		},
		{
			name: "FloatLiteral",
			pos:  position{line: 505, col: 1, offset: 15146},
			expr: &actionExpr{
				pos: position{line: 505, col: 17, offset: 15162},
				run: (*parser).callonFloatLiteral1,
				expr: &seqExpr{
					pos: position{line: 505, col: 17, offset: 15162},
					exprs: []any{
						&oneOrMoreExpr{
							pos: position{line: 505, col: 17, offset: 15162},
							expr: &charClassMatcher{
								pos:        position{line: 505, col: 17, offset: 15162},
								val:        "[0-9]",
								ranges:     []rune{'0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
						&litMatcher{
							pos:        position{line: 505, col: 23, offset: 15168},
							val:        ".",
							ignoreCase: false,
							want:       "\".\"",
						},
						&oneOrMoreExpr{
							pos: position{line: 505, col: 26, offset: 15171},
							expr: &charClassMatcher{
								pos:        position{line: 505, col: 26, offset: 15171},
								val:        "[0-9]",
								ranges:     []rune{'0', '9'},
								ignoreCase: false,
								inverted:   false,
							},
						},
					},
				},
			},
		},
		{
			name: "BooleanLiteral",
			pos:  position{line: 509, col: 1, offset: 15327},
			expr: &actionExpr{
				pos: position{line: 509, col: 19, offset: 15345},
				run: (*parser).callonBooleanLiteral1,
				expr: &choiceExpr{
					pos: position{line: 509, col: 20, offset: 15346},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 509, col: 20, offset: 15346},
							val:        "true",
							ignoreCase: true,
							want:       "\"true\"i",
						},
						&litMatcher{
							pos:        position{line: 509, col: 30, offset: 15356},
							val:        "false",
							ignoreCase: true,
							want:       "\"false\"i",
						},
					},
				},
			},
		},
		{
			name: "FunctionCall",
			pos:  position{line: 514, col: 1, offset: 15511},
			expr: &choiceExpr{
				pos: position{line: 514, col: 17, offset: 15527},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 514, col: 17, offset: 15527},
						name: "StringFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 515, col: 7, offset: 15549},
						name: "TypeCheckingFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 516, col: 7, offset: 15577},
						name: "ArrayFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 517, col: 7, offset: 15598},
						name: "ConditionalFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 518, col: 7, offset: 15625},
						name: "InFunction",
					},
					&ruleRefExpr{
						pos:  position{line: 519, col: 7, offset: 15642},
						name: "AggregateFunctions",
					},
					&ruleRefExpr{
						pos:  position{line: 520, col: 7, offset: 15667},
						name: "MathFunctions",
					},
				},
			},
		},
		{
			name: "StringFunctions",
			pos:  position{line: 522, col: 1, offset: 15682},
			expr: &choiceExpr{
				pos: position{line: 522, col: 20, offset: 15701},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 522, col: 20, offset: 15701},
						name: "StringEqualsExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 523, col: 7, offset: 15730},
						name: "ToStringExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 524, col: 7, offset: 15755},
						name: "ConcatExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 525, col: 7, offset: 15778},
						name: "ThreeArgumentStringFunctionExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 526, col: 7, offset: 15822},
						name: "UpperExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 527, col: 7, offset: 15844},
						name: "LowerExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 528, col: 7, offset: 15866},
						name: "LeftExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 529, col: 7, offset: 15887},
						name: "LengthExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 530, col: 7, offset: 15910},
						name: "LTrimExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 531, col: 7, offset: 15932},
						name: "ReplaceExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 532, col: 7, offset: 15956},
						name: "ReplicateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 533, col: 7, offset: 15982},
						name: "ReverseExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 534, col: 7, offset: 16006},
						name: "RightExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 535, col: 7, offset: 16028},
						name: "RTrimExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 536, col: 7, offset: 16050},
						name: "SubstringExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 537, col: 7, offset: 16076},
						name: "TrimExpression",
					},
				},
			},
		},
		{
			name: "TypeCheckingFunctions",
			pos:  position{line: 539, col: 1, offset: 16092},
			expr: &choiceExpr{
				pos: position{line: 539, col: 26, offset: 16117},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 539, col: 26, offset: 16117},
						name: "IsDefined",
					},
					&ruleRefExpr{
						pos:  position{line: 540, col: 7, offset: 16133},
						name: "IsArray",
					},
					&ruleRefExpr{
						pos:  position{line: 541, col: 7, offset: 16147},
						name: "IsBool",
					},
					&ruleRefExpr{
						pos:  position{line: 542, col: 7, offset: 16160},
						name: "IsFiniteNumber",
					},
					&ruleRefExpr{
						pos:  position{line: 543, col: 7, offset: 16181},
						name: "IsInteger",
					},
					&ruleRefExpr{
						pos:  position{line: 544, col: 7, offset: 16197},
						name: "IsNull",
					},
					&ruleRefExpr{
						pos:  position{line: 545, col: 7, offset: 16210},
						name: "IsNumber",
					},
					&ruleRefExpr{
						pos:  position{line: 546, col: 7, offset: 16225},
						name: "IsObject",
					},
					&ruleRefExpr{
						pos:  position{line: 547, col: 7, offset: 16240},
						name: "IsPrimitive",
					},
					&ruleRefExpr{
						pos:  position{line: 548, col: 7, offset: 16258},
						name: "IsString",
					},
				},
			},
		},
		{
			name: "AggregateFunctions",
			pos:  position{line: 550, col: 1, offset: 16268},
			expr: &choiceExpr{
				pos: position{line: 550, col: 23, offset: 16290},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 550, col: 23, offset: 16290},
						name: "AvgAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 551, col: 7, offset: 16319},
						name: "CountAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 552, col: 7, offset: 16350},
						name: "MaxAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 553, col: 7, offset: 16379},
						name: "MinAggregateExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 554, col: 7, offset: 16408},
						name: "SumAggregateExpression",
					},
				},
			},
		},
		{
			name: "ArrayFunctions",
			pos:  position{line: 556, col: 1, offset: 16432},
			expr: &choiceExpr{
				pos: position{line: 556, col: 19, offset: 16450},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 556, col: 19, offset: 16450},
						name: "ArrayConcatExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 557, col: 7, offset: 16478},
						name: "ArrayContainsExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 558, col: 7, offset: 16508},
						name: "ArrayContainsAnyExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 559, col: 7, offset: 16541},
						name: "ArrayContainsAllExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 560, col: 7, offset: 16574},
						name: "ArrayLengthExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 561, col: 7, offset: 16602},
						name: "ArraySliceExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 562, col: 7, offset: 16629},
						name: "SetIntersectExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 563, col: 7, offset: 16658},
						name: "SetUnionExpression",
					},
				},
			},
		},
		{
			name: "ConditionalFunctions",
			pos:  position{line: 565, col: 1, offset: 16678},
			expr: &ruleRefExpr{
				pos:  position{line: 565, col: 25, offset: 16702},
				name: "IifExpression",
			},
		},
		{
			name: "MathFunctions",
			pos:  position{line: 567, col: 1, offset: 16717},
			expr: &choiceExpr{
				pos: position{line: 567, col: 18, offset: 16734},
				alternatives: []any{
					&ruleRefExpr{
						pos:  position{line: 567, col: 18, offset: 16734},
						name: "MathAbsExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 568, col: 7, offset: 16758},
						name: "MathAcosExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 569, col: 7, offset: 16783},
						name: "MathAsinExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 570, col: 7, offset: 16808},
						name: "MathAtanExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 571, col: 7, offset: 16833},
						name: "MathCeilingExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 572, col: 7, offset: 16861},
						name: "MathCosExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 573, col: 7, offset: 16885},
						name: "MathCotExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 574, col: 7, offset: 16909},
						name: "MathDegreesExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 575, col: 7, offset: 16937},
						name: "MathExpExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 576, col: 7, offset: 16961},
						name: "MathFloorExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 577, col: 7, offset: 16987},
						name: "MathIntBitNotExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 578, col: 7, offset: 17017},
						name: "MathLog10Expression",
					},
					&ruleRefExpr{
						pos:  position{line: 579, col: 7, offset: 17043},
						name: "MathRadiansExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 580, col: 7, offset: 17071},
						name: "MathRoundExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 581, col: 7, offset: 17097},
						name: "MathSignExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 582, col: 7, offset: 17122},
						name: "MathSinExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 583, col: 7, offset: 17146},
						name: "MathSqrtExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 584, col: 7, offset: 17171},
						name: "MathSquareExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 585, col: 7, offset: 17198},
						name: "MathTanExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 586, col: 7, offset: 17222},
						name: "MathTruncExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 587, col: 7, offset: 17248},
						name: "MathAtn2Expression",
					},
					&ruleRefExpr{
						pos:  position{line: 588, col: 7, offset: 17273},
						name: "MathIntAddExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 589, col: 7, offset: 17300},
						name: "MathIntBitAndExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 590, col: 7, offset: 17330},
						name: "MathIntBitLeftShiftExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 591, col: 7, offset: 17366},
						name: "MathIntBitOrExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 592, col: 7, offset: 17395},
						name: "MathIntBitRightShiftExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 593, col: 7, offset: 17432},
						name: "MathIntBitXorExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 594, col: 7, offset: 17462},
						name: "MathIntDivExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 595, col: 7, offset: 17489},
						name: "MathIntModExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 596, col: 7, offset: 17516},
						name: "MathIntMulExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 597, col: 7, offset: 17543},
						name: "MathIntSubExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 598, col: 7, offset: 17570},
						name: "MathPowerExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 599, col: 7, offset: 17596},
						name: "MathLogExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 600, col: 7, offset: 17620},
						name: "MathNumberBinExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 601, col: 7, offset: 17650},
						name: "MathPiExpression",
					},
					&ruleRefExpr{
						pos:  position{line: 602, col: 7, offset: 17673},
						name: "MathRandExpression",
					},
				},
			},
		},
		{
			name: "UpperExpression",
			pos:  position{line: 604, col: 1, offset: 17693},
			expr: &actionExpr{
				pos: position{line: 604, col: 20, offset: 17712},
				run: (*parser).callonUpperExpression1,
				expr: &seqExpr{
					pos: position{line: 604, col: 20, offset: 17712},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 604, col: 20, offset: 17712},
							val:        "upper",
							ignoreCase: true,
							want:       "\"UPPER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 604, col: 29, offset: 17721},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 604, col: 32, offset: 17724},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&labeledExpr{
							pos:   position{line: 604, col: 36, offset: 17728},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 604, col: 39, offset: 17731},
								name: "SelectItem",
							},
						},
						&litMatcher{
							pos:        position{line: 604, col: 50, offset: 17742},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LowerExpression",
			pos:  position{line: 608, col: 1, offset: 17827},
			expr: &actionExpr{
				pos: position{line: 608, col: 20, offset: 17846},
				run: (*parser).callonLowerExpression1,
				expr: &seqExpr{
					pos: position{line: 608, col: 20, offset: 17846},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 608, col: 20, offset: 17846},
							val:        "lower",
							ignoreCase: true,
							want:       "\"LOWER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 608, col: 29, offset: 17855},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 608, col: 32, offset: 17858},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&labeledExpr{
							pos:   position{line: 608, col: 36, offset: 17862},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 608, col: 39, offset: 17865},
								name: "SelectItem",
							},
						},
						&litMatcher{
							pos:        position{line: 608, col: 50, offset: 17876},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "StringEqualsExpression",
			pos:  position{line: 612, col: 1, offset: 17961},
			expr: &actionExpr{
				pos: position{line: 612, col: 27, offset: 17987},
				run: (*parser).callonStringEqualsExpression1,
				expr: &seqExpr{
					pos: position{line: 612, col: 27, offset: 17987},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 612, col: 27, offset: 17987},
							val:        "stringequals",
							ignoreCase: true,
							want:       "\"STRINGEQUALS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 612, col: 43, offset: 18003},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 612, col: 46, offset: 18006},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 612, col: 50, offset: 18010},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 612, col: 53, offset: 18013},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 612, col: 57, offset: 18017},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 612, col: 68, offset: 18028},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 612, col: 71, offset: 18031},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 612, col: 75, offset: 18035},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 612, col: 78, offset: 18038},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 612, col: 82, offset: 18042},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 612, col: 93, offset: 18053},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 612, col: 96, offset: 18056},
							label: "ignoreCase",
							expr: &zeroOrOneExpr{
								pos: position{line: 612, col: 107, offset: 18067},
								expr: &actionExpr{
									pos: position{line: 612, col: 108, offset: 18068},
									run: (*parser).callonStringEqualsExpression17,
									expr: &seqExpr{
										pos: position{line: 612, col: 108, offset: 18068},
										exprs: []any{
											&litMatcher{
												pos:        position{line: 612, col: 108, offset: 18068},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 612, col: 112, offset: 18072},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 612, col: 115, offset: 18075},
												label: "boolean",
												expr: &ruleRefExpr{
													pos:  position{line: 612, col: 123, offset: 18083},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&litMatcher{
							pos:        position{line: 612, col: 160, offset: 18120},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ToStringExpression",
			pos:  position{line: 616, col: 1, offset: 18230},
			expr: &actionExpr{
				pos: position{line: 616, col: 23, offset: 18252},
				run: (*parser).callonToStringExpression1,
				expr: &seqExpr{
					pos: position{line: 616, col: 23, offset: 18252},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 616, col: 23, offset: 18252},
							val:        "tostring",
							ignoreCase: true,
							want:       "\"TOSTRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 616, col: 35, offset: 18264},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 616, col: 38, offset: 18267},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 616, col: 42, offset: 18271},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 616, col: 45, offset: 18274},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 616, col: 48, offset: 18277},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 616, col: 59, offset: 18288},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 616, col: 62, offset: 18291},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ConcatExpression",
			pos:  position{line: 620, col: 1, offset: 18379},
			expr: &actionExpr{
				pos: position{line: 620, col: 21, offset: 18399},
				run: (*parser).callonConcatExpression1,
				expr: &seqExpr{
					pos: position{line: 620, col: 21, offset: 18399},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 620, col: 21, offset: 18399},
							val:        "concat",
							ignoreCase: true,
							want:       "\"CONCAT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 620, col: 31, offset: 18409},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 620, col: 34, offset: 18412},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 620, col: 38, offset: 18416},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 620, col: 41, offset: 18419},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 620, col: 45, offset: 18423},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 620, col: 56, offset: 18434},
							label: "others",
							expr: &oneOrMoreExpr{
								pos: position{line: 620, col: 63, offset: 18441},
								expr: &actionExpr{
									pos: position{line: 620, col: 64, offset: 18442},
									run: (*parser).callonConcatExpression11,
									expr: &seqExpr{
										pos: position{line: 620, col: 64, offset: 18442},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 620, col: 64, offset: 18442},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 620, col: 67, offset: 18445},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 620, col: 71, offset: 18449},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 620, col: 74, offset: 18452},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 620, col: 77, offset: 18455},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 620, col: 109, offset: 18487},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 620, col: 112, offset: 18490},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LeftExpression",
			pos:  position{line: 625, col: 1, offset: 18639},
			expr: &actionExpr{
				pos: position{line: 625, col: 19, offset: 18657},
				run: (*parser).callonLeftExpression1,
				expr: &seqExpr{
					pos: position{line: 625, col: 19, offset: 18657},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 625, col: 19, offset: 18657},
							val:        "left",
							ignoreCase: true,
							want:       "\"LEFT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 625, col: 27, offset: 18665},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 625, col: 30, offset: 18668},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 625, col: 34, offset: 18672},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 625, col: 37, offset: 18675},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 625, col: 40, offset: 18678},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 625, col: 51, offset: 18689},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 625, col: 54, offset: 18692},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 625, col: 58, offset: 18696},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 625, col: 61, offset: 18699},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 625, col: 68, offset: 18706},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 625, col: 79, offset: 18717},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 625, col: 82, offset: 18720},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LengthExpression",
			pos:  position{line: 629, col: 1, offset: 18812},
			expr: &actionExpr{
				pos: position{line: 629, col: 21, offset: 18832},
				run: (*parser).callonLengthExpression1,
				expr: &seqExpr{
					pos: position{line: 629, col: 21, offset: 18832},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 629, col: 21, offset: 18832},
							val:        "length",
							ignoreCase: true,
							want:       "\"LENGTH\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 629, col: 31, offset: 18842},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 629, col: 34, offset: 18845},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 629, col: 38, offset: 18849},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 629, col: 41, offset: 18852},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 629, col: 44, offset: 18855},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 629, col: 55, offset: 18866},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 629, col: 58, offset: 18869},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "LTrimExpression",
			pos:  position{line: 633, col: 1, offset: 18955},
			expr: &actionExpr{
				pos: position{line: 633, col: 20, offset: 18974},
				run: (*parser).callonLTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 633, col: 20, offset: 18974},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 633, col: 20, offset: 18974},
							val:        "ltrim",
							ignoreCase: true,
							want:       "\"LTRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 633, col: 29, offset: 18983},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 633, col: 32, offset: 18986},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 633, col: 36, offset: 18990},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 633, col: 39, offset: 18993},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 633, col: 42, offset: 18996},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 633, col: 53, offset: 19007},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 633, col: 56, offset: 19010},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReplaceExpression",
			pos:  position{line: 637, col: 1, offset: 19095},
			expr: &actionExpr{
				pos: position{line: 637, col: 22, offset: 19116},
				run: (*parser).callonReplaceExpression1,
				expr: &seqExpr{
					pos: position{line: 637, col: 22, offset: 19116},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 637, col: 22, offset: 19116},
							val:        "replace",
							ignoreCase: true,
							want:       "\"REPLACE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 637, col: 33, offset: 19127},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 637, col: 36, offset: 19130},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 637, col: 40, offset: 19134},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 637, col: 43, offset: 19137},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 637, col: 47, offset: 19141},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 637, col: 58, offset: 19152},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 637, col: 61, offset: 19155},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 637, col: 65, offset: 19159},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 637, col: 68, offset: 19162},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 637, col: 72, offset: 19166},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 637, col: 83, offset: 19177},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 637, col: 86, offset: 19180},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 637, col: 90, offset: 19184},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 637, col: 93, offset: 19187},
							label: "ex3",
							expr: &ruleRefExpr{
								pos:  position{line: 637, col: 97, offset: 19191},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 637, col: 108, offset: 19202},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 637, col: 111, offset: 19205},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReplicateExpression",
			pos:  position{line: 641, col: 1, offset: 19303},
			expr: &actionExpr{
				pos: position{line: 641, col: 24, offset: 19326},
				run: (*parser).callonReplicateExpression1,
				expr: &seqExpr{
					pos: position{line: 641, col: 24, offset: 19326},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 641, col: 24, offset: 19326},
							val:        "replicate",
							ignoreCase: true,
							want:       "\"REPLICATE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 641, col: 37, offset: 19339},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 641, col: 40, offset: 19342},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 641, col: 44, offset: 19346},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 641, col: 47, offset: 19349},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 641, col: 51, offset: 19353},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 641, col: 62, offset: 19364},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 641, col: 65, offset: 19367},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 641, col: 69, offset: 19371},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 641, col: 72, offset: 19374},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 641, col: 76, offset: 19378},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 641, col: 87, offset: 19389},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 641, col: 90, offset: 19392},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ReverseExpression",
			pos:  position{line: 645, col: 1, offset: 19487},
			expr: &actionExpr{
				pos: position{line: 645, col: 22, offset: 19508},
				run: (*parser).callonReverseExpression1,
				expr: &seqExpr{
					pos: position{line: 645, col: 22, offset: 19508},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 645, col: 22, offset: 19508},
							val:        "reverse",
							ignoreCase: true,
							want:       "\"REVERSE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 645, col: 33, offset: 19519},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 645, col: 36, offset: 19522},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 645, col: 40, offset: 19526},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 645, col: 43, offset: 19529},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 645, col: 46, offset: 19532},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 645, col: 57, offset: 19543},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 645, col: 60, offset: 19546},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "RightExpression",
			pos:  position{line: 649, col: 1, offset: 19633},
			expr: &actionExpr{
				pos: position{line: 649, col: 20, offset: 19652},
				run: (*parser).callonRightExpression1,
				expr: &seqExpr{
					pos: position{line: 649, col: 20, offset: 19652},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 649, col: 20, offset: 19652},
							val:        "right",
							ignoreCase: true,
							want:       "\"RIGHT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 649, col: 29, offset: 19661},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 649, col: 32, offset: 19664},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 649, col: 36, offset: 19668},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 649, col: 39, offset: 19671},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 649, col: 42, offset: 19674},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 649, col: 53, offset: 19685},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 649, col: 56, offset: 19688},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 649, col: 60, offset: 19692},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 649, col: 63, offset: 19695},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 649, col: 70, offset: 19702},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 649, col: 81, offset: 19713},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 649, col: 84, offset: 19716},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "RTrimExpression",
			pos:  position{line: 653, col: 1, offset: 19809},
			expr: &actionExpr{
				pos: position{line: 653, col: 20, offset: 19828},
				run: (*parser).callonRTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 653, col: 20, offset: 19828},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 653, col: 20, offset: 19828},
							val:        "rtrim",
							ignoreCase: true,
							want:       "\"RTRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 653, col: 29, offset: 19837},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 653, col: 32, offset: 19840},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 653, col: 36, offset: 19844},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 653, col: 39, offset: 19847},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 653, col: 42, offset: 19850},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 653, col: 53, offset: 19861},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 653, col: 56, offset: 19864},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SubstringExpression",
			pos:  position{line: 657, col: 1, offset: 19949},
			expr: &actionExpr{
				pos: position{line: 657, col: 24, offset: 19972},
				run: (*parser).callonSubstringExpression1,
				expr: &seqExpr{
					pos: position{line: 657, col: 24, offset: 19972},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 657, col: 24, offset: 19972},
							val:        "substring",
							ignoreCase: true,
							want:       "\"SUBSTRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 657, col: 37, offset: 19985},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 657, col: 40, offset: 19988},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 657, col: 44, offset: 19992},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 657, col: 47, offset: 19995},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 657, col: 50, offset: 19998},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 657, col: 61, offset: 20009},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 657, col: 64, offset: 20012},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 657, col: 68, offset: 20016},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 657, col: 71, offset: 20019},
							label: "startPos",
							expr: &ruleRefExpr{
								pos:  position{line: 657, col: 80, offset: 20028},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 657, col: 91, offset: 20039},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 657, col: 94, offset: 20042},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 657, col: 98, offset: 20046},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 657, col: 101, offset: 20049},
							label: "length",
							expr: &ruleRefExpr{
								pos:  position{line: 657, col: 108, offset: 20056},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 657, col: 119, offset: 20067},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 657, col: 122, offset: 20070},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "TrimExpression",
			pos:  position{line: 661, col: 1, offset: 20177},
			expr: &actionExpr{
				pos: position{line: 661, col: 19, offset: 20195},
				run: (*parser).callonTrimExpression1,
				expr: &seqExpr{
					pos: position{line: 661, col: 19, offset: 20195},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 661, col: 19, offset: 20195},
							val:        "trim",
							ignoreCase: true,
							want:       "\"TRIM\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 661, col: 27, offset: 20203},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 661, col: 30, offset: 20206},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 661, col: 34, offset: 20210},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 661, col: 37, offset: 20213},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 661, col: 40, offset: 20216},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 661, col: 51, offset: 20227},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 661, col: 54, offset: 20230},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ThreeArgumentStringFunctionExpression",
			pos:  position{line: 665, col: 1, offset: 20314},
			expr: &actionExpr{
				pos: position{line: 665, col: 42, offset: 20355},
				run: (*parser).callonThreeArgumentStringFunctionExpression1,
				expr: &seqExpr{
					pos: position{line: 665, col: 42, offset: 20355},
					exprs: []any{
						&labeledExpr{
							pos:   position{line: 665, col: 42, offset: 20355},
							label: "function",
							expr: &ruleRefExpr{
								pos:  position{line: 665, col: 51, offset: 20364},
								name: "ThreeArgumentStringFunction",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 665, col: 79, offset: 20392},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 665, col: 82, offset: 20395},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 665, col: 86, offset: 20399},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 665, col: 89, offset: 20402},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 665, col: 93, offset: 20406},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 665, col: 104, offset: 20417},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 665, col: 107, offset: 20420},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 665, col: 111, offset: 20424},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 665, col: 114, offset: 20427},
							label: "ex2",
							expr: &ruleRefExpr{
								pos:  position{line: 665, col: 118, offset: 20431},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 665, col: 129, offset: 20442},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 665, col: 132, offset: 20445},
							label: "ignoreCase",
							expr: &zeroOrOneExpr{
								pos: position{line: 665, col: 143, offset: 20456},
								expr: &actionExpr{
									pos: position{line: 665, col: 144, offset: 20457},
									run: (*parser).callonThreeArgumentStringFunctionExpression18,
									expr: &seqExpr{
										pos: position{line: 665, col: 144, offset: 20457},
										exprs: []any{
											&litMatcher{
												pos:        position{line: 665, col: 144, offset: 20457},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 665, col: 148, offset: 20461},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 665, col: 151, offset: 20464},
												label: "boolean",
												expr: &ruleRefExpr{
													pos:  position{line: 665, col: 159, offset: 20472},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&litMatcher{
							pos:        position{line: 665, col: 196, offset: 20509},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ThreeArgumentStringFunction",
			pos:  position{line: 683, col: 1, offset: 21031},
			expr: &actionExpr{
				pos: position{line: 683, col: 32, offset: 21062},
				run: (*parser).callonThreeArgumentStringFunction1,
				expr: &choiceExpr{
					pos: position{line: 683, col: 33, offset: 21063},
					alternatives: []any{
						&litMatcher{
							pos:        position{line: 683, col: 33, offset: 21063},
							val:        "contains",
							ignoreCase: true,
							want:       "\"CONTAINS\"i",
						},
						&litMatcher{
							pos:        position{line: 683, col: 47, offset: 21077},
							val:        "endswith",
							ignoreCase: true,
							want:       "\"ENDSWITH\"i",
						},
						&litMatcher{
							pos:        position{line: 683, col: 61, offset: 21091},
							val:        "startswith",
							ignoreCase: true,
							want:       "\"STARTSWITH\"i",
						},
						&litMatcher{
							pos:        position{line: 683, col: 77, offset: 21107},
							val:        "index_of",
							ignoreCase: true,
							want:       "\"INDEX_OF\"i",
						},
					},
				},
			},
		},
		{
			name: "IsDefined",
			pos:  position{line: 687, col: 1, offset: 21156},
			expr: &actionExpr{
				pos: position{line: 687, col: 14, offset: 21169},
				run: (*parser).callonIsDefined1,
				expr: &seqExpr{
					pos: position{line: 687, col: 14, offset: 21169},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 687, col: 14, offset: 21169},
							val:        "is_defined",
							ignoreCase: true,
							want:       "\"IS_DEFINED\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 687, col: 28, offset: 21183},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 687, col: 31, offset: 21186},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 687, col: 35, offset: 21190},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 687, col: 38, offset: 21193},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 687, col: 41, offset: 21196},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 687, col: 52, offset: 21207},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 687, col: 55, offset: 21210},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsArray",
			pos:  position{line: 691, col: 1, offset: 21299},
			expr: &actionExpr{
				pos: position{line: 691, col: 12, offset: 21310},
				run: (*parser).callonIsArray1,
				expr: &seqExpr{
					pos: position{line: 691, col: 12, offset: 21310},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 691, col: 12, offset: 21310},
							val:        "is_array",
							ignoreCase: true,
							want:       "\"IS_ARRAY\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 691, col: 24, offset: 21322},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 691, col: 27, offset: 21325},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 691, col: 31, offset: 21329},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 691, col: 34, offset: 21332},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 691, col: 37, offset: 21335},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 691, col: 48, offset: 21346},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 691, col: 51, offset: 21349},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsBool",
			pos:  position{line: 695, col: 1, offset: 21436},
			expr: &actionExpr{
				pos: position{line: 695, col: 11, offset: 21446},
				run: (*parser).callonIsBool1,
				expr: &seqExpr{
					pos: position{line: 695, col: 11, offset: 21446},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 695, col: 11, offset: 21446},
							val:        "is_bool",
							ignoreCase: true,
							want:       "\"IS_BOOL\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 695, col: 22, offset: 21457},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 695, col: 25, offset: 21460},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 695, col: 29, offset: 21464},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 695, col: 32, offset: 21467},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 695, col: 35, offset: 21470},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 695, col: 46, offset: 21481},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 695, col: 49, offset: 21484},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsFiniteNumber",
			pos:  position{line: 699, col: 1, offset: 21570},
			expr: &actionExpr{
				pos: position{line: 699, col: 19, offset: 21588},
				run: (*parser).callonIsFiniteNumber1,
				expr: &seqExpr{
					pos: position{line: 699, col: 19, offset: 21588},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 699, col: 19, offset: 21588},
							val:        "is_finite_number",
							ignoreCase: true,
							want:       "\"IS_FINITE_NUMBER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 699, col: 39, offset: 21608},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 699, col: 42, offset: 21611},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 699, col: 46, offset: 21615},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 699, col: 49, offset: 21618},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 699, col: 52, offset: 21621},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 699, col: 63, offset: 21632},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 699, col: 66, offset: 21635},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsInteger",
			pos:  position{line: 703, col: 1, offset: 21729},
			expr: &actionExpr{
				pos: position{line: 703, col: 14, offset: 21742},
				run: (*parser).callonIsInteger1,
				expr: &seqExpr{
					pos: position{line: 703, col: 14, offset: 21742},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 703, col: 14, offset: 21742},
							val:        "is_integer",
							ignoreCase: true,
							want:       "\"IS_INTEGER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 703, col: 28, offset: 21756},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 703, col: 31, offset: 21759},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 703, col: 35, offset: 21763},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 703, col: 38, offset: 21766},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 703, col: 41, offset: 21769},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 703, col: 52, offset: 21780},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 703, col: 55, offset: 21783},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsNull",
			pos:  position{line: 707, col: 1, offset: 21872},
			expr: &actionExpr{
				pos: position{line: 707, col: 11, offset: 21882},
				run: (*parser).callonIsNull1,
				expr: &seqExpr{
					pos: position{line: 707, col: 11, offset: 21882},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 707, col: 11, offset: 21882},
							val:        "is_null",
							ignoreCase: true,
							want:       "\"IS_NULL\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 707, col: 22, offset: 21893},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 707, col: 25, offset: 21896},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 707, col: 29, offset: 21900},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 707, col: 32, offset: 21903},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 707, col: 35, offset: 21906},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 707, col: 46, offset: 21917},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 707, col: 49, offset: 21920},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsNumber",
			pos:  position{line: 711, col: 1, offset: 22006},
			expr: &actionExpr{
				pos: position{line: 711, col: 13, offset: 22018},
				run: (*parser).callonIsNumber1,
				expr: &seqExpr{
					pos: position{line: 711, col: 13, offset: 22018},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 711, col: 13, offset: 22018},
							val:        "is_number",
							ignoreCase: true,
							want:       "\"IS_NUMBER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 711, col: 26, offset: 22031},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 711, col: 29, offset: 22034},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 711, col: 33, offset: 22038},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 711, col: 36, offset: 22041},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 711, col: 39, offset: 22044},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 711, col: 50, offset: 22055},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 711, col: 53, offset: 22058},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsObject",
			pos:  position{line: 715, col: 1, offset: 22146},
			expr: &actionExpr{
				pos: position{line: 715, col: 13, offset: 22158},
				run: (*parser).callonIsObject1,
				expr: &seqExpr{
					pos: position{line: 715, col: 13, offset: 22158},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 715, col: 13, offset: 22158},
							val:        "is_object",
							ignoreCase: true,
							want:       "\"IS_OBJECT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 715, col: 26, offset: 22171},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 715, col: 29, offset: 22174},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 715, col: 33, offset: 22178},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 715, col: 36, offset: 22181},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 715, col: 39, offset: 22184},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 715, col: 50, offset: 22195},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 715, col: 53, offset: 22198},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsPrimitive",
			pos:  position{line: 719, col: 1, offset: 22286},
			expr: &actionExpr{
				pos: position{line: 719, col: 16, offset: 22301},
				run: (*parser).callonIsPrimitive1,
				expr: &seqExpr{
					pos: position{line: 719, col: 16, offset: 22301},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 719, col: 16, offset: 22301},
							val:        "is_primitive",
							ignoreCase: true,
							want:       "\"IS_PRIMITIVE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 719, col: 32, offset: 22317},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 719, col: 35, offset: 22320},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 719, col: 39, offset: 22324},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 719, col: 42, offset: 22327},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 719, col: 45, offset: 22330},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 719, col: 56, offset: 22341},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 719, col: 59, offset: 22344},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IsString",
			pos:  position{line: 723, col: 1, offset: 22435},
			expr: &actionExpr{
				pos: position{line: 723, col: 13, offset: 22447},
				run: (*parser).callonIsString1,
				expr: &seqExpr{
					pos: position{line: 723, col: 13, offset: 22447},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 723, col: 13, offset: 22447},
							val:        "is_string",
							ignoreCase: true,
							want:       "\"IS_STRING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 723, col: 26, offset: 22460},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 723, col: 29, offset: 22463},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 723, col: 33, offset: 22467},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 723, col: 36, offset: 22470},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 723, col: 39, offset: 22473},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 723, col: 50, offset: 22484},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 723, col: 53, offset: 22487},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayConcatExpression",
			pos:  position{line: 727, col: 1, offset: 22575},
			expr: &actionExpr{
				pos: position{line: 727, col: 26, offset: 22600},
				run: (*parser).callonArrayConcatExpression1,
				expr: &seqExpr{
					pos: position{line: 727, col: 26, offset: 22600},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 727, col: 26, offset: 22600},
							val:        "array_concat",
							ignoreCase: true,
							want:       "\"ARRAY_CONCAT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 727, col: 42, offset: 22616},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 727, col: 45, offset: 22619},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 727, col: 49, offset: 22623},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 727, col: 52, offset: 22626},
							label: "arrays",
							expr: &ruleRefExpr{
								pos:  position{line: 727, col: 59, offset: 22633},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 727, col: 70, offset: 22644},
							label: "others",
							expr: &oneOrMoreExpr{
								pos: position{line: 727, col: 77, offset: 22651},
								expr: &actionExpr{
									pos: position{line: 727, col: 78, offset: 22652},
									run: (*parser).callonArrayConcatExpression11,
									expr: &seqExpr{
										pos: position{line: 727, col: 78, offset: 22652},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 727, col: 78, offset: 22652},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 727, col: 81, offset: 22655},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 727, col: 85, offset: 22659},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 727, col: 88, offset: 22662},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 727, col: 91, offset: 22665},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 727, col: 123, offset: 22697},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 727, col: 126, offset: 22700},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayContainsExpression",
			pos:  position{line: 731, col: 1, offset: 22830},
			expr: &actionExpr{
				pos: position{line: 731, col: 28, offset: 22857},
				run: (*parser).callonArrayContainsExpression1,
				expr: &seqExpr{
					pos: position{line: 731, col: 28, offset: 22857},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 731, col: 28, offset: 22857},
							val:        "array_contains",
							ignoreCase: true,
							want:       "\"ARRAY_CONTAINS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 731, col: 46, offset: 22875},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 731, col: 49, offset: 22878},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 731, col: 53, offset: 22882},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 731, col: 56, offset: 22885},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 731, col: 62, offset: 22891},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 731, col: 73, offset: 22902},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 731, col: 76, offset: 22905},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 731, col: 80, offset: 22909},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 731, col: 83, offset: 22912},
							label: "item",
							expr: &ruleRefExpr{
								pos:  position{line: 731, col: 88, offset: 22917},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 731, col: 99, offset: 22928},
							label: "partialMatch",
							expr: &zeroOrOneExpr{
								pos: position{line: 731, col: 112, offset: 22941},
								expr: &actionExpr{
									pos: position{line: 731, col: 113, offset: 22942},
									run: (*parser).callonArrayContainsExpression16,
									expr: &seqExpr{
										pos: position{line: 731, col: 113, offset: 22942},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 731, col: 113, offset: 22942},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 731, col: 116, offset: 22945},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 731, col: 120, offset: 22949},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 731, col: 123, offset: 22952},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 731, col: 126, offset: 22955},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 731, col: 158, offset: 22987},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 731, col: 161, offset: 22990},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayContainsAnyExpression",
			pos:  position{line: 735, col: 1, offset: 23106},
			expr: &actionExpr{
				pos: position{line: 735, col: 31, offset: 23136},
				run: (*parser).callonArrayContainsAnyExpression1,
				expr: &seqExpr{
					pos: position{line: 735, col: 31, offset: 23136},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 735, col: 31, offset: 23136},
							val:        "array_contains_any",
							ignoreCase: true,
							want:       "\"ARRAY_CONTAINS_ANY\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 735, col: 53, offset: 23158},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 735, col: 56, offset: 23161},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 735, col: 60, offset: 23165},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 735, col: 63, offset: 23168},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 735, col: 69, offset: 23174},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 735, col: 80, offset: 23185},
							label: "items",
							expr: &oneOrMoreExpr{
								pos: position{line: 735, col: 86, offset: 23191},
								expr: &actionExpr{
									pos: position{line: 735, col: 87, offset: 23192},
									run: (*parser).callonArrayContainsAnyExpression11,
									expr: &seqExpr{
										pos: position{line: 735, col: 87, offset: 23192},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 735, col: 87, offset: 23192},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 735, col: 90, offset: 23195},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 735, col: 94, offset: 23199},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 735, col: 97, offset: 23202},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 735, col: 100, offset: 23205},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 735, col: 132, offset: 23237},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 735, col: 135, offset: 23240},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayContainsAllExpression",
			pos:  position{line: 739, col: 1, offset: 23373},
			expr: &actionExpr{
				pos: position{line: 739, col: 31, offset: 23403},
				run: (*parser).callonArrayContainsAllExpression1,
				expr: &seqExpr{
					pos: position{line: 739, col: 31, offset: 23403},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 739, col: 31, offset: 23403},
							val:        "array_contains_all",
							ignoreCase: true,
							want:       "\"ARRAY_CONTAINS_ALL\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 739, col: 53, offset: 23425},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 739, col: 56, offset: 23428},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 739, col: 60, offset: 23432},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 739, col: 63, offset: 23435},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 739, col: 69, offset: 23441},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 739, col: 80, offset: 23452},
							label: "items",
							expr: &oneOrMoreExpr{
								pos: position{line: 739, col: 86, offset: 23458},
								expr: &actionExpr{
									pos: position{line: 739, col: 87, offset: 23459},
									run: (*parser).callonArrayContainsAllExpression11,
									expr: &seqExpr{
										pos: position{line: 739, col: 87, offset: 23459},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 739, col: 87, offset: 23459},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 739, col: 90, offset: 23462},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 739, col: 94, offset: 23466},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 739, col: 97, offset: 23469},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 739, col: 100, offset: 23472},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 739, col: 132, offset: 23504},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 739, col: 135, offset: 23507},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArrayLengthExpression",
			pos:  position{line: 743, col: 1, offset: 23640},
			expr: &actionExpr{
				pos: position{line: 743, col: 26, offset: 23665},
				run: (*parser).callonArrayLengthExpression1,
				expr: &seqExpr{
					pos: position{line: 743, col: 26, offset: 23665},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 743, col: 26, offset: 23665},
							val:        "array_length",
							ignoreCase: true,
							want:       "\"ARRAY_LENGTH\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 743, col: 42, offset: 23681},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 743, col: 45, offset: 23684},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 743, col: 49, offset: 23688},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 743, col: 52, offset: 23691},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 743, col: 58, offset: 23697},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 743, col: 69, offset: 23708},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 743, col: 72, offset: 23711},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "ArraySliceExpression",
			pos:  position{line: 747, col: 1, offset: 23805},
			expr: &actionExpr{
				pos: position{line: 747, col: 25, offset: 23829},
				run: (*parser).callonArraySliceExpression1,
				expr: &seqExpr{
					pos: position{line: 747, col: 25, offset: 23829},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 747, col: 25, offset: 23829},
							val:        "array_slice",
							ignoreCase: true,
							want:       "\"ARRAY_SLICE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 747, col: 40, offset: 23844},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 747, col: 43, offset: 23847},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 747, col: 47, offset: 23851},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 747, col: 50, offset: 23854},
							label: "array",
							expr: &ruleRefExpr{
								pos:  position{line: 747, col: 56, offset: 23860},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 747, col: 67, offset: 23871},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 747, col: 70, offset: 23874},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 747, col: 74, offset: 23878},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 747, col: 77, offset: 23881},
							label: "start",
							expr: &ruleRefExpr{
								pos:  position{line: 747, col: 83, offset: 23887},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 747, col: 94, offset: 23898},
							label: "length",
							expr: &zeroOrOneExpr{
								pos: position{line: 747, col: 101, offset: 23905},
								expr: &actionExpr{
									pos: position{line: 747, col: 102, offset: 23906},
									run: (*parser).callonArraySliceExpression16,
									expr: &seqExpr{
										pos: position{line: 747, col: 102, offset: 23906},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 747, col: 102, offset: 23906},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 747, col: 105, offset: 23909},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 747, col: 109, offset: 23913},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 747, col: 112, offset: 23916},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 747, col: 115, offset: 23919},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 747, col: 147, offset: 23951},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 747, col: 150, offset: 23954},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SetIntersectExpression",
			pos:  position{line: 751, col: 1, offset: 24062},
			expr: &actionExpr{
				pos: position{line: 751, col: 27, offset: 24088},
				run: (*parser).callonSetIntersectExpression1,
				expr: &seqExpr{
					pos: position{line: 751, col: 27, offset: 24088},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 751, col: 27, offset: 24088},
							val:        "setintersect",
							ignoreCase: true,
							want:       "\"SetIntersect\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 751, col: 43, offset: 24104},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 751, col: 46, offset: 24107},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 751, col: 50, offset: 24111},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 751, col: 53, offset: 24114},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 751, col: 58, offset: 24119},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 751, col: 69, offset: 24130},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 751, col: 72, offset: 24133},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 751, col: 76, offset: 24137},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 751, col: 79, offset: 24140},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 751, col: 84, offset: 24145},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 751, col: 95, offset: 24156},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 751, col: 98, offset: 24159},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SetUnionExpression",
			pos:  position{line: 755, col: 1, offset: 24259},
			expr: &actionExpr{
				pos: position{line: 755, col: 23, offset: 24281},
				run: (*parser).callonSetUnionExpression1,
				expr: &seqExpr{
					pos: position{line: 755, col: 23, offset: 24281},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 755, col: 23, offset: 24281},
							val:        "setunion",
							ignoreCase: true,
							want:       "\"SetUnion\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 755, col: 35, offset: 24293},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 755, col: 38, offset: 24296},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 755, col: 42, offset: 24300},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 755, col: 45, offset: 24303},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 755, col: 50, offset: 24308},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 755, col: 61, offset: 24319},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 755, col: 64, offset: 24322},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 755, col: 68, offset: 24326},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 755, col: 71, offset: 24329},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 755, col: 76, offset: 24334},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 755, col: 87, offset: 24345},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 755, col: 90, offset: 24348},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "IifExpression",
			pos:  position{line: 759, col: 1, offset: 24444},
			expr: &actionExpr{
				pos: position{line: 759, col: 18, offset: 24461},
				run: (*parser).callonIifExpression1,
				expr: &seqExpr{
					pos: position{line: 759, col: 18, offset: 24461},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 759, col: 18, offset: 24461},
							val:        "iif",
							ignoreCase: true,
							want:       "\"IIF\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 759, col: 25, offset: 24468},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 759, col: 28, offset: 24471},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 759, col: 32, offset: 24475},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 759, col: 35, offset: 24478},
							label: "condition",
							expr: &ruleRefExpr{
								pos:  position{line: 759, col: 45, offset: 24488},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 759, col: 56, offset: 24499},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 759, col: 59, offset: 24502},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 759, col: 63, offset: 24506},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 759, col: 66, offset: 24509},
							label: "trueValue",
							expr: &ruleRefExpr{
								pos:  position{line: 759, col: 76, offset: 24519},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 759, col: 87, offset: 24530},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 759, col: 90, offset: 24533},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 759, col: 94, offset: 24537},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 759, col: 97, offset: 24540},
							label: "falseValue",
							expr: &ruleRefExpr{
								pos:  position{line: 759, col: 108, offset: 24551},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 759, col: 119, offset: 24562},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 759, col: 122, offset: 24565},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathAbsExpression",
			pos:  position{line: 763, col: 1, offset: 24678},
			expr: &actionExpr{
				pos: position{line: 763, col: 22, offset: 24699},
				run: (*parser).callonMathAbsExpression1,
				expr: &seqExpr{
					pos: position{line: 763, col: 22, offset: 24699},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 763, col: 22, offset: 24699},
							val:        "abs",
							ignoreCase: true,
							want:       "\"ABS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 763, col: 29, offset: 24706},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 763, col: 32, offset: 24709},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 763, col: 36, offset: 24713},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 763, col: 39, offset: 24716},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 763, col: 42, offset: 24719},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 763, col: 53, offset: 24730},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 763, col: 56, offset: 24733},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathAcosExpression",
			pos:  position{line: 764, col: 1, offset: 24815},
			expr: &actionExpr{
				pos: position{line: 764, col: 23, offset: 24837},
				run: (*parser).callonMathAcosExpression1,
				expr: &seqExpr{
					pos: position{line: 764, col: 23, offset: 24837},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 764, col: 23, offset: 24837},
							val:        "acos",
							ignoreCase: true,
							want:       "\"ACOS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 764, col: 31, offset: 24845},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 764, col: 34, offset: 24848},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 764, col: 38, offset: 24852},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 764, col: 41, offset: 24855},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 764, col: 44, offset: 24858},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 764, col: 55, offset: 24869},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 764, col: 58, offset: 24872},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathAsinExpression",
			pos:  position{line: 765, col: 1, offset: 24955},
			expr: &actionExpr{
				pos: position{line: 765, col: 23, offset: 24977},
				run: (*parser).callonMathAsinExpression1,
				expr: &seqExpr{
					pos: position{line: 765, col: 23, offset: 24977},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 765, col: 23, offset: 24977},
							val:        "asin",
							ignoreCase: true,
							want:       "\"ASIN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 765, col: 31, offset: 24985},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 765, col: 34, offset: 24988},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 765, col: 38, offset: 24992},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 765, col: 41, offset: 24995},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 765, col: 44, offset: 24998},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 765, col: 55, offset: 25009},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 765, col: 58, offset: 25012},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathAtanExpression",
			pos:  position{line: 766, col: 1, offset: 25095},
			expr: &actionExpr{
				pos: position{line: 766, col: 23, offset: 25117},
				run: (*parser).callonMathAtanExpression1,
				expr: &seqExpr{
					pos: position{line: 766, col: 23, offset: 25117},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 766, col: 23, offset: 25117},
							val:        "atan",
							ignoreCase: true,
							want:       "\"ATAN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 766, col: 31, offset: 25125},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 766, col: 34, offset: 25128},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 766, col: 38, offset: 25132},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 766, col: 41, offset: 25135},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 766, col: 44, offset: 25138},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 766, col: 55, offset: 25149},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 766, col: 58, offset: 25152},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathCeilingExpression",
			pos:  position{line: 767, col: 1, offset: 25235},
			expr: &actionExpr{
				pos: position{line: 767, col: 26, offset: 25260},
				run: (*parser).callonMathCeilingExpression1,
				expr: &seqExpr{
					pos: position{line: 767, col: 26, offset: 25260},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 767, col: 26, offset: 25260},
							val:        "ceiling",
							ignoreCase: true,
							want:       "\"CEILING\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 767, col: 37, offset: 25271},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 767, col: 40, offset: 25274},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 767, col: 44, offset: 25278},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 767, col: 47, offset: 25281},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 767, col: 50, offset: 25284},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 767, col: 61, offset: 25295},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 767, col: 64, offset: 25298},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathCosExpression",
			pos:  position{line: 768, col: 1, offset: 25384},
			expr: &actionExpr{
				pos: position{line: 768, col: 22, offset: 25405},
				run: (*parser).callonMathCosExpression1,
				expr: &seqExpr{
					pos: position{line: 768, col: 22, offset: 25405},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 768, col: 22, offset: 25405},
							val:        "cos",
							ignoreCase: true,
							want:       "\"COS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 768, col: 29, offset: 25412},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 768, col: 32, offset: 25415},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 768, col: 36, offset: 25419},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 768, col: 39, offset: 25422},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 768, col: 42, offset: 25425},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 768, col: 53, offset: 25436},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 768, col: 56, offset: 25439},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathCotExpression",
			pos:  position{line: 769, col: 1, offset: 25521},
			expr: &actionExpr{
				pos: position{line: 769, col: 22, offset: 25542},
				run: (*parser).callonMathCotExpression1,
				expr: &seqExpr{
					pos: position{line: 769, col: 22, offset: 25542},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 769, col: 22, offset: 25542},
							val:        "cot",
							ignoreCase: true,
							want:       "\"COT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 769, col: 29, offset: 25549},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 769, col: 32, offset: 25552},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 769, col: 36, offset: 25556},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 769, col: 39, offset: 25559},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 769, col: 42, offset: 25562},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 769, col: 53, offset: 25573},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 769, col: 56, offset: 25576},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathDegreesExpression",
			pos:  position{line: 770, col: 1, offset: 25658},
			expr: &actionExpr{
				pos: position{line: 770, col: 26, offset: 25683},
				run: (*parser).callonMathDegreesExpression1,
				expr: &seqExpr{
					pos: position{line: 770, col: 26, offset: 25683},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 770, col: 26, offset: 25683},
							val:        "degrees",
							ignoreCase: true,
							want:       "\"DEGREES\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 770, col: 37, offset: 25694},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 770, col: 40, offset: 25697},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 770, col: 44, offset: 25701},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 770, col: 47, offset: 25704},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 770, col: 50, offset: 25707},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 770, col: 61, offset: 25718},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 770, col: 64, offset: 25721},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathExpExpression",
			pos:  position{line: 771, col: 1, offset: 25807},
			expr: &actionExpr{
				pos: position{line: 771, col: 22, offset: 25828},
				run: (*parser).callonMathExpExpression1,
				expr: &seqExpr{
					pos: position{line: 771, col: 22, offset: 25828},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 771, col: 22, offset: 25828},
							val:        "exp",
							ignoreCase: true,
							want:       "\"EXP\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 771, col: 29, offset: 25835},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 771, col: 32, offset: 25838},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 771, col: 36, offset: 25842},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 771, col: 39, offset: 25845},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 771, col: 42, offset: 25848},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 771, col: 53, offset: 25859},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 771, col: 56, offset: 25862},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathFloorExpression",
			pos:  position{line: 772, col: 1, offset: 25944},
			expr: &actionExpr{
				pos: position{line: 772, col: 24, offset: 25967},
				run: (*parser).callonMathFloorExpression1,
				expr: &seqExpr{
					pos: position{line: 772, col: 24, offset: 25967},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 772, col: 24, offset: 25967},
							val:        "floor",
							ignoreCase: true,
							want:       "\"FLOOR\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 772, col: 33, offset: 25976},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 772, col: 36, offset: 25979},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 772, col: 40, offset: 25983},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 772, col: 43, offset: 25986},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 772, col: 46, offset: 25989},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 772, col: 57, offset: 26000},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 772, col: 60, offset: 26003},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitNotExpression",
			pos:  position{line: 773, col: 1, offset: 26087},
			expr: &actionExpr{
				pos: position{line: 773, col: 28, offset: 26114},
				run: (*parser).callonMathIntBitNotExpression1,
				expr: &seqExpr{
					pos: position{line: 773, col: 28, offset: 26114},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 773, col: 28, offset: 26114},
							val:        "intbitnot",
							ignoreCase: true,
							want:       "\"IntBitNot\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 773, col: 41, offset: 26127},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 773, col: 44, offset: 26130},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 773, col: 48, offset: 26134},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 773, col: 51, offset: 26137},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 773, col: 54, offset: 26140},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 773, col: 65, offset: 26151},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 773, col: 68, offset: 26154},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathLog10Expression",
			pos:  position{line: 774, col: 1, offset: 26242},
			expr: &actionExpr{
				pos: position{line: 774, col: 24, offset: 26265},
				run: (*parser).callonMathLog10Expression1,
				expr: &seqExpr{
					pos: position{line: 774, col: 24, offset: 26265},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 774, col: 24, offset: 26265},
							val:        "log10",
							ignoreCase: true,
							want:       "\"LOG10\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 774, col: 33, offset: 26274},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 774, col: 36, offset: 26277},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 774, col: 40, offset: 26281},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 774, col: 43, offset: 26284},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 774, col: 46, offset: 26287},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 774, col: 57, offset: 26298},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 774, col: 60, offset: 26301},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathRadiansExpression",
			pos:  position{line: 775, col: 1, offset: 26385},
			expr: &actionExpr{
				pos: position{line: 775, col: 26, offset: 26410},
				run: (*parser).callonMathRadiansExpression1,
				expr: &seqExpr{
					pos: position{line: 775, col: 26, offset: 26410},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 775, col: 26, offset: 26410},
							val:        "radians",
							ignoreCase: true,
							want:       "\"RADIANS\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 775, col: 37, offset: 26421},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 775, col: 40, offset: 26424},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 775, col: 44, offset: 26428},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 775, col: 47, offset: 26431},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 775, col: 50, offset: 26434},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 775, col: 61, offset: 26445},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 775, col: 64, offset: 26448},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathRoundExpression",
			pos:  position{line: 776, col: 1, offset: 26534},
			expr: &actionExpr{
				pos: position{line: 776, col: 24, offset: 26557},
				run: (*parser).callonMathRoundExpression1,
				expr: &seqExpr{
					pos: position{line: 776, col: 24, offset: 26557},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 776, col: 24, offset: 26557},
							val:        "round",
							ignoreCase: true,
							want:       "\"ROUND\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 776, col: 33, offset: 26566},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 776, col: 36, offset: 26569},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 776, col: 40, offset: 26573},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 776, col: 43, offset: 26576},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 776, col: 46, offset: 26579},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 776, col: 57, offset: 26590},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 776, col: 60, offset: 26593},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathSignExpression",
			pos:  position{line: 777, col: 1, offset: 26677},
			expr: &actionExpr{
				pos: position{line: 777, col: 23, offset: 26699},
				run: (*parser).callonMathSignExpression1,
				expr: &seqExpr{
					pos: position{line: 777, col: 23, offset: 26699},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 777, col: 23, offset: 26699},
							val:        "sign",
							ignoreCase: true,
							want:       "\"SIGN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 777, col: 31, offset: 26707},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 777, col: 34, offset: 26710},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 777, col: 38, offset: 26714},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 777, col: 41, offset: 26717},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 777, col: 44, offset: 26720},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 777, col: 55, offset: 26731},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 777, col: 58, offset: 26734},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathSinExpression",
			pos:  position{line: 778, col: 1, offset: 26817},
			expr: &actionExpr{
				pos: position{line: 778, col: 22, offset: 26838},
				run: (*parser).callonMathSinExpression1,
				expr: &seqExpr{
					pos: position{line: 778, col: 22, offset: 26838},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 778, col: 22, offset: 26838},
							val:        "sin",
							ignoreCase: true,
							want:       "\"SIN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 778, col: 29, offset: 26845},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 778, col: 32, offset: 26848},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 778, col: 36, offset: 26852},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 778, col: 39, offset: 26855},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 778, col: 42, offset: 26858},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 778, col: 53, offset: 26869},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 778, col: 56, offset: 26872},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathSqrtExpression",
			pos:  position{line: 779, col: 1, offset: 26954},
			expr: &actionExpr{
				pos: position{line: 779, col: 23, offset: 26976},
				run: (*parser).callonMathSqrtExpression1,
				expr: &seqExpr{
					pos: position{line: 779, col: 23, offset: 26976},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 779, col: 23, offset: 26976},
							val:        "sqrt",
							ignoreCase: true,
							want:       "\"SQRT\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 779, col: 31, offset: 26984},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 779, col: 34, offset: 26987},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 779, col: 38, offset: 26991},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 779, col: 41, offset: 26994},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 779, col: 44, offset: 26997},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 779, col: 55, offset: 27008},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 779, col: 58, offset: 27011},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathSquareExpression",
			pos:  position{line: 780, col: 1, offset: 27094},
			expr: &actionExpr{
				pos: position{line: 780, col: 25, offset: 27118},
				run: (*parser).callonMathSquareExpression1,
				expr: &seqExpr{
					pos: position{line: 780, col: 25, offset: 27118},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 780, col: 25, offset: 27118},
							val:        "square",
							ignoreCase: true,
							want:       "\"SQUARE\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 780, col: 35, offset: 27128},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 780, col: 38, offset: 27131},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 780, col: 42, offset: 27135},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 780, col: 45, offset: 27138},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 780, col: 48, offset: 27141},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 780, col: 59, offset: 27152},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 780, col: 62, offset: 27155},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathTanExpression",
			pos:  position{line: 781, col: 1, offset: 27240},
			expr: &actionExpr{
				pos: position{line: 781, col: 22, offset: 27261},
				run: (*parser).callonMathTanExpression1,
				expr: &seqExpr{
					pos: position{line: 781, col: 22, offset: 27261},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 781, col: 22, offset: 27261},
							val:        "tan",
							ignoreCase: true,
							want:       "\"TAN\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 781, col: 29, offset: 27268},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 781, col: 32, offset: 27271},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 781, col: 36, offset: 27275},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 781, col: 39, offset: 27278},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 781, col: 42, offset: 27281},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 781, col: 53, offset: 27292},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 781, col: 56, offset: 27295},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathTruncExpression",
			pos:  position{line: 782, col: 1, offset: 27377},
			expr: &actionExpr{
				pos: position{line: 782, col: 24, offset: 27400},
				run: (*parser).callonMathTruncExpression1,
				expr: &seqExpr{
					pos: position{line: 782, col: 24, offset: 27400},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 782, col: 24, offset: 27400},
							val:        "trunc",
							ignoreCase: true,
							want:       "\"TRUNC\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 782, col: 33, offset: 27409},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 782, col: 36, offset: 27412},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 782, col: 40, offset: 27416},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 782, col: 43, offset: 27419},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 782, col: 46, offset: 27422},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 782, col: 57, offset: 27433},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 782, col: 60, offset: 27436},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathAtn2Expression",
			pos:  position{line: 784, col: 1, offset: 27521},
			expr: &actionExpr{
				pos: position{line: 784, col: 23, offset: 27543},
				run: (*parser).callonMathAtn2Expression1,
				expr: &seqExpr{
					pos: position{line: 784, col: 23, offset: 27543},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 784, col: 23, offset: 27543},
							val:        "atn2",
							ignoreCase: true,
							want:       "\"ATN2\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 784, col: 31, offset: 27551},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 784, col: 34, offset: 27554},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 784, col: 38, offset: 27558},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 784, col: 41, offset: 27561},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 784, col: 46, offset: 27566},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 784, col: 57, offset: 27577},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 784, col: 60, offset: 27580},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 784, col: 64, offset: 27584},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 784, col: 67, offset: 27587},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 784, col: 72, offset: 27592},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 784, col: 83, offset: 27603},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 784, col: 86, offset: 27606},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntAddExpression",
			pos:  position{line: 785, col: 1, offset: 27697},
			expr: &actionExpr{
				pos: position{line: 785, col: 25, offset: 27721},
				run: (*parser).callonMathIntAddExpression1,
				expr: &seqExpr{
					pos: position{line: 785, col: 25, offset: 27721},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 785, col: 25, offset: 27721},
							val:        "intadd",
							ignoreCase: true,
							want:       "\"IntAdd\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 785, col: 35, offset: 27731},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 785, col: 38, offset: 27734},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 785, col: 42, offset: 27738},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 785, col: 45, offset: 27741},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 785, col: 50, offset: 27746},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 785, col: 61, offset: 27757},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 785, col: 64, offset: 27760},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 785, col: 68, offset: 27764},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 785, col: 71, offset: 27767},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 785, col: 76, offset: 27772},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 785, col: 87, offset: 27783},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 785, col: 90, offset: 27786},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitAndExpression",
			pos:  position{line: 786, col: 1, offset: 27879},
			expr: &actionExpr{
				pos: position{line: 786, col: 28, offset: 27906},
				run: (*parser).callonMathIntBitAndExpression1,
				expr: &seqExpr{
					pos: position{line: 786, col: 28, offset: 27906},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 786, col: 28, offset: 27906},
							val:        "intbitand",
							ignoreCase: true,
							want:       "\"IntBitAnd\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 786, col: 41, offset: 27919},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 786, col: 44, offset: 27922},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 786, col: 48, offset: 27926},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 786, col: 51, offset: 27929},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 786, col: 56, offset: 27934},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 786, col: 67, offset: 27945},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 786, col: 70, offset: 27948},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 786, col: 74, offset: 27952},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 786, col: 77, offset: 27955},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 786, col: 82, offset: 27960},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 786, col: 93, offset: 27971},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 786, col: 96, offset: 27974},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitLeftShiftExpression",
			pos:  position{line: 787, col: 1, offset: 28070},
			expr: &actionExpr{
				pos: position{line: 787, col: 34, offset: 28103},
				run: (*parser).callonMathIntBitLeftShiftExpression1,
				expr: &seqExpr{
					pos: position{line: 787, col: 34, offset: 28103},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 787, col: 34, offset: 28103},
							val:        "intbitleftshift",
							ignoreCase: true,
							want:       "\"IntBitLeftShift\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 787, col: 53, offset: 28122},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 787, col: 56, offset: 28125},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 787, col: 60, offset: 28129},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 787, col: 63, offset: 28132},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 787, col: 68, offset: 28137},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 787, col: 79, offset: 28148},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 787, col: 82, offset: 28151},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 787, col: 86, offset: 28155},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 787, col: 89, offset: 28158},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 787, col: 94, offset: 28163},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 787, col: 105, offset: 28174},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 787, col: 108, offset: 28177},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitOrExpression",
			pos:  position{line: 788, col: 1, offset: 28279},
			expr: &actionExpr{
				pos: position{line: 788, col: 27, offset: 28305},
				run: (*parser).callonMathIntBitOrExpression1,
				expr: &seqExpr{
					pos: position{line: 788, col: 27, offset: 28305},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 788, col: 27, offset: 28305},
							val:        "intbitor",
							ignoreCase: true,
							want:       "\"IntBitOr\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 788, col: 39, offset: 28317},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 788, col: 42, offset: 28320},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 788, col: 46, offset: 28324},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 788, col: 49, offset: 28327},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 788, col: 54, offset: 28332},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 788, col: 65, offset: 28343},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 788, col: 68, offset: 28346},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 788, col: 72, offset: 28350},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 788, col: 75, offset: 28353},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 788, col: 80, offset: 28358},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 788, col: 91, offset: 28369},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 788, col: 94, offset: 28372},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitRightShiftExpression",
			pos:  position{line: 789, col: 1, offset: 28467},
			expr: &actionExpr{
				pos: position{line: 789, col: 35, offset: 28501},
				run: (*parser).callonMathIntBitRightShiftExpression1,
				expr: &seqExpr{
					pos: position{line: 789, col: 35, offset: 28501},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 789, col: 35, offset: 28501},
							val:        "intbitrightshift",
							ignoreCase: true,
							want:       "\"IntBitRightShift\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 789, col: 55, offset: 28521},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 789, col: 58, offset: 28524},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 789, col: 62, offset: 28528},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 789, col: 65, offset: 28531},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 789, col: 70, offset: 28536},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 789, col: 81, offset: 28547},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 789, col: 84, offset: 28550},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 789, col: 88, offset: 28554},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 789, col: 91, offset: 28557},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 789, col: 96, offset: 28562},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 789, col: 107, offset: 28573},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 789, col: 110, offset: 28576},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntBitXorExpression",
			pos:  position{line: 790, col: 1, offset: 28679},
			expr: &actionExpr{
				pos: position{line: 790, col: 28, offset: 28706},
				run: (*parser).callonMathIntBitXorExpression1,
				expr: &seqExpr{
					pos: position{line: 790, col: 28, offset: 28706},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 790, col: 28, offset: 28706},
							val:        "intbitxor",
							ignoreCase: true,
							want:       "\"IntBitXor\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 790, col: 41, offset: 28719},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 790, col: 44, offset: 28722},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 790, col: 48, offset: 28726},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 790, col: 51, offset: 28729},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 790, col: 56, offset: 28734},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 790, col: 67, offset: 28745},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 790, col: 70, offset: 28748},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 790, col: 74, offset: 28752},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 790, col: 77, offset: 28755},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 790, col: 82, offset: 28760},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 790, col: 93, offset: 28771},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 790, col: 96, offset: 28774},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntDivExpression",
			pos:  position{line: 791, col: 1, offset: 28870},
			expr: &actionExpr{
				pos: position{line: 791, col: 25, offset: 28894},
				run: (*parser).callonMathIntDivExpression1,
				expr: &seqExpr{
					pos: position{line: 791, col: 25, offset: 28894},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 791, col: 25, offset: 28894},
							val:        "intdiv",
							ignoreCase: true,
							want:       "\"IntDiv\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 791, col: 35, offset: 28904},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 791, col: 38, offset: 28907},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 791, col: 42, offset: 28911},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 791, col: 45, offset: 28914},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 791, col: 50, offset: 28919},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 791, col: 61, offset: 28930},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 791, col: 64, offset: 28933},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 791, col: 68, offset: 28937},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 791, col: 71, offset: 28940},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 791, col: 76, offset: 28945},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 791, col: 87, offset: 28956},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 791, col: 90, offset: 28959},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntModExpression",
			pos:  position{line: 792, col: 1, offset: 29052},
			expr: &actionExpr{
				pos: position{line: 792, col: 25, offset: 29076},
				run: (*parser).callonMathIntModExpression1,
				expr: &seqExpr{
					pos: position{line: 792, col: 25, offset: 29076},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 792, col: 25, offset: 29076},
							val:        "intmod",
							ignoreCase: true,
							want:       "\"IntMod\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 792, col: 35, offset: 29086},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 792, col: 38, offset: 29089},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 792, col: 42, offset: 29093},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 792, col: 45, offset: 29096},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 792, col: 50, offset: 29101},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 792, col: 61, offset: 29112},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 792, col: 64, offset: 29115},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 792, col: 68, offset: 29119},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 792, col: 71, offset: 29122},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 792, col: 76, offset: 29127},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 792, col: 87, offset: 29138},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 792, col: 90, offset: 29141},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntMulExpression",
			pos:  position{line: 793, col: 1, offset: 29234},
			expr: &actionExpr{
				pos: position{line: 793, col: 25, offset: 29258},
				run: (*parser).callonMathIntMulExpression1,
				expr: &seqExpr{
					pos: position{line: 793, col: 25, offset: 29258},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 793, col: 25, offset: 29258},
							val:        "intmul",
							ignoreCase: true,
							want:       "\"IntMul\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 793, col: 35, offset: 29268},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 793, col: 38, offset: 29271},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 793, col: 42, offset: 29275},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 793, col: 45, offset: 29278},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 793, col: 50, offset: 29283},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 793, col: 61, offset: 29294},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 793, col: 64, offset: 29297},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 793, col: 68, offset: 29301},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 793, col: 71, offset: 29304},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 793, col: 76, offset: 29309},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 793, col: 87, offset: 29320},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 793, col: 90, offset: 29323},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathIntSubExpression",
			pos:  position{line: 794, col: 1, offset: 29416},
			expr: &actionExpr{
				pos: position{line: 794, col: 25, offset: 29440},
				run: (*parser).callonMathIntSubExpression1,
				expr: &seqExpr{
					pos: position{line: 794, col: 25, offset: 29440},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 794, col: 25, offset: 29440},
							val:        "intsub",
							ignoreCase: true,
							want:       "\"IntSub\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 794, col: 35, offset: 29450},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 794, col: 38, offset: 29453},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 794, col: 42, offset: 29457},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 794, col: 45, offset: 29460},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 794, col: 50, offset: 29465},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 794, col: 61, offset: 29476},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 794, col: 64, offset: 29479},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 794, col: 68, offset: 29483},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 794, col: 71, offset: 29486},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 794, col: 76, offset: 29491},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 794, col: 87, offset: 29502},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 794, col: 90, offset: 29505},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathPowerExpression",
			pos:  position{line: 795, col: 1, offset: 29598},
			expr: &actionExpr{
				pos: position{line: 795, col: 24, offset: 29621},
				run: (*parser).callonMathPowerExpression1,
				expr: &seqExpr{
					pos: position{line: 795, col: 24, offset: 29621},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 795, col: 24, offset: 29621},
							val:        "power",
							ignoreCase: true,
							want:       "\"POWER\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 795, col: 33, offset: 29630},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 795, col: 36, offset: 29633},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 795, col: 40, offset: 29637},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 795, col: 43, offset: 29640},
							label: "set1",
							expr: &ruleRefExpr{
								pos:  position{line: 795, col: 48, offset: 29645},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 795, col: 59, offset: 29656},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 795, col: 62, offset: 29659},
							val:        ",",
							ignoreCase: false,
							want:       "\",\"",
						},
						&ruleRefExpr{
							pos:  position{line: 795, col: 66, offset: 29663},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 795, col: 69, offset: 29666},
							label: "set2",
							expr: &ruleRefExpr{
								pos:  position{line: 795, col: 74, offset: 29671},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 795, col: 85, offset: 29682},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 795, col: 88, offset: 29685},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathLogExpression",
			pos:  position{line: 797, col: 1, offset: 29778},
			expr: &actionExpr{
				pos: position{line: 797, col: 22, offset: 29799},
				run: (*parser).callonMathLogExpression1,
				expr: &seqExpr{
					pos: position{line: 797, col: 22, offset: 29799},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 797, col: 22, offset: 29799},
							val:        "log",
							ignoreCase: true,
							want:       "\"LOG\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 797, col: 29, offset: 29806},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 797, col: 32, offset: 29809},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 797, col: 36, offset: 29813},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 797, col: 39, offset: 29816},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 797, col: 43, offset: 29820},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 797, col: 54, offset: 29831},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 797, col: 61, offset: 29838},
								expr: &actionExpr{
									pos: position{line: 797, col: 62, offset: 29839},
									run: (*parser).callonMathLogExpression11,
									expr: &seqExpr{
										pos: position{line: 797, col: 62, offset: 29839},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 797, col: 62, offset: 29839},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 797, col: 65, offset: 29842},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 797, col: 69, offset: 29846},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 797, col: 72, offset: 29849},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 797, col: 75, offset: 29852},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 797, col: 107, offset: 29884},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 797, col: 110, offset: 29887},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathNumberBinExpression",
			pos:  position{line: 800, col: 1, offset: 30009},
			expr: &actionExpr{
				pos: position{line: 800, col: 28, offset: 30036},
				run: (*parser).callonMathNumberBinExpression1,
				expr: &seqExpr{
					pos: position{line: 800, col: 28, offset: 30036},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 800, col: 28, offset: 30036},
							val:        "numberbin",
							ignoreCase: true,
							want:       "\"NumberBin\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 800, col: 41, offset: 30049},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 800, col: 44, offset: 30052},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 800, col: 48, offset: 30056},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 800, col: 51, offset: 30059},
							label: "ex1",
							expr: &ruleRefExpr{
								pos:  position{line: 800, col: 55, offset: 30063},
								name: "SelectItem",
							},
						},
						&labeledExpr{
							pos:   position{line: 800, col: 66, offset: 30074},
							label: "others",
							expr: &zeroOrMoreExpr{
								pos: position{line: 800, col: 73, offset: 30081},
								expr: &actionExpr{
									pos: position{line: 800, col: 74, offset: 30082},
									run: (*parser).callonMathNumberBinExpression11,
									expr: &seqExpr{
										pos: position{line: 800, col: 74, offset: 30082},
										exprs: []any{
											&ruleRefExpr{
												pos:  position{line: 800, col: 74, offset: 30082},
												name: "ws",
											},
											&litMatcher{
												pos:        position{line: 800, col: 77, offset: 30085},
												val:        ",",
												ignoreCase: false,
												want:       "\",\"",
											},
											&ruleRefExpr{
												pos:  position{line: 800, col: 81, offset: 30089},
												name: "ws",
											},
											&labeledExpr{
												pos:   position{line: 800, col: 84, offset: 30092},
												label: "ex",
												expr: &ruleRefExpr{
													pos:  position{line: 800, col: 87, offset: 30095},
													name: "SelectItem",
												},
											},
										},
									},
								},
							},
						},
						&ruleRefExpr{
							pos:  position{line: 800, col: 119, offset: 30127},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 800, col: 122, offset: 30130},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathPiExpression",
			pos:  position{line: 803, col: 1, offset: 30258},
			expr: &actionExpr{
				pos: position{line: 803, col: 21, offset: 30278},
				run: (*parser).callonMathPiExpression1,
				expr: &seqExpr{
					pos: position{line: 803, col: 21, offset: 30278},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 803, col: 21, offset: 30278},
							val:        "pi",
							ignoreCase: true,
							want:       "\"PI\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 803, col: 27, offset: 30284},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 803, col: 30, offset: 30287},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 803, col: 34, offset: 30291},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 803, col: 37, offset: 30294},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MathRandExpression",
			pos:  position{line: 804, col: 1, offset: 30373},
			expr: &actionExpr{
				pos: position{line: 804, col: 23, offset: 30395},
				run: (*parser).callonMathRandExpression1,
				expr: &seqExpr{
					pos: position{line: 804, col: 23, offset: 30395},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 804, col: 23, offset: 30395},
							val:        "rand",
							ignoreCase: true,
							want:       "\"RAND\"i",
						},
						&ruleRefExpr{
							pos:  position{line: 804, col: 31, offset: 30403},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 804, col: 34, offset: 30406},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 804, col: 38, offset: 30410},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 804, col: 41, offset: 30413},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "InFunction",
			pos:  position{line: 806, col: 1, offset: 30495},
			expr: &choiceExpr{
				pos: position{line: 806, col: 15, offset: 30509},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 806, col: 15, offset: 30509},
						run: (*parser).callonInFunction2,
						expr: &seqExpr{
							pos: position{line: 806, col: 15, offset: 30509},
							exprs: []any{
								&labeledExpr{
									pos:   position{line: 806, col: 15, offset: 30509},
									label: "ex1",
									expr: &ruleRefExpr{
										pos:  position{line: 806, col: 19, offset: 30513},
										name: "SelectProperty",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 806, col: 34, offset: 30528},
									name: "ws",
								},
								&ruleRefExpr{
									pos:  position{line: 806, col: 37, offset: 30531},
									name: "In",
								},
								&ruleRefExpr{
									pos:  position{line: 806, col: 40, offset: 30534},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 806, col: 43, offset: 30537},
									val:        "(",
									ignoreCase: false,
									want:       "\"(\"",
								},
								&ruleRefExpr{
									pos:  position{line: 806, col: 47, offset: 30541},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 806, col: 50, offset: 30544},
									label: "ex2",
									expr: &ruleRefExpr{
										pos:  position{line: 806, col: 54, offset: 30548},
										name: "SelectItem",
									},
								},
								&labeledExpr{
									pos:   position{line: 806, col: 65, offset: 30559},
									label: "others",
									expr: &zeroOrMoreExpr{
										pos: position{line: 806, col: 72, offset: 30566},
										expr: &actionExpr{
											pos: position{line: 806, col: 73, offset: 30567},
											run: (*parser).callonInFunction15,
											expr: &seqExpr{
												pos: position{line: 806, col: 73, offset: 30567},
												exprs: []any{
													&ruleRefExpr{
														pos:  position{line: 806, col: 73, offset: 30567},
														name: "ws",
													},
													&litMatcher{
														pos:        position{line: 806, col: 76, offset: 30570},
														val:        ",",
														ignoreCase: false,
														want:       "\",\"",
													},
													&ruleRefExpr{
														pos:  position{line: 806, col: 80, offset: 30574},
														name: "ws",
													},
													&labeledExpr{
														pos:   position{line: 806, col: 83, offset: 30577},
														label: "ex",
														expr: &ruleRefExpr{
															pos:  position{line: 806, col: 86, offset: 30580},
															name: "SelectItem",
														},
													},
												},
											},
										},
									},
								},
								&ruleRefExpr{
									pos:  position{line: 806, col: 118, offset: 30612},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 806, col: 121, offset: 30615},
									val:        ")",
									ignoreCase: false,
									want:       "\")\"",
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 808, col: 5, offset: 30739},
						run: (*parser).callonInFunction24,
						expr: &seqExpr{
							pos: position{line: 808, col: 5, offset: 30739},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 808, col: 5, offset: 30739},
									val:        "(",
									ignoreCase: false,
									want:       "\"(\"",
								},
								&ruleRefExpr{
									pos:  position{line: 808, col: 9, offset: 30743},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 808, col: 12, offset: 30746},
									label: "ex1",
									expr: &ruleRefExpr{
										pos:  position{line: 808, col: 16, offset: 30750},
										name: "SelectItem",
									},
								},
								&ruleRefExpr{
									pos:  position{line: 808, col: 27, offset: 30761},
									name: "ws",
								},
								&ruleRefExpr{
									pos:  position{line: 808, col: 30, offset: 30764},
									name: "In",
								},
								&ruleRefExpr{
									pos:  position{line: 808, col: 33, offset: 30767},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 808, col: 36, offset: 30770},
									val:        "(",
									ignoreCase: false,
									want:       "\"(\"",
								},
								&ruleRefExpr{
									pos:  position{line: 808, col: 40, offset: 30774},
									name: "ws",
								},
								&labeledExpr{
									pos:   position{line: 808, col: 43, offset: 30777},
									label: "ex2",
									expr: &ruleRefExpr{
										pos:  position{line: 808, col: 47, offset: 30781},
										name: "SelectItem",
									},
								},
								&labeledExpr{
									pos:   position{line: 808, col: 58, offset: 30792},
									label: "others",
									expr: &zeroOrMoreExpr{
										pos: position{line: 808, col: 65, offset: 30799},
										expr: &actionExpr{
											pos: position{line: 808, col: 66, offset: 30800},
											run: (*parser).callonInFunction39,
											expr: &seqExpr{
												pos: position{line: 808, col: 66, offset: 30800},
												exprs: []any{
													&ruleRefExpr{
														pos:  position{line: 808, col: 66, offset: 30800},
														name: "ws",
													},
													&litMatcher{
														pos:        position{line: 808, col: 69, offset: 30803},
														val:        ",",
														ignoreCase: false,
														want:       "\",\"",
													},
													&ruleRefExpr{
														pos:  position{line: 808, col: 73, offset: 30807},
														name: "ws",
													},
													&labeledExpr{
														pos:   position{line: 808, col: 76, offset: 30810},
														label: "ex",
														expr: &ruleRefExpr{
															pos:  position{line: 808, col: 79, offset: 30813},
															name: "SelectItem",
														},
													},
												},
											},
										},
									},
								},
								&ruleRefExpr{
									pos:  position{line: 808, col: 111, offset: 30845},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 808, col: 114, offset: 30848},
									val:        ")",
									ignoreCase: false,
									want:       "\")\"",
								},
								&ruleRefExpr{
									pos:  position{line: 808, col: 118, offset: 30852},
									name: "ws",
								},
								&litMatcher{
									pos:        position{line: 808, col: 121, offset: 30855},
									val:        ")",
									ignoreCase: false,
									want:       "\")\"",
								},
							},
						},
					},
				},
			},
		},
		{
			name: "AvgAggregateExpression",
			pos:  position{line: 812, col: 1, offset: 30978},
			expr: &actionExpr{
				pos: position{line: 812, col: 29, offset: 31006},
				run: (*parser).callonAvgAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 812, col: 29, offset: 31006},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 812, col: 29, offset: 31006},
							val:        "avg",
							ignoreCase: true,
							want:       "\"AVG\"i",
						},
						&litMatcher{
							pos:        position{line: 812, col: 36, offset: 31013},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 812, col: 40, offset: 31017},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 812, col: 43, offset: 31020},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 812, col: 46, offset: 31023},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 812, col: 58, offset: 31035},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 812, col: 61, offset: 31038},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "CountAggregateExpression",
			pos:  position{line: 816, col: 1, offset: 31130},
			expr: &actionExpr{
				pos: position{line: 816, col: 29, offset: 31158},
				run: (*parser).callonCountAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 816, col: 29, offset: 31158},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 816, col: 29, offset: 31158},
							val:        "count",
							ignoreCase: true,
							want:       "\"COUNT\"i",
						},
						&litMatcher{
							pos:        position{line: 816, col: 38, offset: 31167},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 816, col: 42, offset: 31171},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 816, col: 45, offset: 31174},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 816, col: 48, offset: 31177},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 816, col: 59, offset: 31188},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 816, col: 62, offset: 31191},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MaxAggregateExpression",
			pos:  position{line: 820, col: 1, offset: 31285},
			expr: &actionExpr{
				pos: position{line: 820, col: 29, offset: 31313},
				run: (*parser).callonMaxAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 820, col: 29, offset: 31313},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 820, col: 29, offset: 31313},
							val:        "max",
							ignoreCase: true,
							want:       "\"MAX\"i",
						},
						&litMatcher{
							pos:        position{line: 820, col: 36, offset: 31320},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 820, col: 40, offset: 31324},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 820, col: 43, offset: 31327},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 820, col: 46, offset: 31330},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 820, col: 57, offset: 31341},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 820, col: 60, offset: 31344},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "MinAggregateExpression",
			pos:  position{line: 824, col: 1, offset: 31436},
			expr: &actionExpr{
				pos: position{line: 824, col: 29, offset: 31464},
				run: (*parser).callonMinAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 824, col: 29, offset: 31464},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 824, col: 29, offset: 31464},
							val:        "min",
							ignoreCase: true,
							want:       "\"MIN\"i",
						},
						&litMatcher{
							pos:        position{line: 824, col: 36, offset: 31471},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 824, col: 40, offset: 31475},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 824, col: 43, offset: 31478},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 824, col: 46, offset: 31481},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 824, col: 57, offset: 31492},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 824, col: 60, offset: 31495},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "SumAggregateExpression",
			pos:  position{line: 828, col: 1, offset: 31587},
			expr: &actionExpr{
				pos: position{line: 828, col: 29, offset: 31615},
				run: (*parser).callonSumAggregateExpression1,
				expr: &seqExpr{
					pos: position{line: 828, col: 29, offset: 31615},
					exprs: []any{
						&litMatcher{
							pos:        position{line: 828, col: 29, offset: 31615},
							val:        "sum",
							ignoreCase: true,
							want:       "\"SUM\"i",
						},
						&litMatcher{
							pos:        position{line: 828, col: 36, offset: 31622},
							val:        "(",
							ignoreCase: false,
							want:       "\"(\"",
						},
						&ruleRefExpr{
							pos:  position{line: 828, col: 40, offset: 31626},
							name: "ws",
						},
						&labeledExpr{
							pos:   position{line: 828, col: 43, offset: 31629},
							label: "ex",
							expr: &ruleRefExpr{
								pos:  position{line: 828, col: 46, offset: 31632},
								name: "SelectItem",
							},
						},
						&ruleRefExpr{
							pos:  position{line: 828, col: 57, offset: 31643},
							name: "ws",
						},
						&litMatcher{
							pos:        position{line: 828, col: 60, offset: 31646},
							val:        ")",
							ignoreCase: false,
							want:       "\")\"",
						},
					},
				},
			},
		},
		{
			name: "Integer",
			pos:  position{line: 832, col: 1, offset: 31738},
			expr: &actionExpr{
				pos: position{line: 832, col: 12, offset: 31749},
				run: (*parser).callonInteger1,
				expr: &oneOrMoreExpr{
					pos: position{line: 832, col: 12, offset: 31749},
					expr: &charClassMatcher{
						pos:        position{line: 832, col: 12, offset: 31749},
						val:        "[0-9]",
						ranges:     []rune{'0', '9'},
						ignoreCase: false,
						inverted:   false,
					},
				},
			},
		},
		{
			name: "StringCharacter",
			pos:  position{line: 836, col: 1, offset: 31801},
			expr: &choiceExpr{
				pos: position{line: 836, col: 20, offset: 31820},
				alternatives: []any{
					&actionExpr{
						pos: position{line: 836, col: 20, offset: 31820},
						run: (*parser).callonStringCharacter2,
						expr: &seqExpr{
							pos: position{line: 836, col: 20, offset: 31820},
							exprs: []any{
								&notExpr{
									pos: position{line: 836, col: 20, offset: 31820},
									expr: &choiceExpr{
										pos: position{line: 836, col: 22, offset: 31822},
										alternatives: []any{
											&litMatcher{
												pos:        position{line: 836, col: 22, offset: 31822},
												val:        "\"",
												ignoreCase: false,
												want:       "\"\\\"\"",
											},
											&litMatcher{
												pos:        position{line: 836, col: 28, offset: 31828},
												val:        "\\",
												ignoreCase: false,
												want:       "\"\\\\\"",
											},
										},
									},
								},
								&anyMatcher{
									line: 836, col: 34, offset: 31834,
								},
							},
						},
					},
					&actionExpr{
						pos: position{line: 837, col: 5, offset: 31871},
						run: (*parser).callonStringCharacter9,
						expr: &seqExpr{
							pos: position{line: 837, col: 5, offset: 31871},
							exprs: []any{
								&litMatcher{
									pos:        position{line: 837, col: 5, offset: 31871},
									val:        "\\",
									ignoreCase: false,
									want:       "\"\\\\\"",
								},
								&labeledExpr{
									pos:   position{line: 837, col: 10, offset: 31876},
									label: "seq",
									expr: &ruleRefExpr{
										pos:  position{line: 837, col: 14, offset: 31880},
										name: "EscapeSequenceCharacter",
									},
								},
							},
						},
					},
				},
			},
		},
		{
			name: "EscapeSequenceCharacter",
			pos:  position{line: 839, col: 1, offset: 31925},
			expr: &labeledExpr{
				pos:   position{line: 839, col: 28, offset: 31952},
				label: "char",
				expr: &ruleRefExpr{
					pos:  position{line: 839, col: 33, offset: 31957},
					name: "EscapeCharacter",
				},
			},
		},
		{
			name: "EscapeCharacter",
			pos:  position{line: 841, col: 1, offset: 31974},
			expr: &choiceExpr{
				pos: position{line: 841, col: 20, offset: 31993},
				alternatives: []any{
					&litMatcher{
						pos:        position{line: 841, col: 20, offset: 31993},
						val:        "'",
						ignoreCase: false,
						want:       "\"'\"",
					},
					&litMatcher{
						pos:        position{line: 842, col: 5, offset: 32001},
						val:        "\"",
						ignoreCase: false,
						want:       "\"\\\"\"",
					},
					&litMatcher{
						pos:        position{line: 843, col: 5, offset: 32009},
						val:        "\\",
						ignoreCase: false,
						want:       "\"\\\\\"",
					},
					&actionExpr{
						pos: position{line: 844, col: 5, offset: 32018},
						run: (*parser).callonEscapeCharacter5,
						expr: &litMatcher{
							pos:        position{line: 844, col: 5, offset: 32018},
							val:        "b",
							ignoreCase: false,
							want:       "\"b\"",
						},
					},
					&actionExpr{
						pos: position{line: 845, col: 5, offset: 32047},
						run: (*parser).callonEscapeCharacter7,
						expr: &litMatcher{
							pos:        position{line: 845, col: 5, offset: 32047},
							val:        "f",
							ignoreCase: false,
							want:       "\"f\"",
						},
					},
					&actionExpr{
						pos: position{line: 846, col: 5, offset: 32076},
						run: (*parser).callonEscapeCharacter9,
						expr: &litMatcher{
							pos:        position{line: 846, col: 5, offset: 32076},
							val:        "n",
							ignoreCase: false,
							want:       "\"n\"",
						},
					},
					&actionExpr{
						pos: position{line: 847, col: 5, offset: 32105},
						run: (*parser).callonEscapeCharacter11,
						expr: &litMatcher{
							pos:        position{line: 847, col: 5, offset: 32105},
							val:        "r",
							ignoreCase: false,
							want:       "\"r\"",
						},
					},
					&actionExpr{
						pos: position{line: 848, col: 5, offset: 32134},
						run: (*parser).callonEscapeCharacter13,
						expr: &litMatcher{
							pos:        position{line: 848, col: 5, offset: 32134},
							val:        "t",
							ignoreCase: false,
							want:       "\"t\"",
						},
					},
				},
			},
		},
		{
			name: "non_escape_character",
			pos:  position{line: 850, col: 1, offset: 32160},
			expr: &actionExpr{
				pos: position{line: 850, col: 25, offset: 32184},
				run: (*parser).callonnon_escape_character1,
				expr: &seqExpr{
					pos: position{line: 850, col: 25, offset: 32184},
					exprs: []any{
						&notExpr{
							pos: position{line: 850, col: 25, offset: 32184},
							expr: &ruleRefExpr{
								pos:  position{line: 850, col: 27, offset: 32186},
								name: "escape_character",
							},
						},
						&labeledExpr{
							pos:   position{line: 850, col: 45, offset: 32204},
							label: "char",
							expr: &anyMatcher{
								line: 850, col: 50, offset: 32209,
							},
						},
					},
				},
			},
		},
		{
			name: "ws",
			pos:  position{line: 853, col: 1, offset: 32248},
			expr: &zeroOrMoreExpr{
				pos: position{line: 853, col: 7, offset: 32254},
				expr: &charClassMatcher{
					pos:        position{line: 853, col: 7, offset: 32254},
					val:        "[ \\t\\n\\r]",
					chars:      []rune{' ', '\t', '\n', '\r'},
					ignoreCase: false,
					inverted:   false,
				},
			},
		},
		{
			name: "wss",
			pos:  position{line: 855, col: 1, offset: 32266},
			expr: &oneOrMoreExpr{
				pos: position{line: 855, col: 8, offset: 32273},
				expr: &charClassMatcher{
					pos:        position{line: 855, col: 8, offset: 32273},
					val:        "[ \\t\\n\\r]",
					chars:      []rune{' ', '\t', '\n', '\r'},
					ignoreCase: false,
					inverted:   false,
				},
			},
		},
		{
			name: "EOF",
			pos:  position{line: 857, col: 1, offset: 32285},
			expr: &notExpr{
				pos: position{line: 857, col: 8, offset: 32292},
				expr: &anyMatcher{
					line: 857, col: 9, offset: 32293,
				},
			},
		},
	},
}

func (c *current) onInput1(selectStmt any) (any, error) {
	return selectStmt, nil
}

func (p *parser) callonInput1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInput1(stack["selectStmt"])
}

func (c *current) onSelectStmt22(join any) (any, error) {
	return join, nil
}

func (p *parser) callonSelectStmt22() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt22(stack["join"])
}

func (c *current) onSelectStmt30(condition any) (any, error) {
	return condition, nil
}

func (p *parser) callonSelectStmt30() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt30(stack["condition"])
}

func (c *current) onSelectStmt39(columns any) (any, error) {
	return columns, nil
}

func (p *parser) callonSelectStmt39() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt39(stack["columns"])
}

func (c *current) onSelectStmt48(order any) (any, error) {
	return order, nil
}

func (p *parser) callonSelectStmt48() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt48(stack["order"])
}

func (c *current) onSelectStmt55(offset any) (any, error) {
	return offset, nil
}

func (p *parser) callonSelectStmt55() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt55(stack["offset"])
}

func (c *current) onSelectStmt1(distinctClause, topClause, columns, fromClause, joinClauses, whereClause, groupByClause, orderByClause, offsetClause any) (any, error) {
	return makeSelectStmt(columns, fromClause, joinClauses, whereClause,
		distinctClause, topClause, groupByClause, orderByClause, offsetClause)
}

func (p *parser) callonSelectStmt1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectStmt1(stack["distinctClause"], stack["topClause"], stack["columns"], stack["fromClause"], stack["joinClauses"], stack["whereClause"], stack["groupByClause"], stack["orderByClause"], stack["offsetClause"])
}

func (c *current) onTopClause1(count any) (any, error) {
	return count, nil
}

func (p *parser) callonTopClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTopClause1(stack["count"])
}

func (c *current) onFromClause9(column any) (any, error) {
	return column, nil
}

func (p *parser) callonFromClause9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFromClause9(stack["column"])
}

func (c *current) onFromClause2(table, selectItem any) (any, error) {
	tableTyped := table.(parsers.Table)

	if selectItem != nil {
		tableTyped.SelectItem = selectItem.(parsers.SelectItem)
		tableTyped.IsInSelect = true
	}

	return tableTyped, nil
}

func (p *parser) callonFromClause2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFromClause2(stack["table"], stack["selectItem"])
}

func (c *current) onFromClause16(column any) (any, error) {
	tableSelectItem := column.(parsers.SelectItem)
	table := parsers.Table{
		Value:      tableSelectItem.Alias,
		SelectItem: tableSelectItem,
	}
	return table, nil
}

func (p *parser) callonFromClause16() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFromClause16(stack["column"])
}

func (c *current) onFromClause22(subQuery any) (any, error) {
	subQueryTyped := subQuery.(parsers.SelectItem)
	table := parsers.Table{
		Value:      subQueryTyped.Alias,
		SelectItem: subQueryTyped,
	}
	return table, nil
}

func (p *parser) callonFromClause22() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFromClause22(stack["subQuery"])
}

func (c *current) onSubQuery5(exists any) (any, error) {
	return exists, nil
}

func (p *parser) callonSubQuery5() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubQuery5(stack["exists"])
}

func (c *current) onSubQuery1(exists, selectStmt any) (any, error) {
	if selectStatement, isGoodValue := selectStmt.(parsers.SelectStmt); isGoodValue {
		selectStatement.Exists = exists != nil
		return selectStatement, nil
	}

	return selectStmt, nil
}

func (p *parser) callonSubQuery1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubQuery1(stack["exists"], stack["selectStmt"])
}

func (c *current) onSubQuerySelectItem7(alias any) (any, error) {
	return alias, nil
}

func (p *parser) callonSubQuerySelectItem7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubQuerySelectItem7(stack["alias"])
}

func (c *current) onSubQuerySelectItem1(subQuery, asClause any) (any, error) {
	selectItem := parsers.SelectItem{
		Type:  parsers.SelectItemTypeSubQuery,
		Value: subQuery,
	}

	if tableName, isString := asClause.(string); isString {
		selectItem.Alias = tableName
	}

	return selectItem, nil
}

func (p *parser) callonSubQuerySelectItem1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubQuerySelectItem1(stack["subQuery"], stack["asClause"])
}

func (c *current) onJoinClause2(table, column any) (any, error) {
	return makeJoin(table, column)
}

func (p *parser) callonJoinClause2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onJoinClause2(stack["table"], stack["column"])
}

func (c *current) onJoinClause13(subQuery any) (any, error) {
	return makeJoin(nil, subQuery)
}

func (p *parser) callonJoinClause13() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onJoinClause13(stack["subQuery"])
}

func (c *current) onOffsetClause1(offset, limit any) (any, error) {
	return []interface{}{offset.(parsers.Constant).Value, limit.(parsers.Constant).Value}, nil
}

func (p *parser) callonOffsetClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOffsetClause1(stack["offset"], stack["limit"])
}

func (c *current) onSelectAsterisk1() (any, error) {
	selectItem, _ := makeSelectItem("c", make([]interface{}, 0), parsers.SelectItemTypeField)
	selectItem.IsTopLevel = true
	return makeColumnList(selectItem, make([]interface{}, 0))
}

func (p *parser) callonSelectAsterisk1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectAsterisk1()
}

func (c *current) onColumnList7(coll any) (any, error) {
	return coll, nil
}

func (p *parser) callonColumnList7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onColumnList7(stack["coll"])
}

func (c *current) onColumnList1(column, other_columns any) (any, error) {
	return makeColumnList(column, other_columns)
}

func (p *parser) callonColumnList1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onColumnList1(stack["column"], stack["other_columns"])
}

func (c *current) onExpressionOrSelectItem2(expression, asClause any) (any, error) {
	switch typedValue := expression.(type) {
	case parsers.ComparisonExpression, parsers.LogicalExpression:
		selectItem := parsers.SelectItem{
			Type:  parsers.SelectItemTypeExpression,
			Value: typedValue,
		}

		if aliasValue, ok := asClause.(string); ok {
			selectItem.Alias = aliasValue
		}

		return selectItem, nil
	case parsers.SelectItem:
		if aliasValue, ok := asClause.(string); ok {
			typedValue.Alias = aliasValue
		}
		return typedValue, nil
	default:
		return typedValue, nil
	}
}

func (p *parser) callonExpressionOrSelectItem2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onExpressionOrSelectItem2(stack["expression"], stack["asClause"])
}

func (c *current) onExpressionOrSelectItem9(item any) (any, error) {
	return item, nil
}

func (p *parser) callonExpressionOrSelectItem9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onExpressionOrSelectItem9(stack["item"])
}

func (c *current) onSelectValueSpec1(column any) (any, error) {
	selectItem := column.(parsers.SelectItem)
	selectItem.IsTopLevel = true
	return makeColumnList(selectItem, make([]interface{}, 0))
}

func (p *parser) callonSelectValueSpec1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectValueSpec1(stack["column"])
}

func (c *current) onTableName1(key any) (any, error) {
	return parsers.Table{Value: key.(string)}, nil
}

func (p *parser) callonTableName1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTableName1(stack["key"])
}

func (c *current) onSelectArray1(columns any) (any, error) {
	return makeSelectArray(columns)
}

func (p *parser) callonSelectArray1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectArray1(stack["columns"])
}

func (c *current) onSelectObject11(coll any) (any, error) {
	return coll, nil
}

func (p *parser) callonSelectObject11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObject11(stack["coll"])
}

func (c *current) onSelectObject2(field, other_fields any) (any, error) {
	return makeSelectObject(field, other_fields)
}

func (p *parser) callonSelectObject2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObject2(stack["field"], stack["other_fields"])
}

func (c *current) onSelectObject20() (any, error) {
	return parsers.SelectItem{
		SelectItems: []parsers.SelectItem{},
		Type:        parsers.SelectItemTypeObject,
	}, nil
}

func (p *parser) callonSelectObject20() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObject20()
}

func (c *current) onSelectObjectField6(key any) (any, error) {
	return key, nil
}

func (p *parser) callonSelectObjectField6() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObjectField6(stack["key"])
}

func (c *current) onSelectObjectField1(name, selectItem any) (any, error) {
	item := selectItem.(parsers.SelectItem)
	item.Alias = name.(string)
	return item, nil
}

func (p *parser) callonSelectObjectField1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectObjectField1(stack["name"], stack["selectItem"])
}

func (c *current) onSelectProperty1(name, path any) (any, error) {
	return makeSelectItem(name, path, parsers.SelectItemTypeField)
}

func (p *parser) callonSelectProperty1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectProperty1(stack["name"], stack["path"])
}

func (c *current) onSelectItemWithAlias1(selectItem, asClause any) (any, error) {
	item := selectItem.(parsers.SelectItem)
	if aliasValue, ok := asClause.(string); ok {
		item.Alias = aliasValue
	}
	return item, nil
}

func (p *parser) callonSelectItemWithAlias1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectItemWithAlias1(stack["selectItem"], stack["asClause"])
}

func (c *current) onSelectItem1(selectItem any) (any, error) {
	var itemResult parsers.SelectItem
	switch typedValue := selectItem.(type) {
	case parsers.SelectItem:
		itemResult = typedValue
	case parsers.Constant:
		itemResult = parsers.SelectItem{
			Type:  parsers.SelectItemTypeConstant,
			Value: typedValue,
		}
	case parsers.FunctionCall:
		itemResult = parsers.SelectItem{
			Type:  parsers.SelectItemTypeFunctionCall,
			Value: typedValue,
		}
	}

	return itemResult, nil
}

func (p *parser) callonSelectItem1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectItem1(stack["selectItem"])
}

func (c *current) onAsClause1(alias any) (any, error) {
	return alias, nil
}

func (p *parser) callonAsClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAsClause1(stack["alias"])
}

func (c *current) onDotFieldAccess1(id any) (any, error) {
	return id, nil
}

func (p *parser) callonDotFieldAccess1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onDotFieldAccess1(stack["id"])
}

func (c *current) onArrayFieldAccess2(id any) (any, error) {
	return id, nil
}

func (p *parser) callonArrayFieldAccess2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayFieldAccess2(stack["id"])
}

func (c *current) onArrayFieldAccess8(id any) (any, error) {
	return strconv.Itoa(id.(int)), nil
}

func (p *parser) callonArrayFieldAccess8() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayFieldAccess8(stack["id"])
}

func (c *current) onArrayFieldAccess14(id any) (any, error) {
	return id.(parsers.Constant).Value.(string), nil
}

func (p *parser) callonArrayFieldAccess14() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayFieldAccess14(stack["id"])
}

func (c *current) onIdentifier1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonIdentifier1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIdentifier1()
}

func (c *current) onCondition1(expression any) (any, error) {
	return expression, nil
}

func (p *parser) callonCondition1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onCondition1(stack["expression"])
}

func (c *current) onOrExpression7(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonOrExpression7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrExpression7(stack["ex"])
}

func (c *current) onOrExpression1(ex1, ex2 any) (any, error) {
	return combineExpressions(ex1, ex2, parsers.LogicalExpressionTypeOr)
}

func (p *parser) callonOrExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onAndExpression7(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonAndExpression7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAndExpression7(stack["ex"])
}

func (c *current) onAndExpression1(ex1, ex2 any) (any, error) {
	return combineExpressions(ex1, ex2, parsers.LogicalExpressionTypeAnd)
}

func (p *parser) callonAndExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAndExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onComparisonExpression2(left, op, right any) (any, error) {
	return parsers.ComparisonExpression{Left: left, Right: right, Operation: op.(string)}, nil
}

func (p *parser) callonComparisonExpression2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression2(stack["left"], stack["op"], stack["right"])
}

func (c *current) onComparisonExpression12(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonComparisonExpression12() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonExpression12(stack["ex"])
}

func (c *current) onAddSubExpression7(op, right any) (any, error) {
	return []interface{}{op, right}, nil
}

func (p *parser) callonAddSubExpression7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAddSubExpression7(stack["op"], stack["right"])
}

func (c *current) onAddSubExpression1(left, operations any) (any, error) {
	return makeMathExpression(left, operations)
}

func (p *parser) callonAddSubExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAddSubExpression1(stack["left"], stack["operations"])
}

func (c *current) onMulDivExpression7(op, right any) (any, error) {
	return []interface{}{op, right}, nil
}

func (p *parser) callonMulDivExpression7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMulDivExpression7(stack["op"], stack["right"])
}

func (c *current) onMulDivExpression1(left, operations any) (any, error) {
	return makeMathExpression(left, operations)
}

func (p *parser) callonMulDivExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMulDivExpression1(stack["left"], stack["operations"])
}

func (c *current) onSelectItemWithParentheses2(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonSelectItemWithParentheses2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectItemWithParentheses2(stack["ex"])
}

func (c *current) onSelectItemWithParentheses10(inv, ex any) (any, error) {
	if inv != nil {
		ex1 := ex.(parsers.SelectItem)
		ex1.Invert = true
		return ex1, nil
	}
	return ex, nil
}

func (p *parser) callonSelectItemWithParentheses10() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectItemWithParentheses10(stack["inv"], stack["ex"])
}

func (c *current) onSelectItemWithParentheses19(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonSelectItemWithParentheses19() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSelectItemWithParentheses19(stack["ex"])
}

func (c *current) onOrderByClause9(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonOrderByClause9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderByClause9(stack["ex"])
}

func (c *current) onOrderByClause1(ex1, others any) (any, error) {
	return makeOrderByClause(ex1, others)
}

func (p *parser) callonOrderByClause1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderByClause1(stack["ex1"], stack["others"])
}

func (c *current) onOrderExpression1(field, order any) (any, error) {
	return makeOrderExpression(field, order)
}

func (p *parser) callonOrderExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderExpression1(stack["field"], stack["order"])
}

func (c *current) onOrderDirection1() (any, error) {
	if strings.EqualFold(string(c.text), "DESC") {
		return parsers.OrderDirectionDesc, nil
	}

	return parsers.OrderDirectionAsc, nil
}

func (p *parser) callonOrderDirection1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onOrderDirection1()
}

func (c *current) onComparisonOperator1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonComparisonOperator1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onComparisonOperator1()
}

func (c *current) onAddOrSubtractOperation1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonAddOrSubtractOperation1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAddOrSubtractOperation1()
}

func (c *current) onMultiplyOrDivideOperation1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonMultiplyOrDivideOperation1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMultiplyOrDivideOperation1()
}

func (c *current) onParameterConstant1() (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeParameterConstant, Value: string(c.text)}, nil
}

func (p *parser) callonParameterConstant1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onParameterConstant1()
}

func (c *current) onNullConstant1() (any, error) {
	return parsers.Constant{Value: nil}, nil
}

func (p *parser) callonNullConstant1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onNullConstant1()
}

func (c *current) onIntegerLiteral1(number any) (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeInteger, Value: number.(int)}, nil
}

func (p *parser) callonIntegerLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIntegerLiteral1(stack["number"])
}

func (c *current) onStringLiteral1(chars any) (any, error) {
	return parsers.Constant{Type: parsers.ConstantTypeString, Value: joinStrings(chars.([]interface{}))}, nil
}

func (p *parser) callonStringLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringLiteral1(stack["chars"])
}

func (c *current) onFloatLiteral1() (any, error) {
	floatValue, _ := strconv.ParseFloat(string(c.text), 64)
	return parsers.Constant{Type: parsers.ConstantTypeFloat, Value: floatValue}, nil
}

func (p *parser) callonFloatLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onFloatLiteral1()
}

func (c *current) onBooleanLiteral1() (any, error) {
	boolValue, _ := strconv.ParseBool(string(c.text))
	return parsers.Constant{Type: parsers.ConstantTypeBoolean, Value: boolValue}, nil
}

func (p *parser) callonBooleanLiteral1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onBooleanLiteral1()
}

func (c *current) onUpperExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallUpper, []interface{}{ex})
}

func (p *parser) callonUpperExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onUpperExpression1(stack["ex"])
}

func (c *current) onLowerExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLower, []interface{}{ex})
}

func (p *parser) callonLowerExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLowerExpression1(stack["ex"])
}

func (c *current) onStringEqualsExpression17(boolean any) (any, error) {
	return boolean, nil
}

func (p *parser) callonStringEqualsExpression17() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringEqualsExpression17(stack["boolean"])
}

func (c *current) onStringEqualsExpression1(ex1, ex2, ignoreCase any) (any, error) {
	return createFunctionCall(parsers.FunctionCallStringEquals, []interface{}{ex1, ex2, ignoreCase})
}

func (p *parser) callonStringEqualsExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringEqualsExpression1(stack["ex1"], stack["ex2"], stack["ignoreCase"])
}

func (c *current) onToStringExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallToString, []interface{}{ex})
}

func (p *parser) callonToStringExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onToStringExpression1(stack["ex"])
}

func (c *current) onConcatExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonConcatExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onConcatExpression11(stack["ex"])
}

func (c *current) onConcatExpression1(ex1, others any) (any, error) {
	arguments := append([]interface{}{ex1}, others.([]interface{})...)
	return createFunctionCall(parsers.FunctionCallConcat, arguments)
}

func (p *parser) callonConcatExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onConcatExpression1(stack["ex1"], stack["others"])
}

func (c *current) onLeftExpression1(ex, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLeft, []interface{}{ex, length})
}

func (p *parser) callonLeftExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLeftExpression1(stack["ex"], stack["length"])
}

func (c *current) onLengthExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLength, []interface{}{ex})
}

func (p *parser) callonLengthExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLengthExpression1(stack["ex"])
}

func (c *current) onLTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallLTrim, []interface{}{ex})
}

func (p *parser) callonLTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onLTrimExpression1(stack["ex"])
}

func (c *current) onReplaceExpression1(ex1, ex2, ex3 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReplace, []interface{}{ex1, ex2, ex3})
}

func (p *parser) callonReplaceExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReplaceExpression1(stack["ex1"], stack["ex2"], stack["ex3"])
}

func (c *current) onReplicateExpression1(ex1, ex2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReplicate, []interface{}{ex1, ex2})
}

func (p *parser) callonReplicateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReplicateExpression1(stack["ex1"], stack["ex2"])
}

func (c *current) onReverseExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallReverse, []interface{}{ex})
}

func (p *parser) callonReverseExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onReverseExpression1(stack["ex"])
}

func (c *current) onRightExpression1(ex, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallRight, []interface{}{ex, length})
}

func (p *parser) callonRightExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onRightExpression1(stack["ex"], stack["length"])
}

func (c *current) onRTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallRTrim, []interface{}{ex})
}

func (p *parser) callonRTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onRTrimExpression1(stack["ex"])
}

func (c *current) onSubstringExpression1(ex, startPos, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSubstring, []interface{}{ex, startPos, length})
}

func (p *parser) callonSubstringExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSubstringExpression1(stack["ex"], stack["startPos"], stack["length"])
}

func (c *current) onTrimExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallTrim, []interface{}{ex})
}

func (p *parser) callonTrimExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onTrimExpression1(stack["ex"])
}

func (c *current) onThreeArgumentStringFunctionExpression18(boolean any) (any, error) {
	return boolean, nil
}

func (p *parser) callonThreeArgumentStringFunctionExpression18() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunctionExpression18(stack["boolean"])
}

func (c *current) onThreeArgumentStringFunctionExpression1(function, ex1, ex2, ignoreCase any) (any, error) {
	var functionType parsers.FunctionCallType

	lowerFunction := strings.ToUpper(function.(string))
	switch lowerFunction {
	case "CONTAINS":
		functionType = parsers.FunctionCallContains
	case "ENDSWITH":
		functionType = parsers.FunctionCallEndsWith
	case "STARTSWITH":
		functionType = parsers.FunctionCallStartsWith
	case "INDEX_OF":
		functionType = parsers.FunctionCallIndexOf
	}

	return createFunctionCall(functionType, []interface{}{ex1, ex2, ignoreCase})
}

func (p *parser) callonThreeArgumentStringFunctionExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunctionExpression1(stack["function"], stack["ex1"], stack["ex2"], stack["ignoreCase"])
}

func (c *current) onThreeArgumentStringFunction1() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonThreeArgumentStringFunction1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onThreeArgumentStringFunction1()
}

func (c *current) onIsDefined1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsDefined, []interface{}{ex})
}

func (p *parser) callonIsDefined1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsDefined1(stack["ex"])
}

func (c *current) onIsArray1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsArray, []interface{}{ex})
}

func (p *parser) callonIsArray1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsArray1(stack["ex"])
}

func (c *current) onIsBool1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsBool, []interface{}{ex})
}

func (p *parser) callonIsBool1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsBool1(stack["ex"])
}

func (c *current) onIsFiniteNumber1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsFiniteNumber, []interface{}{ex})
}

func (p *parser) callonIsFiniteNumber1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsFiniteNumber1(stack["ex"])
}

func (c *current) onIsInteger1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsInteger, []interface{}{ex})
}

func (p *parser) callonIsInteger1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsInteger1(stack["ex"])
}

func (c *current) onIsNull1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsNull, []interface{}{ex})
}

func (p *parser) callonIsNull1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsNull1(stack["ex"])
}

func (c *current) onIsNumber1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsNumber, []interface{}{ex})
}

func (p *parser) callonIsNumber1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsNumber1(stack["ex"])
}

func (c *current) onIsObject1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsObject, []interface{}{ex})
}

func (p *parser) callonIsObject1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsObject1(stack["ex"])
}

func (c *current) onIsPrimitive1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsPrimitive, []interface{}{ex})
}

func (p *parser) callonIsPrimitive1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsPrimitive1(stack["ex"])
}

func (c *current) onIsString1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIsString, []interface{}{ex})
}

func (p *parser) callonIsString1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIsString1(stack["ex"])
}

func (c *current) onArrayConcatExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArrayConcatExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayConcatExpression11(stack["ex"])
}

func (c *current) onArrayConcatExpression1(arrays, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayConcat, append([]interface{}{arrays}, others.([]interface{})...))
}

func (p *parser) callonArrayConcatExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayConcatExpression1(stack["arrays"], stack["others"])
}

func (c *current) onArrayContainsExpression16(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArrayContainsExpression16() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsExpression16(stack["ex"])
}

func (c *current) onArrayContainsExpression1(array, item, partialMatch any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayContains, []interface{}{array, item, partialMatch})
}

func (p *parser) callonArrayContainsExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsExpression1(stack["array"], stack["item"], stack["partialMatch"])
}

func (c *current) onArrayContainsAnyExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArrayContainsAnyExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsAnyExpression11(stack["ex"])
}

func (c *current) onArrayContainsAnyExpression1(array, items any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayContainsAny, append([]interface{}{array}, items.([]interface{})...))
}

func (p *parser) callonArrayContainsAnyExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsAnyExpression1(stack["array"], stack["items"])
}

func (c *current) onArrayContainsAllExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArrayContainsAllExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsAllExpression11(stack["ex"])
}

func (c *current) onArrayContainsAllExpression1(array, items any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayContainsAll, append([]interface{}{array}, items.([]interface{})...))
}

func (p *parser) callonArrayContainsAllExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayContainsAllExpression1(stack["array"], stack["items"])
}

func (c *current) onArrayLengthExpression1(array any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArrayLength, []interface{}{array})
}

func (p *parser) callonArrayLengthExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArrayLengthExpression1(stack["array"])
}

func (c *current) onArraySliceExpression16(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonArraySliceExpression16() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArraySliceExpression16(stack["ex"])
}

func (c *current) onArraySliceExpression1(array, start, length any) (any, error) {
	return createFunctionCall(parsers.FunctionCallArraySlice, []interface{}{array, start, length})
}

func (p *parser) callonArraySliceExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onArraySliceExpression1(stack["array"], stack["start"], stack["length"])
}

func (c *current) onSetIntersectExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSetIntersect, []interface{}{set1, set2})
}

func (p *parser) callonSetIntersectExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSetIntersectExpression1(stack["set1"], stack["set2"])
}

func (c *current) onSetUnionExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallSetUnion, []interface{}{set1, set2})
}

func (p *parser) callonSetUnionExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSetUnionExpression1(stack["set1"], stack["set2"])
}

func (c *current) onIifExpression1(condition, trueValue, falseValue any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIif, []interface{}{condition, trueValue, falseValue})
}

func (p *parser) callonIifExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onIifExpression1(stack["condition"], stack["trueValue"], stack["falseValue"])
}

func (c *current) onMathAbsExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathAbs, []interface{}{ex})
}

func (p *parser) callonMathAbsExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathAbsExpression1(stack["ex"])
}

func (c *current) onMathAcosExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathAcos, []interface{}{ex})
}

func (p *parser) callonMathAcosExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathAcosExpression1(stack["ex"])
}

func (c *current) onMathAsinExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathAsin, []interface{}{ex})
}

func (p *parser) callonMathAsinExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathAsinExpression1(stack["ex"])
}

func (c *current) onMathAtanExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathAtan, []interface{}{ex})
}

func (p *parser) callonMathAtanExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathAtanExpression1(stack["ex"])
}

func (c *current) onMathCeilingExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathCeiling, []interface{}{ex})
}

func (p *parser) callonMathCeilingExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathCeilingExpression1(stack["ex"])
}

func (c *current) onMathCosExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathCos, []interface{}{ex})
}

func (p *parser) callonMathCosExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathCosExpression1(stack["ex"])
}

func (c *current) onMathCotExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathCot, []interface{}{ex})
}

func (p *parser) callonMathCotExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathCotExpression1(stack["ex"])
}

func (c *current) onMathDegreesExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathDegrees, []interface{}{ex})
}

func (p *parser) callonMathDegreesExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathDegreesExpression1(stack["ex"])
}

func (c *current) onMathExpExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathExp, []interface{}{ex})
}

func (p *parser) callonMathExpExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathExpExpression1(stack["ex"])
}

func (c *current) onMathFloorExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathFloor, []interface{}{ex})
}

func (p *parser) callonMathFloorExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathFloorExpression1(stack["ex"])
}

func (c *current) onMathIntBitNotExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitNot, []interface{}{ex})
}

func (p *parser) callonMathIntBitNotExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitNotExpression1(stack["ex"])
}

func (c *current) onMathLog10Expression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathLog10, []interface{}{ex})
}

func (p *parser) callonMathLog10Expression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathLog10Expression1(stack["ex"])
}

func (c *current) onMathRadiansExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathRadians, []interface{}{ex})
}

func (p *parser) callonMathRadiansExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathRadiansExpression1(stack["ex"])
}

func (c *current) onMathRoundExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathRound, []interface{}{ex})
}

func (p *parser) callonMathRoundExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathRoundExpression1(stack["ex"])
}

func (c *current) onMathSignExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathSign, []interface{}{ex})
}

func (p *parser) callonMathSignExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathSignExpression1(stack["ex"])
}

func (c *current) onMathSinExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathSin, []interface{}{ex})
}

func (p *parser) callonMathSinExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathSinExpression1(stack["ex"])
}

func (c *current) onMathSqrtExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathSqrt, []interface{}{ex})
}

func (p *parser) callonMathSqrtExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathSqrtExpression1(stack["ex"])
}

func (c *current) onMathSquareExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathSquare, []interface{}{ex})
}

func (p *parser) callonMathSquareExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathSquareExpression1(stack["ex"])
}

func (c *current) onMathTanExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathTan, []interface{}{ex})
}

func (p *parser) callonMathTanExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathTanExpression1(stack["ex"])
}

func (c *current) onMathTruncExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathTrunc, []interface{}{ex})
}

func (p *parser) callonMathTruncExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathTruncExpression1(stack["ex"])
}

func (c *current) onMathAtn2Expression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathAtn2, []interface{}{set1, set2})
}

func (p *parser) callonMathAtn2Expression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathAtn2Expression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntAddExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntAdd, []interface{}{set1, set2})
}

func (p *parser) callonMathIntAddExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntAddExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntBitAndExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitAnd, []interface{}{set1, set2})
}

func (p *parser) callonMathIntBitAndExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitAndExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntBitLeftShiftExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitLeftShift, []interface{}{set1, set2})
}

func (p *parser) callonMathIntBitLeftShiftExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitLeftShiftExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntBitOrExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitOr, []interface{}{set1, set2})
}

func (p *parser) callonMathIntBitOrExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitOrExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntBitRightShiftExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitRightShift, []interface{}{set1, set2})
}

func (p *parser) callonMathIntBitRightShiftExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitRightShiftExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntBitXorExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntBitXor, []interface{}{set1, set2})
}

func (p *parser) callonMathIntBitXorExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntBitXorExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntDivExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntDiv, []interface{}{set1, set2})
}

func (p *parser) callonMathIntDivExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntDivExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntModExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntMod, []interface{}{set1, set2})
}

func (p *parser) callonMathIntModExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntModExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntMulExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntMul, []interface{}{set1, set2})
}

func (p *parser) callonMathIntMulExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntMulExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathIntSubExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathIntSub, []interface{}{set1, set2})
}

func (p *parser) callonMathIntSubExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathIntSubExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathPowerExpression1(set1, set2 any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathPower, []interface{}{set1, set2})
}

func (p *parser) callonMathPowerExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathPowerExpression1(stack["set1"], stack["set2"])
}

func (c *current) onMathLogExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonMathLogExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathLogExpression11(stack["ex"])
}

func (c *current) onMathLogExpression1(ex1, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathLog, append([]interface{}{ex1}, others.([]interface{})...))
}

func (p *parser) callonMathLogExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathLogExpression1(stack["ex1"], stack["others"])
}

func (c *current) onMathNumberBinExpression11(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonMathNumberBinExpression11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathNumberBinExpression11(stack["ex"])
}

func (c *current) onMathNumberBinExpression1(ex1, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallMathNumberBin, append([]interface{}{ex1}, others.([]interface{})...))
}

func (p *parser) callonMathNumberBinExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathNumberBinExpression1(stack["ex1"], stack["others"])
}

func (c *current) onMathPiExpression1() (any, error) {
	return createFunctionCall(parsers.FunctionCallMathPi, []interface{}{})
}

func (p *parser) callonMathPiExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathPiExpression1()
}

func (c *current) onMathRandExpression1() (any, error) {
	return createFunctionCall(parsers.FunctionCallMathRand, []interface{}{})
}

func (p *parser) callonMathRandExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMathRandExpression1()
}

func (c *current) onInFunction15(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonInFunction15() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInFunction15(stack["ex"])
}

func (c *current) onInFunction2(ex1, ex2, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIn, append([]interface{}{ex1, ex2}, others.([]interface{})...))
}

func (p *parser) callonInFunction2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInFunction2(stack["ex1"], stack["ex2"], stack["others"])
}

func (c *current) onInFunction39(ex any) (any, error) {
	return ex, nil
}

func (p *parser) callonInFunction39() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInFunction39(stack["ex"])
}

func (c *current) onInFunction24(ex1, ex2, others any) (any, error) {
	return createFunctionCall(parsers.FunctionCallIn, append([]interface{}{ex1, ex2}, others.([]interface{})...))
}

func (p *parser) callonInFunction24() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInFunction24(stack["ex1"], stack["ex2"], stack["others"])
}

func (c *current) onAvgAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateAvg, []interface{}{ex})
}

func (p *parser) callonAvgAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onAvgAggregateExpression1(stack["ex"])
}

func (c *current) onCountAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateCount, []interface{}{ex})
}

func (p *parser) callonCountAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onCountAggregateExpression1(stack["ex"])
}

func (c *current) onMaxAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateMax, []interface{}{ex})
}

func (p *parser) callonMaxAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMaxAggregateExpression1(stack["ex"])
}

func (c *current) onMinAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateMin, []interface{}{ex})
}

func (p *parser) callonMinAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onMinAggregateExpression1(stack["ex"])
}

func (c *current) onSumAggregateExpression1(ex any) (any, error) {
	return createFunctionCall(parsers.FunctionCallAggregateSum, []interface{}{ex})
}

func (p *parser) callonSumAggregateExpression1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onSumAggregateExpression1(stack["ex"])
}

func (c *current) onInteger1() (any, error) {
	return strconv.Atoi(string(c.text))
}

func (p *parser) callonInteger1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onInteger1()
}

func (c *current) onStringCharacter2() (any, error) {
	return string(c.text), nil
}

func (p *parser) callonStringCharacter2() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringCharacter2()
}

func (c *current) onStringCharacter9(seq any) (any, error) {
	return seq, nil
}

func (p *parser) callonStringCharacter9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onStringCharacter9(stack["seq"])
}

func (c *current) onEscapeCharacter5() (any, error) {
	return "\b", nil
}

func (p *parser) callonEscapeCharacter5() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter5()
}

func (c *current) onEscapeCharacter7() (any, error) {
	return "\f", nil
}

func (p *parser) callonEscapeCharacter7() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter7()
}

func (c *current) onEscapeCharacter9() (any, error) {
	return "\n", nil
}

func (p *parser) callonEscapeCharacter9() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter9()
}

func (c *current) onEscapeCharacter11() (any, error) {
	return "\r", nil
}

func (p *parser) callonEscapeCharacter11() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter11()
}

func (c *current) onEscapeCharacter13() (any, error) {
	return "\t", nil
}

func (p *parser) callonEscapeCharacter13() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onEscapeCharacter13()
}

func (c *current) onnon_escape_character1(char any) (any, error) {
	return string(c.text), nil
}

func (p *parser) callonnon_escape_character1() (any, error) {
	stack := p.vstack[len(p.vstack)-1]
	_ = stack
	return p.cur.onnon_escape_character1(stack["char"])
}

var (
	// errNoRule is returned when the grammar to parse has no rule.
	errNoRule = errors.New("grammar has no rule")

	// errInvalidEntrypoint is returned when the specified entrypoint rule
	// does not exit.
	errInvalidEntrypoint = errors.New("invalid entrypoint")

	// errInvalidEncoding is returned when the source is not properly
	// utf8-encoded.
	errInvalidEncoding = errors.New("invalid encoding")

	// errMaxExprCnt is used to signal that the maximum number of
	// expressions have been parsed.
	errMaxExprCnt = errors.New("max number of expressions parsed")
)

// Option is a function that can set an option on the parser. It returns
// the previous setting as an Option.
type Option func(*parser) Option

// MaxExpressions creates an Option to stop parsing after the provided
// number of expressions have been parsed, if the value is 0 then the parser will
// parse for as many steps as needed (possibly an infinite number).
//
// The default for maxExprCnt is 0.
func MaxExpressions(maxExprCnt uint64) Option {
	return func(p *parser) Option {
		oldMaxExprCnt := p.maxExprCnt
		p.maxExprCnt = maxExprCnt
		return MaxExpressions(oldMaxExprCnt)
	}
}

// Entrypoint creates an Option to set the rule name to use as entrypoint.
// The rule name must have been specified in the -alternate-entrypoints
// if generating the parser with the -optimize-grammar flag, otherwise
// it may have been optimized out. Passing an empty string sets the
// entrypoint to the first rule in the grammar.
//
// The default is to start parsing at the first rule in the grammar.
func Entrypoint(ruleName string) Option {
	return func(p *parser) Option {
		oldEntrypoint := p.entrypoint
		p.entrypoint = ruleName
		if ruleName == "" {
			p.entrypoint = g.rules[0].name
		}
		return Entrypoint(oldEntrypoint)
	}
}

// Statistics adds a user provided Stats struct to the parser to allow
// the user to process the results after the parsing has finished.
// Also the key for the "no match" counter is set.
//
// Example usage:
//
//	input := "input"
//	stats := Stats{}
//	_, err := Parse("input-file", []byte(input), Statistics(&stats, "no match"))
//	if err != nil {
//	    log.Panicln(err)
//	}
//	b, err := json.MarshalIndent(stats.ChoiceAltCnt, "", "  ")
//	if err != nil {
//	    log.Panicln(err)
//	}
//	fmt.Println(string(b))
func Statistics(stats *Stats, choiceNoMatch string) Option {
	return func(p *parser) Option {
		oldStats := p.Stats
		p.Stats = stats
		oldChoiceNoMatch := p.choiceNoMatch
		p.choiceNoMatch = choiceNoMatch
		if p.Stats.ChoiceAltCnt == nil {
			p.Stats.ChoiceAltCnt = make(map[string]map[string]int)
		}
		return Statistics(oldStats, oldChoiceNoMatch)
	}
}

// Debug creates an Option to set the debug flag to b. When set to true,
// debugging information is printed to stdout while parsing.
//
// The default is false.
func Debug(b bool) Option {
	return func(p *parser) Option {
		old := p.debug
		p.debug = b
		return Debug(old)
	}
}

// Memoize creates an Option to set the memoize flag to b. When set to true,
// the parser will cache all results so each expression is evaluated only
// once. This guarantees linear parsing time even for pathological cases,
// at the expense of more memory and slower times for typical cases.
//
// The default is false.
func Memoize(b bool) Option {
	return func(p *parser) Option {
		old := p.memoize
		p.memoize = b
		return Memoize(old)
	}
}

// AllowInvalidUTF8 creates an Option to allow invalid UTF-8 bytes.
// Every invalid UTF-8 byte is treated as a utf8.RuneError (U+FFFD)
// by character class matchers and is matched by the any matcher.
// The returned matched value, c.text and c.offset are NOT affected.
//
// The default is false.
func AllowInvalidUTF8(b bool) Option {
	return func(p *parser) Option {
		old := p.allowInvalidUTF8
		p.allowInvalidUTF8 = b
		return AllowInvalidUTF8(old)
	}
}

// Recover creates an Option to set the recover flag to b. When set to
// true, this causes the parser to recover from panics and convert it
// to an error. Setting it to false can be useful while debugging to
// access the full stack trace.
//
// The default is true.
func Recover(b bool) Option {
	return func(p *parser) Option {
		old := p.recover
		p.recover = b
		return Recover(old)
	}
}

// GlobalStore creates an Option to set a key to a certain value in
// the globalStore.
func GlobalStore(key string, value any) Option {
	return func(p *parser) Option {
		old := p.cur.globalStore[key]
		p.cur.globalStore[key] = value
		return GlobalStore(key, old)
	}
}

// InitState creates an Option to set a key to a certain value in
// the global "state" store.
func InitState(key string, value any) Option {
	return func(p *parser) Option {
		old := p.cur.state[key]
		p.cur.state[key] = value
		return InitState(key, old)
	}
}

// ParseFile parses the file identified by filename.
func ParseFile(filename string, opts ...Option) (i any, err error) {
	f, err := os.Open(filename)
	if err != nil {
		return nil, err
	}
	defer func() {
		if closeErr := f.Close(); closeErr != nil {
			err = closeErr
		}
	}()
	return ParseReader(filename, f, opts...)
}

// ParseReader parses the data from r using filename as information in the
// error messages.
func ParseReader(filename string, r io.Reader, opts ...Option) (any, error) {
	b, err := io.ReadAll(r)
	if err != nil {
		return nil, err
	}

	return Parse(filename, b, opts...)
}

// Parse parses the data from b using filename as information in the
// error messages.
func Parse(filename string, b []byte, opts ...Option) (any, error) {
	return newParser(filename, b, opts...).parse(g)
}

// position records a position in the text.
type position struct {
	line, col, offset int
}

func (p position) String() string {
	return strconv.Itoa(p.line) + ":" + strconv.Itoa(p.col) + " [" + strconv.Itoa(p.offset) + "]"
}

// savepoint stores all state required to go back to this point in the
// parser.
type savepoint struct {
	position
	rn rune
	w  int
}

type current struct {
	pos  position // start position of the match
	text []byte   // raw text of the match

	// state is a store for arbitrary key,value pairs that the user wants to be
	// tied to the backtracking of the parser.
	// This is always rolled back if a parsing rule fails.
	state storeDict

	// globalStore is a general store for the user to store arbitrary key-value
	// pairs that they need to manage and that they do not want tied to the
	// backtracking of the parser. This is only modified by the user and never
	// rolled back by the parser. It is always up to the user to keep this in a
	// consistent state.
	globalStore storeDict
}

type storeDict map[string]any

// the AST types...

type grammar struct {
	pos   position
	rules []*rule
}

type rule struct {
	pos         position
	name        string
	displayName string
	expr        any
}

type choiceExpr struct {
	pos          position
	alternatives []any
}

type actionExpr struct {
	pos  position
	expr any
	run  func(*parser) (any, error)
}

type recoveryExpr struct {
	pos          position
	expr         any
	recoverExpr  any
	failureLabel []string
}

type seqExpr struct {
	pos   position
	exprs []any
}

type throwExpr struct {
	pos   position
	label string
}

type labeledExpr struct {
	pos   position
	label string
	expr  any
}

type expr struct {
	pos  position
	expr any
}

type (
	andExpr        expr
	notExpr        expr
	zeroOrOneExpr  expr
	zeroOrMoreExpr expr
	oneOrMoreExpr  expr
)

type ruleRefExpr struct {
	pos  position
	name string
}

type stateCodeExpr struct {
	pos position
	run func(*parser) error
}

type andCodeExpr struct {
	pos position
	run func(*parser) (bool, error)
}

type notCodeExpr struct {
	pos position
	run func(*parser) (bool, error)
}

type litMatcher struct {
	pos        position
	val        string
	ignoreCase bool
	want       string
}

type charClassMatcher struct {
	pos             position
	val             string
	basicLatinChars [128]bool
	chars           []rune
	ranges          []rune
	classes         []*unicode.RangeTable
	ignoreCase      bool
	inverted        bool
}

type anyMatcher position

// errList cumulates the errors found by the parser.
type errList []error

func (e *errList) add(err error) {
	*e = append(*e, err)
}

func (e errList) err() error {
	if len(e) == 0 {
		return nil
	}
	e.dedupe()
	return e
}

func (e *errList) dedupe() {
	var cleaned []error
	set := make(map[string]bool)
	for _, err := range *e {
		if msg := err.Error(); !set[msg] {
			set[msg] = true
			cleaned = append(cleaned, err)
		}
	}
	*e = cleaned
}

func (e errList) Error() string {
	switch len(e) {
	case 0:
		return ""
	case 1:
		return e[0].Error()
	default:
		var buf bytes.Buffer

		for i, err := range e {
			if i > 0 {
				buf.WriteRune('\n')
			}
			buf.WriteString(err.Error())
		}
		return buf.String()
	}
}

// parserError wraps an error with a prefix indicating the rule in which
// the error occurred. The original error is stored in the Inner field.
type parserError struct {
	Inner    error
	pos      position
	prefix   string
	expected []string
}

// Error returns the error message.
func (p *parserError) Error() string {
	return p.prefix + ": " + p.Inner.Error()
}

// newParser creates a parser with the specified input source and options.
func newParser(filename string, b []byte, opts ...Option) *parser {
	stats := Stats{
		ChoiceAltCnt: make(map[string]map[string]int),
	}

	p := &parser{
		filename: filename,
		errs:     new(errList),
		data:     b,
		pt:       savepoint{position: position{line: 1}},
		recover:  true,
		cur: current{
			state:       make(storeDict),
			globalStore: make(storeDict),
		},
		maxFailPos:      position{col: 1, line: 1},
		maxFailExpected: make([]string, 0, 20),
		Stats:           &stats,
		// start rule is rule [0] unless an alternate entrypoint is specified
		entrypoint: g.rules[0].name,
	}
	p.setOptions(opts)

	if p.maxExprCnt == 0 {
		p.maxExprCnt = math.MaxUint64
	}

	return p
}

// setOptions applies the options to the parser.
func (p *parser) setOptions(opts []Option) {
	for _, opt := range opts {
		opt(p)
	}
}

type resultTuple struct {
	v   any
	b   bool
	end savepoint
}

const choiceNoMatch = -1

// Stats stores some statistics, gathered during parsing
type Stats struct {
	// ExprCnt counts the number of expressions processed during parsing
	// This value is compared to the maximum number of expressions allowed
	// (set by the MaxExpressions option).
	ExprCnt uint64

	// ChoiceAltCnt is used to count for each ordered choice expression,
	// which alternative is used how may times.
	// These numbers allow to optimize the order of the ordered choice expression
	// to increase the performance of the parser
	//
	// The outer key of ChoiceAltCnt is composed of the name of the rule as well
	// as the line and the column of the ordered choice.
	// The inner key of ChoiceAltCnt is the number (one-based) of the matching alternative.
	// For each alternative the number of matches are counted. If an ordered choice does not
	// match, a special counter is incremented. The name of this counter is set with
	// the parser option Statistics.
	// For an alternative to be included in ChoiceAltCnt, it has to match at least once.
	ChoiceAltCnt map[string]map[string]int
}

type parser struct {
	filename string
	pt       savepoint
	cur      current

	data []byte
	errs *errList

	depth   int
	recover bool
	debug   bool

	memoize bool
	// memoization table for the packrat algorithm:
	// map[offset in source] map[expression or rule] {value, match}
	memo map[int]map[any]resultTuple

	// rules table, maps the rule identifier to the rule node
	rules map[string]*rule
	// variables stack, map of label to value
	vstack []map[string]any
	// rule stack, allows identification of the current rule in errors
	rstack []*rule

	// parse fail
	maxFailPos            position
	maxFailExpected       []string
	maxFailInvertExpected bool

	// max number of expressions to be parsed
	maxExprCnt uint64
	// entrypoint for the parser
	entrypoint string

	allowInvalidUTF8 bool

	*Stats

	choiceNoMatch string
	// recovery expression stack, keeps track of the currently available recovery expression, these are traversed in reverse
	recoveryStack []map[string]any
}

// push a variable set on the vstack.
func (p *parser) pushV() {
	if cap(p.vstack) == len(p.vstack) {
		// create new empty slot in the stack
		p.vstack = append(p.vstack, nil)
	} else {
		// slice to 1 more
		p.vstack = p.vstack[:len(p.vstack)+1]
	}

	// get the last args set
	m := p.vstack[len(p.vstack)-1]
	if m != nil && len(m) == 0 {
		// empty map, all good
		return
	}

	m = make(map[string]any)
	p.vstack[len(p.vstack)-1] = m
}

// pop a variable set from the vstack.
func (p *parser) popV() {
	// if the map is not empty, clear it
	m := p.vstack[len(p.vstack)-1]
	if len(m) > 0 {
		// GC that map
		p.vstack[len(p.vstack)-1] = nil
	}
	p.vstack = p.vstack[:len(p.vstack)-1]
}

// push a recovery expression with its labels to the recoveryStack
func (p *parser) pushRecovery(labels []string, expr any) {
	if cap(p.recoveryStack) == len(p.recoveryStack) {
		// create new empty slot in the stack
		p.recoveryStack = append(p.recoveryStack, nil)
	} else {
		// slice to 1 more
		p.recoveryStack = p.recoveryStack[:len(p.recoveryStack)+1]
	}

	m := make(map[string]any, len(labels))
	for _, fl := range labels {
		m[fl] = expr
	}
	p.recoveryStack[len(p.recoveryStack)-1] = m
}

// pop a recovery expression from the recoveryStack
func (p *parser) popRecovery() {
	// GC that map
	p.recoveryStack[len(p.recoveryStack)-1] = nil

	p.recoveryStack = p.recoveryStack[:len(p.recoveryStack)-1]
}

func (p *parser) print(prefix, s string) string {
	if !p.debug {
		return s
	}

	fmt.Printf("%s %d:%d:%d: %s [%#U]\n",
		prefix, p.pt.line, p.pt.col, p.pt.offset, s, p.pt.rn)
	return s
}

func (p *parser) printIndent(mark string, s string) string {
	return p.print(strings.Repeat(" ", p.depth)+mark, s)
}

func (p *parser) in(s string) string {
	res := p.printIndent(">", s)
	p.depth++
	return res
}

func (p *parser) out(s string) string {
	p.depth--
	return p.printIndent("<", s)
}

func (p *parser) addErr(err error) {
	p.addErrAt(err, p.pt.position, []string{})
}

func (p *parser) addErrAt(err error, pos position, expected []string) {
	var buf bytes.Buffer
	if p.filename != "" {
		buf.WriteString(p.filename)
	}
	if buf.Len() > 0 {
		buf.WriteString(":")
	}
	buf.WriteString(fmt.Sprintf("%d:%d (%d)", pos.line, pos.col, pos.offset))
	if len(p.rstack) > 0 {
		if buf.Len() > 0 {
			buf.WriteString(": ")
		}
		rule := p.rstack[len(p.rstack)-1]
		if rule.displayName != "" {
			buf.WriteString("rule " + rule.displayName)
		} else {
			buf.WriteString("rule " + rule.name)
		}
	}
	pe := &parserError{Inner: err, pos: pos, prefix: buf.String(), expected: expected}
	p.errs.add(pe)
}

func (p *parser) failAt(fail bool, pos position, want string) {
	// process fail if parsing fails and not inverted or parsing succeeds and invert is set
	if fail == p.maxFailInvertExpected {
		if pos.offset < p.maxFailPos.offset {
			return
		}

		if pos.offset > p.maxFailPos.offset {
			p.maxFailPos = pos
			p.maxFailExpected = p.maxFailExpected[:0]
		}

		if p.maxFailInvertExpected {
			want = "!" + want
		}
		p.maxFailExpected = append(p.maxFailExpected, want)
	}
}

// read advances the parser to the next rune.
func (p *parser) read() {
	p.pt.offset += p.pt.w
	rn, n := utf8.DecodeRune(p.data[p.pt.offset:])
	p.pt.rn = rn
	p.pt.w = n
	p.pt.col++
	if rn == '\n' {
		p.pt.line++
		p.pt.col = 0
	}

	if rn == utf8.RuneError && n == 1 { // see utf8.DecodeRune
		if !p.allowInvalidUTF8 {
			p.addErr(errInvalidEncoding)
		}
	}
}

// restore parser position to the savepoint pt.
func (p *parser) restore(pt savepoint) {
	if p.debug {
		defer p.out(p.in("restore"))
	}
	if pt.offset == p.pt.offset {
		return
	}
	p.pt = pt
}

// Cloner is implemented by any value that has a Clone method, which returns a
// copy of the value. This is mainly used for types which are not passed by
// value (e.g map, slice, chan) or structs that contain such types.
//
// This is used in conjunction with the global state feature to create proper
// copies of the state to allow the parser to properly restore the state in
// the case of backtracking.
type Cloner interface {
	Clone() any
}

var statePool = &sync.Pool{
	New: func() any { return make(storeDict) },
}

func (sd storeDict) Discard() {
	for k := range sd {
		delete(sd, k)
	}
	statePool.Put(sd)
}

// clone and return parser current state.
func (p *parser) cloneState() storeDict {
	if p.debug {
		defer p.out(p.in("cloneState"))
	}

	state := statePool.Get().(storeDict)
	for k, v := range p.cur.state {
		if c, ok := v.(Cloner); ok {
			state[k] = c.Clone()
		} else {
			state[k] = v
		}
	}
	return state
}

// restore parser current state to the state storeDict.
// every restoreState should applied only one time for every cloned state
func (p *parser) restoreState(state storeDict) {
	if p.debug {
		defer p.out(p.in("restoreState"))
	}
	p.cur.state.Discard()
	p.cur.state = state
}

// get the slice of bytes from the savepoint start to the current position.
func (p *parser) sliceFrom(start savepoint) []byte {
	return p.data[start.position.offset:p.pt.position.offset]
}

func (p *parser) getMemoized(node any) (resultTuple, bool) {
	if len(p.memo) == 0 {
		return resultTuple{}, false
	}
	m := p.memo[p.pt.offset]
	if len(m) == 0 {
		return resultTuple{}, false
	}
	res, ok := m[node]
	return res, ok
}

func (p *parser) setMemoized(pt savepoint, node any, tuple resultTuple) {
	if p.memo == nil {
		p.memo = make(map[int]map[any]resultTuple)
	}
	m := p.memo[pt.offset]
	if m == nil {
		m = make(map[any]resultTuple)
		p.memo[pt.offset] = m
	}
	m[node] = tuple
}

func (p *parser) buildRulesTable(g *grammar) {
	p.rules = make(map[string]*rule, len(g.rules))
	for _, r := range g.rules {
		p.rules[r.name] = r
	}
}

func (p *parser) parse(g *grammar) (val any, err error) {
	if len(g.rules) == 0 {
		p.addErr(errNoRule)
		return nil, p.errs.err()
	}

	// TODO : not super critical but this could be generated
	p.buildRulesTable(g)

	if p.recover {
		// panic can be used in action code to stop parsing immediately
		// and return the panic as an error.
		defer func() {
			if e := recover(); e != nil {
				if p.debug {
					defer p.out(p.in("panic handler"))
				}
				val = nil
				switch e := e.(type) {
				case error:
					p.addErr(e)
				default:
					p.addErr(fmt.Errorf("%v", e))
				}
				err = p.errs.err()
			}
		}()
	}

	startRule, ok := p.rules[p.entrypoint]
	if !ok {
		p.addErr(errInvalidEntrypoint)
		return nil, p.errs.err()
	}

	p.read() // advance to first rune
	val, ok = p.parseRuleWrap(startRule)
	if !ok {
		if len(*p.errs) == 0 {
			// If parsing fails, but no errors have been recorded, the expected values
			// for the farthest parser position are returned as error.
			maxFailExpectedMap := make(map[string]struct{}, len(p.maxFailExpected))
			for _, v := range p.maxFailExpected {
				maxFailExpectedMap[v] = struct{}{}
			}
			expected := make([]string, 0, len(maxFailExpectedMap))
			eof := false
			if _, ok := maxFailExpectedMap["!."]; ok {
				delete(maxFailExpectedMap, "!.")
				eof = true
			}
			for k := range maxFailExpectedMap {
				expected = append(expected, k)
			}
			sort.Strings(expected)
			if eof {
				expected = append(expected, "EOF")
			}
			p.addErrAt(errors.New("no match found, expected: "+listJoin(expected, ", ", "or")), p.maxFailPos, expected)
		}

		return nil, p.errs.err()
	}
	return val, p.errs.err()
}

func listJoin(list []string, sep string, lastSep string) string {
	switch len(list) {
	case 0:
		return ""
	case 1:
		return list[0]
	default:
		return strings.Join(list[:len(list)-1], sep) + " " + lastSep + " " + list[len(list)-1]
	}
}

func (p *parser) parseRuleMemoize(rule *rule) (any, bool) {
	res, ok := p.getMemoized(rule)
	if ok {
		p.restore(res.end)
		return res.v, res.b
	}

	startMark := p.pt
	val, ok := p.parseRule(rule)
	p.setMemoized(startMark, rule, resultTuple{val, ok, p.pt})

	return val, ok
}

func (p *parser) parseRuleWrap(rule *rule) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRule " + rule.name))
	}
	var (
		val       any
		ok        bool
		startMark = p.pt
	)

	if p.memoize {
		val, ok = p.parseRuleMemoize(rule)
	} else {
		val, ok = p.parseRule(rule)
	}

	if ok && p.debug {
		p.printIndent("MATCH", string(p.sliceFrom(startMark)))
	}
	return val, ok
}

func (p *parser) parseRule(rule *rule) (any, bool) {
	p.rstack = append(p.rstack, rule)
	p.pushV()
	val, ok := p.parseExprWrap(rule.expr)
	p.popV()
	p.rstack = p.rstack[:len(p.rstack)-1]
	return val, ok
}

func (p *parser) parseExprWrap(expr any) (any, bool) {
	var pt savepoint

	if p.memoize {
		res, ok := p.getMemoized(expr)
		if ok {
			p.restore(res.end)
			return res.v, res.b
		}
		pt = p.pt
	}

	val, ok := p.parseExpr(expr)

	if p.memoize {
		p.setMemoized(pt, expr, resultTuple{val, ok, p.pt})
	}
	return val, ok
}

func (p *parser) parseExpr(expr any) (any, bool) {
	p.ExprCnt++
	if p.ExprCnt > p.maxExprCnt {
		panic(errMaxExprCnt)
	}

	var val any
	var ok bool
	switch expr := expr.(type) {
	case *actionExpr:
		val, ok = p.parseActionExpr(expr)
	case *andCodeExpr:
		val, ok = p.parseAndCodeExpr(expr)
	case *andExpr:
		val, ok = p.parseAndExpr(expr)
	case *anyMatcher:
		val, ok = p.parseAnyMatcher(expr)
	case *charClassMatcher:
		val, ok = p.parseCharClassMatcher(expr)
	case *choiceExpr:
		val, ok = p.parseChoiceExpr(expr)
	case *labeledExpr:
		val, ok = p.parseLabeledExpr(expr)
	case *litMatcher:
		val, ok = p.parseLitMatcher(expr)
	case *notCodeExpr:
		val, ok = p.parseNotCodeExpr(expr)
	case *notExpr:
		val, ok = p.parseNotExpr(expr)
	case *oneOrMoreExpr:
		val, ok = p.parseOneOrMoreExpr(expr)
	case *recoveryExpr:
		val, ok = p.parseRecoveryExpr(expr)
	case *ruleRefExpr:
		val, ok = p.parseRuleRefExpr(expr)
	case *seqExpr:
		val, ok = p.parseSeqExpr(expr)
	case *stateCodeExpr:
		val, ok = p.parseStateCodeExpr(expr)
	case *throwExpr:
		val, ok = p.parseThrowExpr(expr)
	case *zeroOrMoreExpr:
		val, ok = p.parseZeroOrMoreExpr(expr)
	case *zeroOrOneExpr:
		val, ok = p.parseZeroOrOneExpr(expr)
	default:
		panic(fmt.Sprintf("unknown expression type %T", expr))
	}
	return val, ok
}

func (p *parser) parseActionExpr(act *actionExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseActionExpr"))
	}

	start := p.pt
	val, ok := p.parseExprWrap(act.expr)
	if ok {
		p.cur.pos = start.position
		p.cur.text = p.sliceFrom(start)
		state := p.cloneState()
		actVal, err := act.run(p)
		if err != nil {
			p.addErrAt(err, start.position, []string{})
		}
		p.restoreState(state)

		val = actVal
	}
	if ok && p.debug {
		p.printIndent("MATCH", string(p.sliceFrom(start)))
	}
	return val, ok
}

func (p *parser) parseAndCodeExpr(and *andCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAndCodeExpr"))
	}

	state := p.cloneState()

	ok, err := and.run(p)
	if err != nil {
		p.addErr(err)
	}
	p.restoreState(state)

	return nil, ok
}

func (p *parser) parseAndExpr(and *andExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAndExpr"))
	}

	pt := p.pt
	state := p.cloneState()
	p.pushV()
	_, ok := p.parseExprWrap(and.expr)
	p.popV()
	p.restoreState(state)
	p.restore(pt)

	return nil, ok
}

func (p *parser) parseAnyMatcher(any *anyMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseAnyMatcher"))
	}

	if p.pt.rn == utf8.RuneError && p.pt.w == 0 {
		// EOF - see utf8.DecodeRune
		p.failAt(false, p.pt.position, ".")
		return nil, false
	}
	start := p.pt
	p.read()
	p.failAt(true, start.position, ".")
	return p.sliceFrom(start), true
}

func (p *parser) parseCharClassMatcher(chr *charClassMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseCharClassMatcher"))
	}

	cur := p.pt.rn
	start := p.pt

	// can't match EOF
	if cur == utf8.RuneError && p.pt.w == 0 { // see utf8.DecodeRune
		p.failAt(false, start.position, chr.val)
		return nil, false
	}

	if chr.ignoreCase {
		cur = unicode.ToLower(cur)
	}

	// try to match in the list of available chars
	for _, rn := range chr.chars {
		if rn == cur {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	// try to match in the list of ranges
	for i := 0; i < len(chr.ranges); i += 2 {
		if cur >= chr.ranges[i] && cur <= chr.ranges[i+1] {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	// try to match in the list of Unicode classes
	for _, cl := range chr.classes {
		if unicode.Is(cl, cur) {
			if chr.inverted {
				p.failAt(false, start.position, chr.val)
				return nil, false
			}
			p.read()
			p.failAt(true, start.position, chr.val)
			return p.sliceFrom(start), true
		}
	}

	if chr.inverted {
		p.read()
		p.failAt(true, start.position, chr.val)
		return p.sliceFrom(start), true
	}
	p.failAt(false, start.position, chr.val)
	return nil, false
}

func (p *parser) incChoiceAltCnt(ch *choiceExpr, altI int) {
	choiceIdent := fmt.Sprintf("%s %d:%d", p.rstack[len(p.rstack)-1].name, ch.pos.line, ch.pos.col)
	m := p.ChoiceAltCnt[choiceIdent]
	if m == nil {
		m = make(map[string]int)
		p.ChoiceAltCnt[choiceIdent] = m
	}
	// We increment altI by 1, so the keys do not start at 0
	alt := strconv.Itoa(altI + 1)
	if altI == choiceNoMatch {
		alt = p.choiceNoMatch
	}
	m[alt]++
}

func (p *parser) parseChoiceExpr(ch *choiceExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseChoiceExpr"))
	}

	for altI, alt := range ch.alternatives {
		// dummy assignment to prevent compile error if optimized
		_ = altI

		state := p.cloneState()

		p.pushV()
		val, ok := p.parseExprWrap(alt)
		p.popV()
		if ok {
			p.incChoiceAltCnt(ch, altI)
			return val, ok
		}
		p.restoreState(state)
	}
	p.incChoiceAltCnt(ch, choiceNoMatch)
	return nil, false
}

func (p *parser) parseLabeledExpr(lab *labeledExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseLabeledExpr"))
	}

	p.pushV()
	val, ok := p.parseExprWrap(lab.expr)
	p.popV()
	if ok && lab.label != "" {
		m := p.vstack[len(p.vstack)-1]
		m[lab.label] = val
	}
	return val, ok
}

func (p *parser) parseLitMatcher(lit *litMatcher) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseLitMatcher"))
	}

	start := p.pt
	for _, want := range lit.val {
		cur := p.pt.rn
		if lit.ignoreCase {
			cur = unicode.ToLower(cur)
		}
		if cur != want {
			p.failAt(false, start.position, lit.want)
			p.restore(start)
			return nil, false
		}
		p.read()
	}
	p.failAt(true, start.position, lit.want)
	return p.sliceFrom(start), true
}

func (p *parser) parseNotCodeExpr(not *notCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseNotCodeExpr"))
	}

	state := p.cloneState()

	ok, err := not.run(p)
	if err != nil {
		p.addErr(err)
	}
	p.restoreState(state)

	return nil, !ok
}

func (p *parser) parseNotExpr(not *notExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseNotExpr"))
	}

	pt := p.pt
	state := p.cloneState()
	p.pushV()
	p.maxFailInvertExpected = !p.maxFailInvertExpected
	_, ok := p.parseExprWrap(not.expr)
	p.maxFailInvertExpected = !p.maxFailInvertExpected
	p.popV()
	p.restoreState(state)
	p.restore(pt)

	return nil, !ok
}

func (p *parser) parseOneOrMoreExpr(expr *oneOrMoreExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseOneOrMoreExpr"))
	}

	var vals []any

	for {
		p.pushV()
		val, ok := p.parseExprWrap(expr.expr)
		p.popV()
		if !ok {
			if len(vals) == 0 {
				// did not match once, no match
				return nil, false
			}
			return vals, true
		}
		vals = append(vals, val)
	}
}

func (p *parser) parseRecoveryExpr(recover *recoveryExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRecoveryExpr (" + strings.Join(recover.failureLabel, ",") + ")"))
	}

	p.pushRecovery(recover.failureLabel, recover.recoverExpr)
	val, ok := p.parseExprWrap(recover.expr)
	p.popRecovery()

	return val, ok
}

func (p *parser) parseRuleRefExpr(ref *ruleRefExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseRuleRefExpr " + ref.name))
	}

	if ref.name == "" {
		panic(fmt.Sprintf("%s: invalid rule: missing name", ref.pos))
	}

	rule := p.rules[ref.name]
	if rule == nil {
		p.addErr(fmt.Errorf("undefined rule: %s", ref.name))
		return nil, false
	}
	return p.parseRuleWrap(rule)
}

func (p *parser) parseSeqExpr(seq *seqExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseSeqExpr"))
	}

	vals := make([]any, 0, len(seq.exprs))

	pt := p.pt
	state := p.cloneState()
	for _, expr := range seq.exprs {
		val, ok := p.parseExprWrap(expr)
		if !ok {
			p.restoreState(state)
			p.restore(pt)
			return nil, false
		}
		vals = append(vals, val)
	}
	return vals, true
}

func (p *parser) parseStateCodeExpr(state *stateCodeExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseStateCodeExpr"))
	}

	err := state.run(p)
	if err != nil {
		p.addErr(err)
	}
	return nil, true
}

func (p *parser) parseThrowExpr(expr *throwExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseThrowExpr"))
	}

	for i := len(p.recoveryStack) - 1; i >= 0; i-- {
		if recoverExpr, ok := p.recoveryStack[i][expr.label]; ok {
			if val, ok := p.parseExprWrap(recoverExpr); ok {
				return val, ok
			}
		}
	}

	return nil, false
}

func (p *parser) parseZeroOrMoreExpr(expr *zeroOrMoreExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseZeroOrMoreExpr"))
	}

	var vals []any

	for {
		p.pushV()
		val, ok := p.parseExprWrap(expr.expr)
		p.popV()
		if !ok {
			return vals, true
		}
		vals = append(vals, val)
	}
}

func (p *parser) parseZeroOrOneExpr(expr *zeroOrOneExpr) (any, bool) {
	if p.debug {
		defer p.out(p.in("parseZeroOrOneExpr"))
	}

	p.pushV()
	val, _ := p.parseExprWrap(expr.expr)
	p.popV()
	// whether it matched or not, consider it a match
	return val, true
}
